From: Johann Felix Soden <johfel@debian.org>
Date: Fri, 5 Feb 2021 10:25:00 +0100
Subject: Changelog fetched from github

origin: upstream git log, trailing whitespaces removed
 https://github.com/vim-latex/vim-latex
---
 Changelog | 8755 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 8755 insertions(+)
 create mode 100644 Changelog

diff --git a/Changelog b/Changelog
new file mode 100644
index 0000000..46cdafa
--- /dev/null
+++ b/Changelog
@@ -0,0 +1,8755 @@
+commit 686c7ccaba42d4605c85b194ccedaff7f451a3f4
+Author: Alexander Zhang <zhangalexy@gmail.com>
+Date:   Tue Oct 13 22:58:53 2020 -0700
+
+    Add quotes to file names in compile rules
+
+commit 935a0fae8dff548aa1ffd302280ec4604dfc220c
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Mon Nov 23 20:55:26 2020 +0100
+
+    Add comment concerning command folding
+
+    Fix vim-latex/vim-latex#189
+
+commit d6fae26fe1313d19c06361851ced8d4f56bc42a0
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Mon Nov 23 20:34:41 2020 +0100
+
+    Initialize foundCiteFile
+
+    Fix vim-latex/vim-latex#186
+
+commit dc3c937bdbf68b113e531e5db6d11e2fa77147a2
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Mon Nov 23 20:29:26 2020 +0100
+
+    Remove '<<<' as fold-section-end-marker
+
+    Fix vim-latex/vim-latex#188
+
+commit d97bbf333453b793ab0916265c900299934723e2
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Tue Jun 30 22:47:36 2020 +0200
+
+    Escape some spaces
+
+    Fix vim-latex/vim-latex#181
+
+commit 46de6e278745af47d7c3a79ec29a1167dd25a464
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Wed Feb 12 09:16:12 2020 +0100
+
+    Look for bib-files in included files
+
+commit e0720f0148d181b0dc52149e56f19fc6221c67bf
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Mon Feb 3 14:30:11 2020 +0100
+
+    Modelines are evil.
+
+    Fixes vim-latex/vim-latex#167
+
+commit 00f344033d5ab22c2cb48f5a01954f0a2aa10881
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Tue Sep 17 11:29:20 2019 +0200
+
+    Catch some exceptions
+
+commit 007aaa730431f14c394fd9e2389c65a2c6b8ea7b
+Author: rdmol <robin.demol@ugent.be>
+Date:   Wed Jun 5 09:08:09 2019 +0200
+
+    Fixed s:viewer undefined bug for macosx
+
+    This commit implements a solution to the bug reported in issue #159.
+
+commit bcf8aba7a506fb24de65bada7683948fa682135f
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Mon Feb 4 10:48:28 2019 +0100
+
+    Infect bib-files with IMAPs
+
+    Fix vim-latex/vim-latex#154
+
+commit 6d61aa2eb160124680255f98cc6f1777d1453608
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Tue Dec 18 08:41:08 2018 +0100
+
+    Remove <unique> from mapping command.
+
+    Fix #151
+
+commit ae0ecabcf9109fa295f2216071f16bb5f0f605ce
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Tue Nov 13 09:14:40 2018 +0100
+
+    Use 1 instead of v:true
+
+    Fix vim-latex/vim-latex#149
+
+commit dcd06f8a6c52bd499b1676688b6738b83dc420ba
+Author: Huang Zonghao <huangzonghao@users.noreply.github.com>
+Date:   Wed Oct 3 14:15:29 2018 -0400
+
+    Set alias to environment keyword (#148)
+
+    Aliases for environments and commands
+
+    * Fix xml for b523d67
+
+    * Add g:Tex_Env_name_aliasto macro for environment aliases
+
+    This feature enables user to set alias to the environment keywords to be
+    expanded, so that user could save keystrokes by setting shorter keywords
+
+    * Add g:Tex_Com_name_aliasto macro for command aliases
+
+commit c3ffaa8bc93c51f9f86ee2f2fd24f9a72eef44de
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Fri Sep 7 15:15:08 2018 +0200
+
+    All python strings as raw strings
+
+    Fix vim-latex/vim-latex#143
+
+commit d384eb3510c8640e54d0bf096c031ed028d37b0f
+Author: Gerd Wachsmuth <gerd.wachsmuth@b-tu.de>
+Date:   Fri Sep 7 14:12:10 2018 +0200
+
+    Do not set tex options on bib files
+
+commit 8c4386bb2eb16f40d5e9805ce7d8721e65f7ffde
+Author: Filipe Brandenburger <filbranden@gmail.com>
+Date:   Thu Sep 6 21:46:42 2018 +0000
+
+    Fix expansion of abbreviations in the middle of a line
+
+commit dc2053cd45caeb4e61d461a7d889cee5d55b67d9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Mar 30 09:08:34 2018 +0200
+
+    Try to improve performance of ParseSectionTitle
+
+commit f58ba25225ca69eb4ad079cb065a282ac1b7ddfe
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Mar 30 08:44:56 2018 +0200
+
+    Fix: Detect fold text for indented sections
+
+    See vim-latex/vim-latex#129
+
+commit 5d5e27756e4c9e08946fe244318f8eecedaba42e
+Author: Christian Ebert <blacktrash@gmx.net>
+Date:   Wed Mar 14 23:28:38 2018 +0000
+
+    Fix logic to re-open folds if Tex_AutoFolding is disabled (#130)
+
+    As per comment MakeTexFolds was not called manually in this case.
+
+commit b523d676be8159405af15f35efc44e0eb305e74b
+Author: HuangZonghao <coding@hzh.io>
+Date:   Wed Feb 21 11:19:59 2018 -0500
+
+    Update the docs to reflect the changes made to expand all the Capital Greek Letters
+
+commit ec10d539ebd041fad883504b134cfac4e56cf003
+Author: HuangZonghao <coding@hzh.io>
+Date:   Wed Feb 21 11:18:46 2018 -0500
+
+    Expand all Capital Greek Letters as well, disregarding the availability in LaTex.
+
+    Now all the capital greeks letters can be expanded. But user need to
+    manually define the unsupported commands by themselves.
+
+commit 843d7ad5b6e8969675307209ede783abef3315f0
+Author: HuangZonghao <coding@hzh.io>
+Date:   Tue Feb 20 18:01:05 2018 -0500
+
+    Update the documents to refelct the changes of mapping `w to \omega
+
+    Changes in documentation have been made in observance of mapping
+    `w back to \omega and mapping `o to \omicron
+
+commit ab12f1e90157f1926710b08c07691ce1708b63d8
+Author: HuangZonghao <coding@hzh.io>
+Date:   Fri Feb 16 23:32:11 2018 -0500
+
+    Map "`w" to "\omega" and "`o" to "\omicron"
+
+    * The setting in the main.vim that mapped "`w " to "\wedge" is deleted
+      since we already have "`&" mapped for that. Having two keys mapping
+      to the same thing while `\omega` has no key-mapping is a waste and
+      also very likely to be an accidental mistake.
+
+    * Also added a new mapping that would expand "`o" to "\omicron". While the
+      letters may seem similar in use but this change helps to make the
+      behavior of the plugin consistant with the description on the manual.
+      Besides "`o" has no mapping before.
+
+commit 08571c26784bbb67a6a2c9cefcc2ba9bdeec5b47
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Feb 19 12:31:32 2018 +0100
+
+    Set makeprg if Makefile is present
+
+    Fix vim-latex/vim-latex#125
+
+commit 732263e10617c226414bb44c95499b3f7e1f8c4f
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Jan 31 08:58:38 2018 +0100
+
+    Fix bug with s:viewer being empty
+
+    Fix vim-latex/vim-latex#122
+
+commit 7395a051a38f9efdd10608cea8066e3490d7f46b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Jan 16 22:36:23 2018 +0100
+
+    Clarify documentation of \cite completion
+
+    Fix vim-latex/vim-latex#120
+
+commit 00747495856d87583cb08022fc88f73a6231712a
+Author: Till Maas <opensource@till.name>
+Date:   Fri Jan 12 19:53:43 2018 +0100
+
+    Prepare for next release
+
+commit 279c5600776d638d7182a80a18a1e37517b71409
+Author: Till Maas <opensource@till.name>
+Date:   Fri Jan 12 18:37:33 2018 +0100
+
+    Bump version to 1.10.0
+
+commit 042f2476a69e5e85eb2399788c930e78b8cbc47b
+Author: Ricardo Fabbri <rfabbri@gmail.com>
+Date:   Thu Jan 11 15:57:44 2018 -0200
+
+    ignoring wildignore when looking for .latexmain
+
+    Without this, if the user put .latexmain in the wildignore, then
+    viewing will not work from a file other than main
+
+commit e6972ac989b46068e9490626e3ea5d6144c45617
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Dec 9 20:17:00 2017 +0100
+
+    Fix documentation of two options.
+
+    Fix vim-latex/vim-latex#97
+
+commit df743aaf16de19248af47e51fbf39b24ccf41f0b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Dec 8 23:17:25 2017 +0100
+
+    Update quickstart guide
+
+commit f6e9340af3004ec4f2b4d401caf33c7eaa3c8140
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Dec 8 23:00:21 2017 +0100
+
+    Improve documentation
+
+commit 09536a1c4220839ed9acea25f7a9ce783dc55c0d
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Dec 8 23:00:06 2017 +0100
+
+    Fix bug (comp. of \includegraphics)
+
+commit ef64a0ad814426329be143f5ee70bc593aac94c4
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Dec 8 20:42:25 2017 +0100
+
+    grepprg is not used anymore
+
+    We use :vimgrep and not :grep.
+
+commit e26ae60703ad5db59034cd2e87fd4c86e7b28a37
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Dec 8 20:39:11 2017 +0100
+
+    Small fixes in texviewer.vim
+
+commit 853d3121c29c073d0784ed0d1e0dd7503f7ac851
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Nov 30 08:40:54 2017 +0100
+
+    Replace echomsg by Tex_Debug if no bibfile found
+
+    The echomsg is not displayed anyway, since the function is called with
+    'silent!' which ignores all messages.
+
+commit 803d3147c33804cedb6c6655f3c817c479619e7c
+Author: Cong Ma <cong.ma@obspm.fr>
+Date:   Wed Nov 15 17:09:48 2017 +0800
+
+    More robust detection of macOS environment.
+
+    With commit fdad7ebe, all instances of macOS detection condition were
+    changed to `has("osx")`.  However, this may incorrectly exclude certain
+    vim versions.
+
+    Attempt to address this by using `has("osx") || has("macunix")`.
+
+    Cf: vim-latex/vim-latex#109
+
+commit 598014d5fde4033ff543c92a93d811e4a62a6e02
+Author: Cong Ma <cong.ma@obspm.fr>
+Date:   Tue Oct 3 16:43:13 2017 +0800
+
+    Fix macOS detection in scripts on High Sierra.
+
+    On macOS High Sierra, the system vim (/usr/bin/vim) is compiled as a
+    "Normal Version" binary without the "macunix" feature, and
+    has("macunix") returns 0.  In the scripts, this breaks the code guarded
+    by such condition, intended to work on macOS platform.  For example, the
+    platform- and configuration-specific forward search with <Leader>ls is
+    broken.
+
+    To fix this, use has("osx") in the place of has("macunix").  The former
+    is more inclusive than the latter and will return 1 on the High Sierra
+    system vim, therefore correctly identifying the platform.
+
+    The Homebrew vim is compiled as "Huge Version" binary, and
+    has("macunix") works in it.  Therefore, the change is not necessary, but
+    still compatible.
+
+commit 680cae1c950ecaf258907dfb8fed0be5b510ba7c
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Oct 5 10:45:56 2017 +0200
+
+    Do not use compatibility mode in compiler.tex
+
+commit 3c6327230a46a0c781577a83407dd8d38140cd6b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Oct 5 08:54:35 2017 +0200
+
+    Fix sorting
+
+    Sorting was broken in two ways:
+    - It used the obsolete 'cmp' argument in python3
+    - It was called wrongly by vim
+
+    Fix vim-latex/vim-latex#107
+
+commit 05d380b54d1b07f99ca338796975932eb289721c
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Sep 14 15:59:32 2017 +0200
+
+    Use xmap's instead of vmap's
+
+    Otherwise, the vmap's are used in select-mode (after jumping to
+    placeholders), but the user might expect to use the mappings from
+    insert-mode. Moreover, the usual vmap's (e.g. enclose something in
+    certain commands) are not useful after jumping to placeholders.
+
+    Fix vim-latex/vim-latex#102
+
+commit accfbd0d8fc067b033ae5c4f0c2b38c9b42090a9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Aug 6 13:13:28 2017 +0200
+
+    Use fnameescape() in templates.vim
+
+commit 467355a406c6930d4649c7326d884c8d089d9ae7
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jul 21 14:01:00 2017 +0200
+
+    Refold if file has been changed.
+
+commit f77025744bd9f57f233af7d8bde9644eb51c1b05
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jul 21 13:25:58 2017 +0200
+
+    Fix completion of "subequations"
+
+commit 471edaeea477083f600c58f980aaa298cf648575
+Author: Alick Zhao <alick9188@gmail.com>
+Date:   Sat Jul 15 10:59:51 2017 -0500
+
+    README.md: Improve installation notes
+
+commit 28d3bc8f3f3c2c9ad8a0a3effa8ac8e3a8ab5ef7
+Author: John Leen <jleen@saturnvalley.org>
+Date:   Tue Jul 4 21:02:59 2017 -0700
+
+    Don't execute python commands if Tex_UsePython is false
+
+commit a3685ad7dcfab618ece5e6503e502b0561c72af9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jun 30 09:33:46 2017 +0200
+
+    Fix previous commit.
+
+commit e2914b6f0c899495164933888fbd5d5c899d084d
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Jun 22 14:12:31 2017 +0200
+
+    Make regexps a bit more robust
+
+commit 9311a150a650fa34c58f95e5f9c1b24c02947e02
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Jun 22 14:10:50 2017 +0200
+
+    Fix with changing directories via --remote
+
+    Workaround for vim/vim#1690
+
+commit afc5691aae499daf636e46023c155ec0da60853b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Jun 18 12:49:33 2017 +0200
+
+    Fix a problem with Tex_GotoError
+
+    in combination with Tex_MultipleCompileFormats.
+
+    Fix vim-latex/vim-latex#96
+
+commit 922c4f80c61c5f249a811caab2f34337b6f31410
+Author: Werner Freund <wsfreund@gmail.com>
+Date:   Wed May 17 16:22:49 2017 -0300
+
+    Fixed bug where tex includes with spaces would be ignored by outline parsing
+
+commit 38952d3b8a95dd684c2c2c01718aae81da0488a8
+Author: Werner Freund <wsfreund@gmail.com>
+Date:   Wed May 17 16:21:31 2017 -0300
+
+    Use tab-window as workaround for terminal vim
+
+commit 4ac66ae024a0d4e3edab95443a716e2fa922c4c7
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat May 6 10:25:13 2017 +0200
+
+    If viewer in backgrd, redirect output to /dev/null
+
+    vim-latex/vim-latex#15
+
+commit 7d60db044cc195ca26c97e3d0a2bde270bfd8f8f
+Author: Gaute Hope <eg@gaute.vetsj.com>
+Date:   Tue May 2 14:36:48 2017 +0200
+
+    outline: escape '\caption' to '\\caption' in regexp
+
+commit b5e88d2134cdb369780022ffde770e0a318a5fb9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Apr 26 22:36:28 2017 +0200
+
+    Pass arg to shellescape, argument is used with :!
+
+commit 65be3a43cdef029da0dbc5b597349b5a68c0a67c
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Apr 22 20:55:00 2017 +0200
+
+    Use shellescape instead of fnameescape
+
+    Fix vim-latex/vimlatex#88
+    Close vim-latex/vimlatex#89
+
+commit fc566ab327fa27a86a02a0c1349deec57234106f
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Mar 21 08:37:24 2017 +0100
+
+    Allow whitespace after @ARTICLE in bibfiles
+
+    Otherwise,
+
+    @ARTICLE {barfoo,
+            ...
+    }
+
+    is not found.
+
+commit a1ecdf466f6d7ed5eb0f60d2fc2287d752f85bd9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Mar 7 09:00:38 2017 +0100
+
+    Only expand to full path if file is found
+
+    Fix vim-latex/vim-latex#84
+
+commit ae9be896162887984c934aecd2470351e3f3f821
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Mar 6 21:12:41 2017 +0100
+
+    Improve detection of preamble
+
+    to insert environments or packages.
+
+commit ba473fbf6fa1da75ecc3fcabb87b8c7136e888b4
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Mar 6 20:36:01 2017 +0100
+
+    Use getcurpos() if available
+
+commit a6cf5c46712ef881df3b2475cec59a39c8c5f3cd
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Feb 28 22:38:21 2017 +0100
+
+    New possibility for customization: Tex_ItemsWithCR
+
+    If this is set, EIT will expand to
+            \begin{itemize}
+                    \item
+                            <++>
+            \end{itemize}
+    instead of
+            \begin{itemize}
+                    \item <++>
+            \end{itemize}
+
+commit 8c5ca313d1cfffcd47a9d00724eb48394657dd10
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Feb 28 21:55:49 2017 +0100
+
+    Minor fixes in envmacros.vim
+
+    - Remove superfluous statements
+    - Set (and reset) cpo
+
+commit 699f5d336ca2ea6022421c4ba16f69452e6cb8a6
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Mar 2 09:32:23 2017 +0100
+
+    Use continue instead of break.
+
+commit bb29a2a1f04a349dcad52a94a9039a6d515b8fff
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 17 23:14:32 2017 +0100
+
+    Do not add IMAPs for . and "
+
+    These interrupt SmartDots and SmartQuotes.
+
+commit db1cc0ae9fea4981589f0a71432ec8ffc053ba78
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Feb 12 20:50:01 2017 +0100
+
+    Some improvements in SyntaxFolds
+
+    - Remove (undocumented and unused) optional argument of MakeSyntaxFolds
+    - Use script-local functions
+    - Use getpos()/setpos() for cursor positioning
+    - Use normal! instead of normal
+    - Use add()/remove() on arrays
+    - Remove a bug if startskip matches on first line of buffer
+
+commit 84a9039aa6fa869372718a74c726dc6b81b82342
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 11 22:27:56 2017 +0100
+
+    Use startinsert instead of feedkeys()
+
+    With feedkeys, the "_c was delayed until the very end of an active
+    mapping. Now, startinsert is issued immediately and the IMAP_JumpFunc
+    leaves in insertmode (if there was an empty placeholder).
+
+commit 15262af05fba38ab283ca6df3e9de01cd20d75d5
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 11 22:27:40 2017 +0100
+
+    Use function!
+
+commit 60dc1922562d381c9bc6b7f21254ce106e2abe25
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 11 14:44:11 2017 +0100
+
+    Some updates in filebrowser
+
+commit 47a82ee0c84ff2441a13abb92d524c3d934df787
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 11 10:16:07 2017 +0100
+
+    Small improvements in remoteOpen
+
+commit 15c93a4a84c9269a27f85a6bb59ac2bf692ac7a1
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 10 22:41:19 2017 +0100
+
+    Move functions from imaps.vim to main.vim
+
+    These two functions (along with two helper functions) are quite
+    unrelated to the functionality of imaps.vim.
+
+commit 6f98bde52a965b63cd0018df272c30de89bf956a
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Feb 6 22:51:24 2017 +0100
+
+    Make ft-IMAPs <buffer>-local
+
+    Now, all the IMAPs with ft='tex' will only appear as imaps in buffers
+    with ft=tex.
+
+commit 4054220d7b748815fdb65d479bf58befc8fa00c6
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Feb 6 21:49:22 2017 +0100
+
+    Remove Tex_Help and co.
+
+commit 799d162d0199b27a9121e23be98d2a8e6545ed13
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Feb 5 19:40:29 2017 +0100
+
+    Tweak in \if...\fi indentation
+
+    Now, lines like
+    \ifbaarfoo\foo\baz\fi
+    do not cause additional indentation on the next line.
+
+commit 3f8987e13ff9d6cbbc783c04cb8dc9a6e723eb65
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 4 16:37:12 2017 +0100
+
+    Fix error if package is opened in another vim
+
+commit 9e91c7ae3f0b707bf3361c34dff7521b8d6732e2
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Dec 28 20:58:25 2016 +0100
+
+    Improve foldtext for sections
+
+commit 0f7ad41656a85713c034fbd2d3bab0b82c76c807
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 4 16:03:31 2017 +0100
+
+    Add some more math environments
+
+commit fcc26a1aec8eaaa17f70b8e1f8a0dd99f8004535
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Feb 4 15:59:10 2017 +0100
+
+    Support wrapper script for forward search
+
+commit 323a45203e1d37c57af4a6720a067c147e65a369
+Author: Cong Ma <cong.ma@obspm.fr>
+Date:   Fri Nov 27 21:32:42 2015 +0100
+
+    Relax viewer patterns
+
+    This fixes synced forward search for Skim installed by Homebrew Cask on
+    MacOSX, see gerw/vim-latex-suite#22
+
+commit 5f2f5e843b5871ab04d4ec42cd959119f1ebe864
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 3 22:27:52 2017 +0100
+
+    Convert filename to full path
+
+    Fixes a bug when autochdir was set.
+    Fix vim-latex/vim-latex#58
+
+commit 67693cef9300ad42da12e84c2576429a14f72ecc
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 3 20:36:31 2017 +0100
+
+    Remove doc/latexhelp.txt
+
+    I doubt that anybody uses this outdated LaTeX-documentation within Vim.
+    Close vim-latex/vim-latex#77
+
+commit a23e86508cfcfbbf8dbbc375c821182abb5840fe
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 3 20:23:56 2017 +0100
+
+    Add support for bibfiles for old citecompletion
+
+    Does anybody still use this old completion?
+
+commit d9d05f66f24ce788031deb80eae47fcfcbb3460b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Feb 3 20:12:44 2017 +0100
+
+    Add support for multiple \addbibresource
+
+    With biblatex, you can only put one bib-file into an \addbibresource,
+    and you have to use multiple \addbibresource's for more that one
+    bib-file. This is now supported.
+
+commit ace9d32bc43bb3041d101c9f61552aca1aee96a2
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Feb 1 08:18:55 2017 +0100
+
+    Restore old behaviour of Tex_ScanForCite
+
+    The last fix in this file, changed the behaviour of Tex_ScanForCite:
+    only the main file was parsed for bibliography. This patch restores the
+    old behaviour.
+
+commit bb85323369a632469c6e4cf530987b5947ad7b4e
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Jan 28 21:59:13 2017 +0100
+
+    Use either version of python.
+
+    Close vim-latex/vim-latex#64
+
+commit 17f032713e756775f9365b08e5d04c73892b700f
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Jan 28 13:59:11 2017 +0100
+
+    Assume v:version >= 700, remove Tex_EscapeForGrep
+
+commit 5f2d2dc16c43dfe5d02ece7d9ec88d9ac81399a0
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Jan 28 13:50:15 2017 +0100
+
+    Also look for \nllabel
+
+    This is used by the algorithm2e package.
+    Close vim-latex/vim-latex#34
+
+commit b903a7670d45a1809045fa9c8377d73fd1af4e80
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Jan 28 13:32:28 2017 +0100
+
+    Add support for bibfiles on multiple lines.
+
+    Idea from Carlos Eduardo de Andrade
+    See vim-latex/vim-latex#34
+
+commit 8cb9708aab54b3980e3b7a9fbfa466d02dccbcbc
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Oct 9 22:39:27 2016 +0200
+
+    Change IMAP_JumpFunc to a 'normal-mode function'
+
+    Up to now, IMAP_JumpFunc has to be called from insert mode. This
+    rendered the code in this function a little bit complicated. Now, it is
+    simpler to understand and to modify.
+
+commit 69d2673dd18e471bfcac6457147d384e43426fae
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jan 27 19:18:23 2017 +0100
+
+    Call spezialized functions for some environments
+
+commit e7072751f217d48b8cf2416f83e4dba2a7dcb4c1
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Jan 26 15:14:47 2017 +0100
+
+    Replace Tex_EscapeSpaces by fnameescape
+
+    Fix vim-latex/vim-latex#41
+
+commit a048d78e221d58a71b9c7455083a60e39930236d
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Jan 22 22:21:20 2017 +0100
+
+    Improve errorformat and set errorfile
+
+    This patch tries to improve the automatic detection of errors in the log
+    file. However, this is quite involved due to the mess LaTeX produces in
+    the log file and due to the complicated behaviour of Vim.
+
+commit cce4f5b9d42025b26d9d77fbac3f6c4432a24764
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jan 20 21:49:35 2017 +0100
+
+    Remove 'feature' which cause some strange behavior
+
+    Fix vim-latex/vim-latex#61
+
+commit bac155be2008c58dc7031058c8161fe0cad615a8
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Jan 20 21:37:34 2017 +0100
+
+    Fix helptag collission with align plugin
+
+commit 0e832ae9f3841fed1e72fe8cc1180ef02c70d578
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Dec 28 21:57:54 2016 +0100
+
+    Add IUNMAP function.
+
+commit 249d8397b46f983ee8451b4cb7ef88f7c095e2ef
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Dec 28 21:53:30 2016 +0100
+
+    Fix bug in IMAP matchings
+
+commit eb5a5d86e23bd0d256073d7b6eae56b66df8a88d
+Author: zuxfoucault <zuxfoucault@yahoo.com.tw>
+Date:   Tue Dec 27 13:41:04 2016 +0800
+
+    fix 'off' typo in line 752
+
+commit 173ae4af9f6ce66faec1fa9bf79d55b72e1b005c
+Author: zuxfoucault <zuxfoucault@yahoo.com.tw>
+Date:   Mon Dec 26 20:38:00 2016 +0800
+
+    Fix typo in line 809
+
+commit 224c74be6a0bb77830c167f91fd85a2a981a265f
+Author: Jonathan Wakely <jwakely@redhat.com>
+Date:   Thu Dec 15 09:33:08 2016 +0000
+
+    Fix 'indentity' typo
+
+commit 8df6178f40350ea1a6448ea2aacc332eb395ad99
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Nov 12 19:33:08 2016 +0100
+
+    Change behaviour and default of Tex_AdvancedMath
+
+    Alt key mapping cause issues for people inserting accented characters.
+    Therefore, they are disabled by default from now on.
+
+    Fix vim-latex/vim-latex#14
+    See vim-latex/vim-latex#70
+
+commit 817afa9592f883beef97cf7d9637326c2b96abdf
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 31 12:17:43 2016 +0100
+
+    Add comment concerning smart backspace and Korean
+
+    See vim-latex/vim-latex#67
+
+commit 8e28c3c304b986d5b4fc3c4579da9eda8e70f399
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Oct 8 23:45:06 2016 +0200
+
+    Remove encoding and decoding of text.
+
+    In my opinion, this works now without the decoding. I have tested the
+    issue with the matching of "\xab" with itself, and it seems to be fine
+    in recent versions of Vim. (However, I did not find a clue in the change
+    logs of Vim concerning this issue)
+
+commit f138a527a2edab7191d2188f1c670f9b9a872377
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Oct 8 23:42:51 2016 +0200
+
+    Allow for multibyte placeholders
+
+    When selecting the placeholders, we have to use virtcol() instead of
+    col(), since bytes != columns.
+
+    Will this be the comeback of « and »?
+
+commit ba140b1bd2d8c77e2818772a10338cce72f789d4
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Oct 8 22:33:20 2016 +0200
+
+    Use maparg to check for abbreviations
+
+    Here, we utilize the 'abbr' argument in maparg,
+    which was introduced in Vim 7.
+
+commit b59d55ba9dccc29395624da2b0329c3de01b5e1e
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Oct 8 21:55:12 2016 +0200
+
+    Remove comment concering "Snip"
+
+commit dcee3581d7a0219b67dda493a17421b6e3e5c9f6
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Oct 7 12:05:09 2016 +0200
+
+    Remove two superfluous functions
+
+commit b0a12cda0be316ee1bd90e1c197e70fd735478f2
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Oct 7 12:00:44 2016 +0200
+
+    Add debug function IMAP_list_all
+
+    Also fix two little bugs:
+    * Do not add lhs to s:LHS_... if it is already in there
+    * Use strtrans() in IMAP_list
+
+commit 6b8205e20ead9e9c41dbb4adebe30fc678a1166b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Oct 7 10:26:10 2016 +0200
+
+    Replace MultiByteStrpart by specialized functions
+
+    We needed MultiByteStrpart for two reasons:
+    * remove last char
+    * return last char
+    This is now handled by two specialized functions.
+
+commit 4239843a5539ea3f4fdd55cde06985d088e9e8ec
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Oct 7 10:15:52 2016 +0200
+
+    Change logic for backspaces
+
+    Since we also add the mapped character (a:char), we have to erase it.
+    Hence, we do not need the '-1' and add another "\<bs>" later on.
+
+commit 1314b24df3e07e84683b9aa5f88eae5c0be2a82e
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Oct 7 10:14:45 2016 +0200
+
+    Use \%( \) in plugin/imaps.vim
+
+    Might be slightly faster than \( \)
+
+commit 72f51b2d15e2ad6e31ba41dd513eb383988309d9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Oct 6 14:56:01 2016 +0200
+
+    Change a comment.
+
+    {\bf ... } should be replaced by \textbf{...}.
+    Usage of \bf{..} is anyway wrong.
+
+commit 0a28e3ca82d693e3bc943ba9aed6f93f7d79b892
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Oct 6 14:46:50 2016 +0200
+
+    Wipe out references to obsolete '$$'
+
+    See https://www.ctan.org/pkg/l2tabu
+
+commit 4586e2210f72439fae005bb70e73203ec25b9a75
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Oct 5 10:52:14 2016 +0200
+
+    Add gates to suppress latex-suite if needed.
+
+    This is usefull if latex-suite is installed system-wide but you do not
+    want to use it.
+
+commit 623de255c1f72352b6db98a23dd1bac83fa7761d
+Author: Till Maas <opensource@till.name>
+Date:   Wed Oct 5 08:50:50 2016 +0200
+
+    Install appdata without executable flags
+
+commit f5bb89577c5fab880583a81a4dd101a65ed94d19
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Oct 4 10:19:37 2016 +0200
+
+    Wipe out obsolete \psfig
+
+    Cf. l2tabu
+
+commit 89f01bda454f110e9bf79079ec1b366556a5a5a0
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Oct 4 09:55:53 2016 +0200
+
+    Wipe out obsolete \centerline
+
+    Cf. l2tabu
+
+commit 1538ffc89d107dd3c349af95655f7c39e1dd4875
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 22:48:42 2016 +0200
+
+    Wipe out references to obsolete eqnarray
+
+    See https://www.ctan.org/pkg/l2tabu
+
+commit 98b210c74d52f8d1319c7d3d1c04de9768ad7f1f
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 22:42:31 2016 +0200
+
+    Update comment in texrc
+
+commit 6a63cfb5ab7eb9aa79a06b809e18e1ea895a57b6
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 22:39:55 2016 +0200
+
+    Do not show doc/latex-suite-quickstart.txt in diffs.
+
+commit 821ada7615efd7415b8728919f7185231b30fe87
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 22:27:24 2016 +0200
+
+    Fix a very minor bug in wizardfuncs
+
+    The trailing <CR> causes vim to throw an E488: 'Trailing characters'.
+
+commit 35d15f3657b040974b12d271de1c2b97ef1454f1
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 21:29:56 2016 +0200
+
+    Provide readme file
+
+    Fix vim-latex/vim-latex#17
+
+commit 8b96e1ac6a844354b2d10b4726bc24b3c4f731d3
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Sep 24 21:04:30 2016 +0200
+
+    Change behaviour of cite-completion
+
+    Now, if you hit <F9> on a line which does not contain a key of an entry, it will
+    complete with the previous entry, and not the following one. In
+    particular, if the cursor is on the second line of the entry, which is
+    typically the title, the previous version completed with the following
+    entry.
+
+    The new behaviour seems to be more intuitive.
+
+commit 177cc044b36d4b2c153f7162b4508f6ea45df058
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Oct 3 08:26:58 2011 +0200
+
+    Do not open a new buffer on cite completion
+
+commit f90b716aff05d27d777987425e838b78fb111df5
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Oct 14 21:04:17 2014 +0200
+
+    Made completion more silent.
+
+commit 3d73e56c10a41aecdd59fcf0e851c899b0e638b4
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Dec 4 08:29:43 2012 +0100
+
+    Improve debugging performance.
+
+    If a filename is given in Tex_DebugLog, do not create variables storing
+    the debug information (this is likely to be slow).
+
+commit e15585cf348d9b1f61ddd80c6ee8342f2114e66b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Nov 28 19:42:15 2015 +0100
+
+    Fix <F5> for packages if package detection is disabled.
+
+commit e74311302cd9cd927ec71d18f7a38ad7be3cdd8e
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Dec 14 12:20:13 2013 +0100
+
+    Some fixes for changing environments.
+
+commit 6b407efd5a80a96f73f2d0fcef4d80529295eb94
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Sep 24 20:37:18 2016 +0200
+
+    Add more possibilities to customize environments.
+
+    With these changes, latex-suite allows more customizations for
+    environment macros (Using the default setting, nothing changes).
+
+    1.
+    let g:Tex_EnvLabelprefix_equation = "eq:"
+    => labels in equations have the prefix eq:
+
+    this similarly works for:
+    figure,table,theorem,definition,lemma,proposition,corollary,
+    assumption,remark,equation,eqnarray,align,multline
+
+    2.
+    let g:Tex_EnvEndWithCR = 0
+    =>
+    completed environments end with:
+
+    \end{env-type}
+    <++>
+
+    instead of
+
+    \end{env-type}<++>
+
+    This saves one CR
+
+    3.
+    let g:Tex_LabelAfterContent = 0
+    =>
+    Put the label before the content of an environment, e.g.
+
+    \begin{equation}
+    \label{eq:<++>}
+    <++>
+    \end{equation}
+    <++>
+
+commit 605d99abdff19d87b418353cc2b780e09c6e49c0
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Sep 24 19:37:32 2016 +0200
+
+    Improve the indentation script.
+
+    Now, something like:
+
+    \ifthenelse{...}{
+            Yes.
+    }{
+            No.
+    }
+
+    is properly indented (as above). The third line is indented according to the
+    position in the line which causes the least indentation (after as many braces
+    as possible were closed).
+
+    We also try to indent \if/\else/\fi blocks:
+    \ifnum1<0
+            bar
+    \else
+            foo
+    \fi
+
+    Finally, the indentation is much faster (by using a cache) than the default
+    indentation script shipped with vim.
+
+commit 0e1c69392e403a15790510119aea0498a7500a65
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Sep 24 19:19:57 2016 +0200
+
+    Add properly built latex-suite.txt
+
+    In the last version, the latex-suite.txt still contained a conflict
+    from a merge.
+
+commit d0acb4f3c7046583d851d726bc7ad05dcf423622
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue May 10 21:27:14 2016 +0200
+
+    Do not show doc/latex-suite.txt in diffs.
+
+commit a54b2de97329fbe578cc9cb71d1573cec6e1492f
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Aug 9 08:55:56 2016 +0200
+
+    Fix documentation (Tex_CustomTemplateDirectory)
+
+commit cdf2b02f48bbad6c8babdf3711733d1ca26056a2
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Aug 9 20:38:42 2016 +0200
+
+    Fix: python's urlopen with windows
+
+    Fixes gerw/vim-latex#28
+
+commit 612f57564892346639b5a6ef20fb940ed10455c1
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat Sep 24 12:06:20 2016 +0200
+
+    Update another version number
+
+commit aa33a425d4ce897a265ce765f8841627189a7c26
+Author: Till Maas <opensource@till.name>
+Date:   Fri Sep 23 21:03:31 2016 +0200
+
+    Update version
+
+commit 0e0c757b6d8e8e435ea2d737475613a33a5153f4
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Dec 27 12:19:16 2015 +0100
+
+    Some small tweaks for inserting templates.
+
+commit 1c36b27ec4381c3471c4616582a0c15deabdb896
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue May 10 22:52:00 2016 +0200
+
+    Remove duplicate code.
+
+    The function FindInTemplateDir had almost identical code with
+    Tex_FindInRtp. Now, the common code has been put into the new function
+    Tex_FindInDirectory, and the other two functions contain some glue code.
+
+commit 7f40579e95917846c8429cfe542dfc4f190c5680
+Author: Cristóbal Tapia Camú <crtapia@gmail.com>
+Date:   Fri Dec 25 13:31:25 2015 +0100
+
+    Added support for customizing template folder
+
+commit b1872abd4f8c3ab530188cb867ef6a5017691abd
+Merge: f437df4 73ba7f1
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Sep 21 22:04:49 2016 +0200
+
+    Merge pull request #51 from vim-latex/improved_folding
+
+    Improved folding feature
+
+commit f437df4480ec70509dad117371064507255dce89
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Sep 21 22:00:47 2016 +0200
+
+    Fix bug with SumatraPDF and multiple sources
+
+    Close vim-latex/vim-latex#45
+
+commit 44af2938da12eeb313af27ad941e38463467a0d9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Sep 21 21:46:48 2016 +0200
+
+    Fix some wrong regexp.
+
+commit 6870264660a97fc94bb9acdd69f11ae9adba5268
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Wed Sep 21 21:22:28 2016 +0200
+
+    Add some flags to search()
+
+    Fix vim-latex/vim-latex#62
+
+commit ee2822394ceb5030b0b1970da9f0133ed8509576
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Jul 24 12:20:13 2016 +0200
+
+    Fix issue in LookupCharacter
+
+    In insert mode, <c-v>O will let you insert ascii keycodes as octal
+    numbers. Hence, an 'O' must not be preceeded by <c-v>. However, <c-v> is
+    necessary, if a:char is <c-\>.
+
+    Fix #59
+
+commit c7aa5fa063071d433a9fa2d165951b33f3f0c90b
+Author: Yuchen Ding <dingyuc@126.com>
+Date:   Sat Jun 11 16:10:07 2016 -0500
+
+    Fix issue in LookupCharacter
+
+    If a:char is a special character (e.g., <c-\>), it could interact with the following <c-g>.
+    Solution: Insert a:char literally.
+
+commit 83c75e5bbd960a7b06bf6af5104e7082aeec6c64
+Author: Joel Frederico <joelfred@slac.stanford.edu>
+Date:   Thu Aug 13 20:23:11 2015 -0700
+
+    Add Python3 support
+
+    Close #28
+
+commit 73ba7f1a27670bbe70f85b750e1802db48da3ba9
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Apr 28 21:52:31 2016 +0200
+
+    Documentation: new folding features
+
+    F6 is not (no longer?) used for folding.
+
+commit 275a85bf2153cc0059573d168fafccb0b14a45c7
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu Apr 28 21:43:16 2016 +0200
+
+    Improved the folding feature
+
+    - Improved(?) the foldtext
+    - Itemize environments can nest
+    - Replaced a stack implementation by vim lists
+    - Add some debugging code to SyntaxFolds.vim
+    - Removed some bugs
+    - Speedup of folding
+
+commit fbda2350b5ad890bbfde4b6b784ab8a9d6c71d63
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon May 9 23:01:13 2016 +0200
+
+    Use \v only when searching with vim.
+
+    Fixes #36.
+
+    Also related to #45.
+
+commit 174725da1f327731597638d7d6720c0bd916667e
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon May 9 22:52:55 2016 +0200
+
+    Removed superfluous function
+
+commit cffd18f5688462eac5340ef956d68a4bd9f67ca2
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon May 9 22:50:28 2016 +0200
+
+    Workaround for a bug(?) in vim
+
+    See https://github.com/vim/vim/issues/778
+
+    Fixes #9
+
+commit 79f0f795beaabd610be88528fce13d3dbeb9f820
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sat May 7 21:41:22 2016 +0200
+
+    Removed obsolete libList
+
+    Only one function from this lib was used, and
+    this has been moved (and slightly modified) to main.vim
+
+commit 2cc25b76edf4fb2e9520d9af248f8ba9d69328ae
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Nov 16 22:04:08 2012 +0100
+
+    Removed superfluous function.
+
+commit c219d26cdfd7499eb6be4799e348170f6a607cb0
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun May 1 22:10:53 2016 +0200
+
+    Fixed glitch, show shortcuts for bib-completion
+
+    The fix with the mapping was proposed by Joel Frederico, see #28.
+
+commit f5b24a40eec74c6c8afdfddff4e284047144a60a
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun May 1 21:54:07 2016 +0200
+
+    Instructions for making the doc under Ubuntu.
+
+commit 5ab742d548ac28fb541eae27f30612eb2bba49a3
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Jul 7 21:35:54 2015 +0200
+
+    Fix bug with :iab
+
+    See http://vi.stackexchange.com/questions/2245/strange-behaviour-of-abbreviations-triggered-with-shiftenter-in-gvimvim-latex.
+
+commit 63b02f05ce52af6ea7aa226509c8f6641da1449a
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Thu May 23 13:39:12 2013 +0200
+
+    New option: g:Imap_GoToSelectMode
+
+    This can be used to fix #47.
+
+commit fa6192981e200d747d63ef961575d26e89bbcd1b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Oct 16 17:36:05 2011 +0200
+
+    Do not turn on highlighting in IMAP_Jumpfunc.
+
+    IMAP_Jumpfunc does not use the search prompt anymore. Thus, it will not have any effect on search highlighting.
+
+commit 13e40aecdfc57c9a20484107a1447037800f7c44
+Merge: 99e0760 594224d
+Author: Till Maas <opensource@till.name>
+Date:   Tue Apr 12 17:42:30 2016 +0200
+
+    Merge pull request #48 from sdx23/master
+
+    tfrac completion with both arguments
+
+commit 594224db04dd17991171254d1b9bff86ac3a6eba
+Author: Max Voit <max.voit+gtdv@with-eyes.net>
+Date:   Thu Mar 31 12:17:49 2016 +0200
+
+    tfrac completion with both arguments
+
+commit 99e076097eb92d8bf467af069f32cdd2655f0013
+Merge: 908ef75 6842fa0
+Author: Till Maas <opensource@till.name>
+Date:   Wed Mar 23 22:34:55 2016 +0100
+
+    Merge pull request #38 from m4ci3k2/m4ci3k2-paralist
+
+    Inserting items in paralist enviroments
+
+commit 6842fa0fe46013361992639390b79da7312e9c35
+Author: m4ci3k2 <m4ci3k2@users.noreply.github.com>
+Date:   Sun Dec 20 16:42:25 2015 +0100
+
+    Add support for inserting items in paralist enviroments
+
+commit 908ef75937ce908998edb4bd01c7152704978f3e
+Merge: 0f1230e a83d5ee
+Author: Till Maas <opensource@till.name>
+Date:   Mon Nov 23 22:14:08 2015 +0100
+
+    Merge pull request #35 from cr3/fix-tex-autofolding
+
+    Enable Tex_Folding without Tex_AutoFolding
+
+commit a83d5ee384a727dd67975f5c42d15b79ef515490
+Author: Marc Tardif <marc@interunion.ca>
+Date:   Mon Nov 23 12:59:48 2015 -0500
+
+    Enable Tex_Folding without Tex_AutoFolding
+
+    When Tex_Folding is enabled and Tex_AutoFolding is disabled, trying
+    to fold TeX causes vim to output: No fold found. The reason is that
+    MakeTexFolds is not called when Tex_AutoFolding is disabled. This
+    branch simply calls zR to prevent auto folding.
+
+commit 0f1230eea4fb73a45e7bbb80366a06094779455b
+Merge: d66d7ee a9b6f18
+Author: Till Maas <opensource@till.name>
+Date:   Thu Nov 12 18:03:38 2015 +0100
+
+    Merge pull request #33 from dffischer/master
+
+    more utf-quotes, now for English
+
+commit a9b6f18cb257799ca48101e8fff026c8dd74f77c
+Author: XZS <d.f.fischer@web.de>
+Date:   Thu Oct 29 21:54:20 2015 +0100
+
+    use utf-quotes for English languages
+
+    When inputenc has detected that the file uses utf encoding, there is no
+    need for two-character escapes for quotes. The corresponding utf symbols
+    can just be used directly, like already done in German variants, but
+    without a dedicated package.
+
+commit 58525d35f1adf5734751f5a5a204f42abe34483a
+Author: XZS <d.f.fischer@web.de>
+Date:   Thu Oct 29 21:38:50 2015 +0100
+
+    correct spacing
+
+    Depending on the tab width, the elseif appears to belong to the outer or
+    inner if. Using spaces, like the surrounding lines do, clears this
+    ambiguity.
+
+commit d66d7ee387e74239875365063d7bb99314661b85
+Merge: 348e3aa 367c5e4
+Author: Till Maas <opensource@till.name>
+Date:   Wed Oct 28 22:31:47 2015 +0100
+
+    Merge pull request #30 from umangv/master
+
+    Fixed forward search command for generic viewer
+
+commit 348e3aa0e3506b585b8285b4e5201c4eca79db91
+Merge: a19560c 83d49ac
+Author: Till Maas <opensource@till.name>
+Date:   Wed Oct 28 22:30:53 2015 +0100
+
+    Merge pull request #32 from strv/master
+
+    Fixed regexp for search function
+
+commit 83d49ac2997a4f37e77993092d4abfcf3d887e93
+Author: strv <strv.analoger@gmail.com>
+Date:   Thu Oct 1 01:39:10 2015 +0900
+
+    Fixed regexp for search function
+
+commit 367c5e4ae14b944be28eb879f71f3efe5c7576c1
+Author: Umang Varma <umang.me@gmail.com>
+Date:   Wed Sep 9 22:54:46 2015 -0400
+
+    Fixed forward search command for generic viewer
+
+commit a19560c711fadb929acdd035b8dcfd2c05e0ce64
+Merge: ae5a9cb 41cba4d
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 23:08:52 2015 +0200
+
+    Merge pull request #26 from yourealwaysbe/master
+
+    added zathura support to forward search
+
+commit 41cba4d038d0d2520af20aac7dac1dd02c67537b
+Author: Matthew hague <matthewhague@zoho.com>
+Date:   Sat Jul 11 15:54:39 2015 +0100
+
+    added zathura support to forward search
+
+commit ae5a9cbd815ddef8fb9a520ebe1dea4c6aacd941
+Merge: 0c766a7 a52fbd8
+Author: Till Maas <opensource@till.name>
+Date:   Sat Jul 11 12:31:05 2015 +0200
+
+    Merge branch 'migueldvb-doc'
+
+commit a52fbd8d666075e72f8ec7f5bd2fee2822046107
+Author: Miguel de Val-Borro <miguel@archlinux.net>
+Date:   Wed Jun 24 12:18:54 2015 -0400
+
+    List name of Arch Linux packages needed to build the documentation
+
+commit f13496eebb004dad3fc3aa566e3a5a1fb1b8116e
+Author: Miguel de Val-Borro <miguel@archlinux.net>
+Date:   Wed Jun 24 12:18:42 2015 -0400
+
+    Fix typo
+
+commit 5f9342dd2a7b6ec4608fc0427f5fc66abd644f71
+Author: Miguel de Val-Borro <miguel@archlinux.net>
+Date:   Wed Jun 24 12:10:32 2015 -0400
+
+    Create flat text file from updated documentation
+
+commit 0c766a7ecf9eda8f616ad2db5741fca98c7181c8
+Merge: 0fae2e6 1f6c7ff
+Author: Till Maas <opensource@till.name>
+Date:   Sat Jun 6 19:19:06 2015 +0200
+
+    Merge pull request #19 from netj/fix-backslash-env-change
+
+    Fixes backslash handling in environment Change
+
+commit 1f6c7ff6e671091c26deeb5e6b5773bd84583cd6
+Author: Jaeho Shin <netj@sparcs.org>
+Date:   Thu Dec 13 22:57:44 2012 -0800
+
+    Fixes backslash handling in environment Change
+
+commit 0fae2e676cc4beb65ed026639f8419feddb5f4b4
+Merge: a9a6dd0 b35939a
+Author: Till Maas <opensource@till.name>
+Date:   Sat Mar 21 09:38:30 2015 +0100
+
+    Merge pull request #13 from ahmadsalim/master
+
+    Configurable bibliography file generation detection
+
+commit b35939a4814abe89b54e0338d930fbb2d9e96276
+Author: Ahmad Salim Al-Sibahi <asal@itu.dk>
+Date:   Wed Mar 11 11:39:09 2015 +0100
+
+    Added support for detecting biber
+    This is done by changing the recognition string to also support '\\abx'
+    which biber generates, in addition to '\\bibdata' which BibTeX
+    generates.
+
+commit a9a6dd0396d4d87468298ce55650fc53a0ac8c52
+Merge: a835644 5fac6d6
+Author: Till Maas <opensource@till.name>
+Date:   Sat Mar 14 08:37:38 2015 +0100
+
+    Merge pull request #12 from joelfrederico/master
+
+    Ignore comments that add a bibliography
+
+commit 5fac6d63901027191813e0b5d3e688d75072a6ff
+Author: Joel Frederico <joelfred@slac.stanford.edu>
+Date:   Tue Mar 10 19:15:19 2015 -0700
+
+    Ignore comments that add bibliographies when doing cite-completion
+
+commit 1bb4e2ace380b54c63c6e96197a742abe4201a08
+Author: Joel Frederico <joelfred@slac.stanford.edu>
+Date:   Tue Mar 10 18:53:27 2015 -0700
+
+    Ignore commented lines that would otherwise add a bibliography
+
+commit a8356446785188d0ff79029f2e4c6a5ceeccd1c2
+Merge: 97388c0 dc00caf
+Author: Till Maas <opensource@till.name>
+Date:   Wed Mar 4 18:40:36 2015 +0100
+
+    Merge pull request #10 from dffischer/master
+
+    use German utf-quotes
+
+commit 97388c0bbdeb0a8040ca75c00548ca5a9ccc893c
+Merge: 392577f 0f183c0
+Author: Till Maas <opensource@till.name>
+Date:   Wed Mar 4 18:39:27 2015 +0100
+
+    Merge pull request #11 from dietercastel/master
+
+    SumatraPdf support for forward and inverse search.
+
+commit 0f183c025c8361b16c6828a800cdfdd0a8678673
+Author: Dieter Castel <dietercastel@gmail.com>
+Date:   Sun Mar 1 21:25:09 2015 +0100
+
+    Updated documentation, removed README and enabled synctex for pdflatex.
+
+commit 65b011cb24e15b7b9e3b17edc838e4a57747bb4b
+Author: Dieter Castel <dietercastel@gmail.com>
+Date:   Sat Feb 28 19:46:56 2015 +0100
+
+    Fixed indentation for SumatraPdf support.
+
+commit 90465b696fe203b46a2fd0555f2aa732d8a45d42
+Author: Dieter Castel <dietercastel@gmail.com>
+Date:   Sat Feb 28 19:40:56 2015 +0100
+
+    Added SumatraPdf support. Tested with SumatraPdf 3.0.
+
+commit 30e410a1e396d3e33a35c0f06f00f26fc5c46971
+Author: Dieter Castel <dietercastel@gmail.com>
+Date:   Sat Feb 28 18:46:38 2015 +0100
+
+    Added README file to explain the setup.
+
+commit dc00caf41d7153b8116f9466788f9b7f099062b3
+Author: XZS <d.f.fischer@web.de>
+Date:   Sat Jan 31 16:42:35 2015 +0100
+
+    use German utf-quotes
+
+    When inputenc has detected that the file uses utf encoding, there is no
+    need for two-character escapes for German quotes. The corresponding utf
+    symbols can just be used directly.
+
+commit 392577fc2031519b3c95ce0d3688842dd96c38fa
+Author: Daeyun Shin <daeyun@daeyunshin.com>
+Date:   Sat Nov 22 01:38:13 2014 -0600
+
+    Fix: allow function overloading - Add the missing function qualifier (!) to indicate that MultiByteStrpart and MultiByteStrlen can be safely overloaded. See https://github.com/vim-latex/vim-latex/issues/5
+
+commit 62fb273a37af5354e933d0922b4aae2fa43bf3ad
+Author: Till Maas <opensource@till.name>
+Date:   Thu Nov 20 21:24:16 2014 +0100
+
+    Revert "Fix F9 completion after "\includegraphics{"."
+
+    This reverts commit df006d52ebf192a930963627c82eb93a63153ca2.
+
+    As pointed out by Gerd Wachsmuth, the commit was wrong:
+    https://github.com/vim-latex/vim-latex/pull/3#issuecomment-63853047
+
+commit aa56dd6243af02286678d19cd2a0959dcd771bf3
+Author: inakacalm <inaka.calm@gmail.com>
+Date:   Fri Nov 21 00:39:04 2014 +0900
+
+    Correct a typo.
+
+commit df006d52ebf192a930963627c82eb93a63153ca2
+Author: inakacalm <inaka.calm@gmail.com>
+Date:   Fri Nov 21 00:04:25 2014 +0900
+
+    Fix F9 completion after "\includegraphics{".
+
+commit 5237834bcf8e48abee4d959627d20569dde277ee
+Author: inakacalm <inaka.calm@gmail.com>
+Date:   Thu Nov 20 01:04:11 2014 +0900
+
+    Fix: Undefined string "curlLine"
+
+commit d0f31c9043c88191877568fa38c436c6b4480f03
+Author: Till Maas <opensource@till.name>
+Date:   Sun Nov 16 12:46:49 2014 +0100
+
+    Add Appstream metainfo
+
+    References:
+    https://bugzilla.redhat.com/show_bug.cgi?id=1128816
+
+commit e18bd7761858596264c49040076a86035190c2f0
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 23:39:49 2014 +0100
+
+    Update docs
+
+commit 22372137e2a7b9e47bfc2f10dc7cdaca309320ea
+Author: andymass <>
+Date:   Tue May 6 08:51:01 2014 +0200
+
+    Fix: Correct check for *readline.
+
+    Fixes https://github.com/gerw/vim-latex-suite/issues/6
+
+commit 05f32328f7e6e2ab7cbc7db7eb51145482a3ed83
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 23:28:20 2014 +0100
+
+    Fix python shebangs to use python2
+
+commit 9e15eff2626eccb8ec60cf391c872e6908c1f0ac
+Author: Cristobal Tapia Camu <crtapia@gmail.com>
+Date:   Mon Oct 20 15:24:58 2014 +0200
+
+    Added a '$' to the regex, so that the backslash (windows) would be
+    detected at the end of the line.
+
+commit 9680280a68d1f4d3dc7d0c0d13e81c099753c460
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Oct 14 20:51:54 2014 +0200
+
+    Reverted changes from kaihowl in texviewer.vim
+
+commit 15a7e76089ca9d88f2763e3f973c04727e04e7a1
+Author: kaihowl <kai@hoewelmeyer.eu>
+Date:   Sat Sep 13 09:20:35 2014 +0200
+
+    Fix #9 restoring of cwd
+
+    The s:origdir variable was local to the source file. Since all functions used
+    the same name for the variable to save the old working directory, restoring did
+    not work with nested function calls as one call would overwrite the restore
+    value of a function invocation higher up the stack.
+
+    This was fixed by replacing s:origdir with a local variable l:origdir
+
+commit c9a8d973cc72beb42457e213fbc8ad498559990d
+Author: Arne Skjærholt <arnsholt@gmail.com>
+Date:   Tue Feb 4 15:02:54 2014 +0100
+
+    Trigger citation completion on \Cite as well as \cite.
+
+    This is useful for BibLaTeX users, where there is a \Cite* family of commands.
+
+commit 32eeda4d22a10da2fe8472e8c524ddbbacc00862
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 21:13:19 2014 +0100
+
+    compiler: Use fnameescape()
+
+    - Properly escape filenames for viewers
+    - Use format strings to make command lines easier to read
+
+commit 02cce0426380131fa0067a7fbf64f2dd14d86111
+Author: LuX <lux-vim-latex@users.sf.net>
+Date:   Sat Nov 15 19:05:33 2014 +0100
+
+    imaps.vim: Add multibyte LHS support
+
+    - Add s:MultiByteStrlen() and s:MultiByteStrpart()
+    - Allow for example IMAP chaining as follows:
+    call IMAP("\\subset", "⊂", "")
+    call IMAP("⊂eq", "⊆", "")
+
+    References:
+    https://sourceforge.net/p/vim-latex/patches/5/
+
+commit a754be1eb30027626854db0cee86047444db5309
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 18:58:34 2014 +0100
+
+    wizardfuncs: Add EAL
+
+commit 8a5337866a30454954148e9d4a03cd0c46f8ab30
+Author: Joseph Tannhuber <sepp.tannhuber@yahoo.de>
+Date:   Tue May 6 10:25:58 2014 +0200
+
+    Added shortcut for align environment.
+
+commit 9a3325e0669b78e74b8148b175fd6e9e25b71b9e
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 18:34:42 2014 +0100
+
+    texviewer.vim: Make bib regexes more precise
+
+commit 84006c01d24872458dbe70ebdeb32a2121f36061
+Author: Daniel Weiss <daniweiss@web.de>
+Date:   Sat May 3 17:56:53 2014 +0200
+
+    added support for biblatex citations (\addbibresource)
+    changed import routine to read remote files (any url) as well
+    This now makes it possible to use zotero directly as source with the
+    biber backend.
+
+commit 86655c84c90995dbe33d134b6def7950c9a6f586
+Author: Daniel Weiss <daniweiss@web.de>
+Date:   Sat Nov 15 18:15:04 2014 +0100
+
+    texviewer.vim: Fix typos
+
+commit e68cf2c9694e179b16c11703ca5dce7d8af1f14f
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 18:05:39 2014 +0100
+
+    Make python scripts more PEP8 compliant
+
+commit 0ced0c95719a49d6ed259a0e68274ac2ec51e673
+Author: TODA Shuta <toda.shuta@gmail.com>
+Date:   Mon Feb 17 17:18:53 2014 +0900
+
+    Fix some mappings to avoid unexpected recursive expansion.
+
+commit 3e7695b3668e6e5d00c0ba02fa067398b67de40a
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 16:28:19 2014 +0100
+
+    Restore registers with setreg()
+
+    Do not use "let @a = _a" to restore registers, since this adds an extra line
+    feed character to the register.
+
+    References:
+    - http://stackoverflow.com/questions/26896399/why-does-let-modify-the-value-it-assigns
+    - https://bugzilla.redhat.com/show_bug.cgi?id=1163518
+
+    Patch idea by Daniel Wagner <me@dmwit.com>
+
+commit d9e5f3e9542be737a08fd26b3ff45801df41a493
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 15:24:12 2014 +0100
+
+    Makefile: Use git rev-parse
+
+commit dd2e3daf1e4fef083b445aee1a0a1302f312ac9d
+Author: Till Maas <opensource@till.name>
+Date:   Sun Oct 20 11:46:49 2013 +0200
+
+    remove remaining SVN/CVS keywords
+
+commit 5ca01a89fe0318bbc2735684213204ea0e8ff11a
+Merge: ca0e258 1a10ee7
+Author: Till Maas <opensource@till.name>
+Date:   Sat Nov 15 15:23:07 2014 +0100
+
+    Merge pull request #1 from elehack/fix-mappings
+
+    Use noremap for IMAP mappings
+
+commit 1a10ee7cc9ee015ef0153c6f4740a48003430863
+Author: Michael Ekstrand <michael@elehack.net>
+Date:   Mon May 12 13:31:03 2014 -0500
+
+    Use noremap for IMAP mappings
+
+    The IMAP mappings used plain [inv]map instead of the noremap
+    versions.  This causes conflicts with other plugins.
+
+commit ca0e25807347c7f61b05a00d56bd8e94f8925c25
+Author: Christian Ebert <blacktrash@gmx.net>
+Date:   Thu Jun 13 16:32:18 2013 +0100
+
+    Proper python shebang for outline.py
+
+commit eaa765eeadb51c3a8e2caf16d1e67359bf89cab9
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Sun Jan 27 15:26:25 2013 -0700
+
+    Make -file-line-error-style the default compile rule. EFM support was added for this long ago, and most LaTeX distros should support it by now.
+
+commit 2ef995684d6addfa96d605b4ffbc6b6d500151fa
+Author: Till Maas <opensource@till.name>
+Date:   Wed Jan 16 15:30:08 2013 +0100
+
+    indent: Use  g:tex_noindent_env and g:tex_itemize_env again
+
+    This fixes the accidental removal of the variables in commit
+    521fc199bd53ba513c8bf794796d91056932adf5
+
+commit a3f7af9c02154eebf08e932b567a67ad61a50afa
+Author: Vladimir Rutsky <altsysrq@gmail.com>
+Date:   Sun Apr 17 11:10:42 2011 +0400
+
+    Fix typo: "Th bottom"
+
+commit d2771a2c3e23bedf2018df1519b560873a0b35eb
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Fri Nov 16 14:58:35 2012 +0100
+
+    Unified usage of s:winnum and s:pos in texviewer.vim
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit 5958b2ebd78c37593fa64e470b0340657d2db666
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Sun Oct 2 17:07:43 2011 +0200
+
+    ref and cite completion with multiple windows.
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit 2ee35124f33226be37a0de4bbec828cb03aece71
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Apr 12 12:38:18 2011 +0200
+
+    Do not open a new buffer on \cite-completion
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit ce16347c3686606a3cb15836c8e05d447b6ea2fa
+Author: Bodo Graumann <mail@bodograumann.de>
+Date:   Thu Nov 1 00:13:49 2012 +0100
+
+    Allow to undo IMAP substitution
+
+commit 40be6efa1547c48764aa69e4e4a216d438f14688
+Author: Alessandro Pezzoni <alessandro_pezzoni@lavabit.com>
+Date:   Sat May 26 11:29:47 2012 +0200
+
+    ftplugin/latex-suite/main.vim: iota IMAP was missing
+
+commit 2da4de8caf335aab6e0c29c9d1e582a52809279a
+Author: Carlos da Costa <golden.cako+github@gmail.com>
+Date:   Mon Oct 1 21:53:38 2012 -0300
+
+    Changed \begin{center}\end{center} to centering in figure environments.
+
+commit f4d286787bf2dc9c7481e50d64c6d952c6fb8674
+Author: Till Maas <opensource@till.name>
+Date:   Wed Oct 31 18:36:55 2012 +0100
+
+    docs: application dependent inverse search
+
+    Mention that inverse search is application dependent. Reported by Dan
+    Stahlke <dan@stahlke.org>.
+
+commit 2f97edbaf24c005b118e34216e199161212751a7
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Thu Aug 9 10:55:20 2012 -0700
+
+    Allow space before key names in bibtools.py (by request of Simon Carrignon); primarily to improve compatibility with kbibtex, which puts space in before keys for some (silly?) reason.
+
+commit bf3a44f6caeb5bf9354b5683a6720c11d22f1a89
+Author: Sebastian Ullrich <sebasti@nullrich.de>
+Date:   Fri Jul 6 21:35:17 2012 +0200
+
+    indent: Fix de-indentation of \]
+
+    '[' should not be escaped inside regex collections. \[ was being
+    indented, but not \[.
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit 521fc199bd53ba513c8bf794796d91056932adf5
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Fri May 25 17:12:48 2012 -0400
+
+    (via anonymous patch from SF) Fix indent/tex.vim to properly shift spacing regardless of where \end appers.
+
+commit 45b89627af0f8ab5933c6ed8872e78aae482d927
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Fri May 25 17:09:50 2012 -0400
+
+    (via anonymous patch from website) Get rid of extra trailing spaces on indent/tex.vim lines.
+
+commit 83af2eae603331f358566a4ca59492626247c401
+Author: ptrv <mail@petervasil.net>
+Date:   Sun Feb 19 23:35:03 2012 +0100
+
+    Okular needs absolut path of tex file for forward search.
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit 3592f2eb47b67ac4760244bb822694d77311f037
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Fri Jan 27 15:06:02 2012 -0500
+
+    Partially revert "Remove .dvi hard-coded extension from Mac forward searching in compiler.vim. Replace with s:target."
+
+    This partially reverts commit 416f9497c9c4749d4a63a1e6c6c775f39ff64dcd.
+
+    Put hard-coded .dvi extension back on programs that only use dvi.
+    That allows for using (e.g.) xdvik in DVI->PS->PDF build chains
+    where PDF is the target.
+
+    (thanks to Peter Vasil)
+
+commit 784296c91f5e0d0ffd20e88b8bb751296102d281
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Fri Jan 27 14:54:30 2012 -0500
+
+    compiler.vim: For forward searches, add --unique to okular call (thanks to Peter Vasil for the hint).
+
+commit 63ee424fe04995a515f460dfad4a42be023eda49
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Thu Jan 26 22:56:17 2012 -0500
+
+    Remove ugly tabs at ends of lines (compiler.vim).
+
+commit 416f9497c9c4749d4a63a1e6c6c775f39ff64dcd
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Thu Jan 26 22:42:17 2012 -0500
+
+    Remove .dvi hard-coded extension from Mac forward searching in compiler.vim. Replace with s:target.
+
+commit 4f93669bc272e718fc6cdbb5faf387bfdd697f8d
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Thu Jan 26 12:47:20 2012 -0500
+
+    compiler.vim: Remove ugly spaces at ends of lines.
+
+commit 60d12d4deda7415ff73c39874bc3a526f301b48b
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Thu Jan 26 12:45:26 2012 -0500
+
+    Replace double quotes with single quotes so that regular expressions actually look like regexps (compiler.vim); fixes forward searching in Skim.
+
+commit 8b62284128414dc141f633d70e5972b8028ccaef
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Tue Dec 13 23:35:13 2011 -0500
+
+    compiler.vim: Relax match criteria for viewers.
+
+commit 36d275da3266c1b0cdc8f525f4d977d0154241f1
+Author: Till Maas <opensource@till.name>
+Date:   Fri Oct 7 18:58:55 2011 +0200
+
+    folding: support same hierarchy patterns
+
+commit d4fe9ee4ee830293fc984bbf25c9563d064e3255
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Sat Sep 24 17:37:26 2011 -0400
+
+    Add docs/tags and *.pyc to gitignore for pathogen support (which should make vim-latex-git easier to install).
+
+commit 2a5fe0c99318fc372fc4874a6030064ab0e54aed
+Author: Till Maas <opensource@till.name>
+Date:   Sun Sep 11 13:34:54 2011 +0200
+
+    add comment and lstlisting to not indented default environments
+
+commit 041fcd568b24aa8db2c8a784697a6aa183c44dc7
+Author: Till Maas <opensource@till.name>
+Date:   Sun Sep 11 13:33:12 2011 +0200
+
+    update indent/tex.vim
+
+commit 6233d27eac32d019ea0de14fa5eed08e0e573020
+Author: Till Maas <opensource@till.name>
+Date:   Sat Sep 3 01:10:27 2011 +0200
+
+    adjust .gitignore
+
+commit 149538d7a8c7353906250627633d6b4a7aa05630
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Tue Feb 15 20:41:53 2011 -0500
+
+    Added a simple .gitignore to keep the staging area clean.
+
+commit 3eaa30f61d5dda9c0dc61661820cfe88163fb16f
+Author: Till Maas <opensource@till.name>
+Date:   Sat Sep 3 01:06:40 2011 +0200
+
+    doc/Makefile adjust db2vim location
+
+commit e4103159819e7c48962a0e3a25ba2d597bdb0aa7
+Author: Till Maas <opensource@till.name>
+Date:   Sat Sep 3 01:03:33 2011 +0200
+
+    move db2vim to doc/db2vim
+
+commit 6607de98f5c05e50956b62f43cd67ac257f7b51f
+Merge: 89c6fb5 841cfca
+Author: Till Maas <opensource@till.name>
+Date:   Sat Sep 3 00:59:35 2011 +0200
+
+    Merge remote-tracking branch 'db2vim/master'
+
+commit 89c6fb50d317c2bf599540b142dadd42dba2e8ca
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Mon Feb 21 15:36:00 2011 -0500
+
+    Fix typo in doc: Tex_UseMakefile should be g:Tex_UseMakefile
+
+commit 0c0e7da39498f32cae8f6bbb553411e2b2820c34
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Wed Feb 16 12:54:02 2011 -0500
+
+    No need to skip .svn files in ftplugin/latex-suite anymore.
+
+commit a48469fdb72f9936b8361f3b036055807b78a4a5
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Tue Feb 15 20:25:51 2011 -0500
+
+    Small (moot?) tweaks to old vimfiles Makefie.
+
+commit 6a29ffb9ff186507e5773ad12f600c1e71cc1da8
+Author: Till Maas <opensource@till.name>
+Date:   Mon Feb 14 21:38:04 2011 +0100
+
+    fix snapshot upload
+
+commit 41aaec2cad3675d11c5a290f254e0af4824f43cd
+Author: Jonathan Bohren <jbohren@jhu.edu>
+Date:   Tue Feb 15 10:57:45 2011 -0500
+
+    Fix g:TreatMacViewerAsUNIX typo in documentation (i.e., add Tex_).
+
+    Signed-off-by: Ted Pavlic <ted@tedpavlic.com>
+
+commit bb6bd451b3c4c03e94b9b8b01c9fe01b266d52bb
+Author: Till Maas <opensource@till.name>
+Date:   Mon Feb 14 21:27:48 2011 +0100
+
+    use case-insensitive comparision
+
+commit d8dbf5822cd9829c77518b27b79a83bb0eff1e9b
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Feb 14 21:18:14 2011 +0100
+
+    bibtools.py: support bib-files with capital entries
+
+commit 39433a24be5fa5d61d20f70fb88cd986cc7dc197
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Mon Feb 14 21:17:10 2011 +0100
+
+    brackets.vim: add missing backslash
+
+commit 8d8d1f4423b61235df4efb25ca6e92684fe60e86
+Author: Philipp Hartwig <philipp.hartwig@uni-due.de>
+Date:   Mon Feb 14 20:56:29 2011 +0100
+
+    imaps: make VEnclose work when ignorecase is set
+
+commit 57e93e54e2bfc2d30738063068a6430532f79236
+Author: Till Maas <opensource@till.name>
+Date:   Mon Feb 14 20:52:17 2011 +0100
+
+    Adjust snapshot creation to git
+
+commit 841cfca18443ccbb07bbdfffeb9847be6e0f3f1d
+Author: Till Maas <opensource@till.name>
+Date:   Fri Oct 29 16:55:22 2010 +0000
+
+    remove most svn/CVS keywords
+
+commit e2f07b87927167359fa57cf9e08e8f3c94ce221c
+Author: Till Maas <opensource@till.name>
+Date:   Fri Oct 29 16:55:22 2010 +0000
+
+    remove most svn/CVS keywords
+
+commit 01ed2f8626d29660b5ce669b9b0f80e35dba1437
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Thu Oct 28 20:20:34 2010 +0000
+
+    Remove some default error formats.
+
+    The default error patterns, that are removed by this patch, match wrongly
+    version messages (for example of revtex4). The comparable error formats in
+    compiler/tex.vim are less error-prone.
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/582100
+
+commit e910c02bb9bba7f058f5eb071c426ee963cfb2cd
+Author: Mario Santagiuliana <mario@marionline.it>
+Date:   Thu Oct 28 20:08:43 2010 +0000
+
+    Support forward search for dvi files with okular
+
+    Patch by Mario Santagiuliana
+    http://sourceforge.net/tracker/?func=detail&aid=3004833&group_id=52322&atid=466458
+
+commit 4426c95d6466b126ec8544a27fd1e5433de8b61c
+Author: Till Maas <opensource@till.name>
+Date:   Wed Oct 27 21:27:11 2010 +0000
+
+    fix lcd invocation with fnameescape
+
+    Changeset 1061 broke two lcd invocations with adding fnameescape, e.g. for F9
+    completion.
+
+commit 4a18e038e350789adec655f6fb305b172a1d6e10
+Author: Mika Fischer <mika.fischer@zoopnet.de>
+Date:   Thu Oct 7 20:19:23 2010 +0000
+
+    fix setting mapleader to space
+    Patch by Mika Fischer <mika.fischer@zoopnet.de>
+
+commit d6a35c286a033bee7e7cb649394b781dccc428d4
+Author: Till Maas <opensource@till.name>
+Date:   Sat Oct 2 16:55:39 2010 +0000
+
+    Do not indent inside comment environments
+
+commit 2bc3c638528477bcc8a783e7d64dee09ebf28fa6
+Author: Gerd Wachsmuth <gerd.wachsmuth@mathematik.tu-chemnitz.de>
+Date:   Tue Sep 7 03:01:10 2010 +0000
+
+    Fold all %%fake, not just %%fakesection (by Gerd Wachsmuth)
+
+commit 07c1d0fa4a6cc019608f02859f7cddf133a942de
+Author: Andreas Wagner <Andreas.Wagner@em.uni-frankfurt.de>
+Date:   Wed Feb 17 14:32:50 2010 +0000
+
+    biblatex, fixme, csquotes & pagenate package support files by Andreas Wagner
+
+commit 9d926e1aa62508444624ee2638f3bfcbca0a2f4e
+Author: Till Maas <opensource@till.name>
+Date:   Tue Feb 2 23:51:36 2010 +0000
+
+    properly escapee arguments for outline.main
+
+    - a the usage of fnameescape in changeset 1098 was not correct for running
+      outline.main or outline.py. This has now been corrected using vim.eval and
+      shellescape
+
+commit 4e257e2a88710056aa838342b3383ca96f31b6cd
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Fri Jan 29 00:38:56 2010 +0000
+
+    Fix the cite completion: \cite[\cf{abcd}]{<F9>
+
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/449016
+
+commit 64af08ae9263321c4dabc111a6e8fd0938dac36a
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Fri Jan 29 00:01:51 2010 +0000
+
+    outline.py: \% should not start a comment
+
+    - This still leaves a buggy case behind, because \\% should start a comment. :-/
+
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/381161
+
+commit 3b77693811b1677863564b2731575ada7e7a691b
+Author: Till Maas <opensource@till.name>
+Date:   Thu Jan 28 23:49:04 2010 +0000
+
+    fix xdvi with sourceposition and filenames starting with a digit
+
+    - If the .tex filename starts with a digit, a space needs to be added to the
+      xdvi commandline, with is optional otherwise. Bug reported by Jens Mueller.
+
+commit 7ae5399eb1c595de0fecfe6be640796c2ce77d86
+Author: Till Maas <opensource@till.name>
+Date:   Thu Jan 28 23:30:56 2010 +0000
+
+    Fix <M-i> or <ALT-I> mapping and documentation
+
+    - The <M-i> mapping was not defined, because it was checked for the existence
+      of the key sequence of <Plug>Tex_InsertItem, but the defined key sequence is
+      <Plug>Tex_InsertItemOnThisLine
+    - Update documenation to mention the actual key sequence
+
+commit a636b7190f091787c1f7ee049168706a84096652
+Author: Till Maas <opensource@till.name>
+Date:   Thu Jan 28 15:25:31 2010 +0000
+
+    switch to insert mode if <F9>completion failed
+
+    - Switch back to insert mode when completion failed for \cite, because no
+      bibtex info was found, or when completion was aborted with "q"
+
+commit f0175315829cc61b9a3089cd4f2bd3275af60dd6
+Author: Till Maas <opensource@till.name>
+Date:   Thu Jan 28 14:54:59 2010 +0000
+
+    add Tex_Debug to Tex_FindBibFiles
+
+commit 21def877870c0eb3d1ff9e3a0d43b42a3868c11f
+Author: Till Maas <opensource@till.name>
+Date:   Thu Jan 28 14:51:09 2010 +0000
+
+    texviewer: escape more filenames with fnameescape
+
+    - Bibtex \cite{<F9>-completion failed when the path contains special chars like
+      spaces
+    - fnameescape was added to other places to fix more unknown issues
+
+commit 7f4a448b260e64e09dff5ade1eca24205c0106ce
+Author: Till Maas <opensource@till.name>
+Date:   Wed Jan 27 17:07:12 2010 +0000
+
+    texviewer: remove unused variable s:curfile
+
+commit 7446cc1cc8fe74ba9fe1578254e72273d4e4f67b
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Wed Jan 27 16:59:13 2010 +0000
+
+    replace prefix in \cite completion with <F9>
+
+    - fixes completion that change case, e.g. \cite{X to \cite{xyz}
+    - improves filename completion:
+     \input{x <F9> then select file 'y', result is \input{y} (instead of
+     \input{xy}).
+
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/481524
+
+commit a22d41dc8b83f71ef8ac819fe835030498033490
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Tue Jan 26 22:04:12 2010 +0000
+
+    Description: Force redraw after latex run
+     After recompilation, the terminal is sometimes not redrawn and only
+     few lines are shown.
+    Author: Anton Khirnov <wyskas@gmail.com>, Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/365572
+
+commit 77c5977468be5d913e96116ce436b0dc2fd54756
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Tue Jan 26 22:02:34 2010 +0000
+
+    redefine RemoteOpen, RemoteInsert, if they exist
+
+    Description: Fix error message on double loading
+     If the file plugin/remoteOpen.vim is loaded twice by vim (e.g. at both local
+     and system-wide installation), errors about redefined commands are shown.
+     This patch should fix this.
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/444426
+
+commit 03616e6d615605f50af0e44b9d0e6e9a1498e313
+Author: Till Maas <opensource@till.name>
+Date:   Wed Dec 30 13:00:26 2009 +0000
+
+    update generated latex-suite.txt
+
+commit b94484a7cb2e06f02afd8d17175d21fc86d2500f
+Author: Till Maas <opensource@till.name>
+Date:   Wed Dec 30 12:58:32 2009 +0000
+
+    fix documentation upload
+
+commit 784f7193653bd7a7db87357ceb9c91e50d7cca39
+Author: Björn Steinbrink <B.Steinbrink@gmx.de>
+Date:   Tue Dec 29 22:21:16 2009 +0000
+
+    fix .latexmain sourcing failure because of misplaced "."
+
+    Patch by Björn Steinbrink
+
+commit b56d2f34ec2700de649a118758f996985d1fd1ec
+Author: Till Maas <opensource@till.name>
+Date:   Sun Nov 1 20:33:55 2009 +0000
+
+    Explain, that the master file can just be empty
+
+commit 16eab0f55b227082493297ff7b86d94973439f29
+Author: Till Maas <opensource@till.name>
+Date:   Fri Oct 2 21:34:56 2009 +0000
+
+    sync version in snapshot with ftplugin/latex-suite/version.vim
+
+commit c2a5f254e2c46f7ae631c92715dcf14d31f56b77
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Fri Oct 2 21:17:29 2009 +0000
+
+    Description: There is a branch missing so the filename completion doesn't work completely
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Debian-Bug: http://bugs.debian.org/444397
+
+commit a79e44dd29e6b9084c0d47e59929d571936efbff
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Fri Oct 2 21:12:54 2009 +0000
+
+    Description: use xdg-open if available, use gv instead of ghostview
+    Author: Johann Felix Soden <johfel@gmx.de>
+
+commit 4e01928369cb804c9724551a7805fc250d1ccb3d
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Fri Oct 2 21:10:09 2009 +0000
+
+    Description: Stop warning messages in old versions of vim when
+    using\usepackage{ngerman}.
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug-Debian: http://bugs.debian.org/507617
+
+commit b979a407aff5ce9906ef5c1011185a73c46eeb0f
+Author: Johann Felix Soden <johfel@gmx.de>
+Date:   Wed Sep 30 12:17:28 2009 +0000
+
+    Description: Primary paste buffer should not be overwritten with the contents
+    of the file which the .latexmain file corresponds to.
+    Author: Johann Felix Soden <johfel@gmx.de>
+    Bug: http://sourceforge.net/tracker/index.php?func=detail&aid=1103347&group_id=52322&atid=466456
+    Bug-Debian: http://bugs.debian.org/280793
+
+commit 96de289b270cc8ce0f0b8b03df48a51502026ea0
+Author: Thomas Koch <thomas.koch@ymc.ch>
+Date:   Tue Sep 15 18:28:17 2009 +0000
+
+    Description: Don't overwrite the global error formats
+    Author: Thomas Koch <thomas.koch@ymc.ch>
+    Bug-Debian: http://bugs.debian.org/487661
+
+commit 618826385158ab54c38ab250871ed429645672a5
+Author: Gary Johnson <garyjohn@spocom.com>
+Date:   Tue Sep 1 18:51:19 2009 +0000
+
+    - fix double fnameescape for s:path / missing escape for dict, patch by Gary Johnson
+    - add fnameescape for pytools.py
+
+commit 87e784d754b8b517bb299e53a5e696ac1f1f3e8a
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:47:15 2009 +0000
+
+    use fnameescape instead of Tex_CD
+
+commit adb00fecefee64d4bb993191fe7e3cc4e67008c4
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:42:39 2009 +0000
+
+    use fnameescape
+
+commit 5a932a60d115c1e3d1696d0bd30a0fb6a6b72044
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:41:55 2009 +0000
+
+    use fnameescape
+
+commit e49b82caa232d557b5aa837ca4b7e5c75aa32d69
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:39:23 2009 +0000
+
+    use fnameescape
+
+commit 839d9542d928b60b8e2bdd944ff527a2c6796647
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:37:57 2009 +0000
+
+    call fnameescape, when the filename is expanded for uniformity
+
+commit 30fa811414086d2c57186d226181a7445e5dafcd
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:34:34 2009 +0000
+
+    use fnameescape instead of Tex_CD
+
+commit e4f7cbd7cb21f2e9c5e8fe74e3a177f11efa3b30
+Author: Alexander Stefanescu <astefan@ph.tum.de>
+Date:   Sun Aug 16 19:30:14 2009 +0000
+
+    Fix bugs introduced with r1061, patch by Alexander Stefanescu
+
+commit 0acfab896ced6fa336038bc7f87c2478d18eebcb
+Author: Till Maas <opensource@till.name>
+Date:   Sun Aug 16 19:26:30 2009 +0000
+
+    escape filenames with fnameescape with help from Alexander Stefanescu
+
+commit 3e7f04d7e3421e73c85e87f07b7d48365d574553
+Author: Till Maas <opensource@till.name>
+Date:   Wed Aug 12 21:40:49 2009 +0000
+
+    Create snapshots from HEAD and not WORKING.
+
+commit 1dab3e2912a717f9b9be5b1bd8c7cfa2591caed8
+Author: Till Maas <opensource@till.name>
+Date:   Wed Aug 12 21:38:05 2009 +0000
+
+    Fix filename handling with help from Alexander Stefanescu.
+
+commit 60d59749cd6cc5281464a1808146274ff03b61b2
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 22:22:32 2009 +0000
+
+    add upload target to Makefile
+
+commit 9f58365c925c36efdc38265a09df4c2d95afd716
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 22:19:19 2009 +0000
+
+    include documentation in the snapshot
+
+commit 9cdb34888b595704626b45dd11c67612bdc7a1b1
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 22:15:11 2009 +0000
+
+    add pointer to README.new
+
+commit 09a64a8965a1f12e300681f7566a9ace81ec2d0c
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 22:13:42 2009 +0000
+
+    add README for the new doc Makefile
+
+commit d988185089eb398c8534a455babe4726bbabf5ae
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 22:06:17 2009 +0000
+
+    - Use /usr/local as default prefix
+    - Include revision in snapshot tarball name
+
+commit 6cba90db4045b439185566886e5332118a6b59a3
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 21:53:14 2009 +0000
+
+    support PREFIX in Makefile
+
+commit cac11f762cfc7c303363515fad39bb95526b665d
+Author: Till Maas <opensource@till.name>
+Date:   Mon Aug 3 21:51:24 2009 +0000
+
+    Create tarballs in the Makefile with .tar.gz suffix instead of .tgz
+
+commit 661cfa576ef19349c04d2be1addb27d5e2946ad7
+Author: Till Maas <opensource@till.name>
+Date:   Tue Jun 2 18:33:54 2009 +0000
+
+    add fnameescape() to various places, where files are sourced. Patch by Gary
+    Johnson.
+    This fixes failures in case the path contains spaces. Other special
+    characters may have caused problems, too.
+
+commit 9a89e1f6457a6a0a287e7218285063f9e88f9a9d
+Author: Matías Graña <matiasg@dm.uba.ar>
+Date:   Wed Apr 29 13:29:56 2009 +0000
+
+    Make \cite completion work for \bibitem with labels and spaces: \bibitem [A] {a}
+    Patch by Thomas Ibbotson and Matías Graña
+
+commit cc37445b1ddc2008c1a4a11dd921c97e4816ac80
+Author: Thomas Ibbotson <thomas.ibbotson@gmail.com>
+Date:   Sun Apr 26 17:56:24 2009 +0000
+
+    Fix typo in elsif comparison
+    Patch by Thomas Ibbotson
+
+commit 6cf765ebfb72b0a358f07040a24ea5961ea7ca23
+Author: William (B.J.) Snow Orvis <aetherknight@gmail.com>
+Date:   Wed Mar 11 16:11:25 2009 +0000
+
+    Patch by William (B.J.) Snow Orvis:
+
+    Do not prepend '-a ' to s:viewer everytime Tex_ViewLaTeX() is called, only add
+    it to the 'open' command if needed.
+
+commit c15a3319a34ededb6f5702fb6693aba020454f76
+Author: Thomas Ibbotson <thomas.ibbotson@gmail.com>
+Date:   Wed Mar 11 15:08:58 2009 +0000
+
+    Patch by Thomas Ibbotson:
+    Make "F9 \ref" completion work if the path to vim contains a blank character,
+    e.g. on Windows.
+
+commit bb80f0e52a60369f52daf9c79eab5f337e882940
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Tue Jan 20 14:13:19 2009 +0000
+
+    - Added errorformat (efm) support for latex -file-line-error (which sanitizes error messages for Vim)
+    - Adjust vim modeline of tex.vim
+
+    Patches by Ted Pavlic
+
+commit d12f1bb2157ef8c4b85f3427e2dde44d97530274
+Author: Till Maas <opensource@till.name>
+Date:   Thu Aug 7 13:58:08 2008 +0000
+
+    - the filetype is 'tex', not 'latex'
+
+commit 9f1781dbd596f6d7ba3fab322363c8fe9dcd743a
+Author: Till Maas <opensource@till.name>
+Date:   Thu Aug 7 13:49:58 2008 +0000
+
+    - mention let g:tex_flavor='latex'
+
+commit ae726874a1198cd899008a136407b86112900bc9
+Author: Ted Pavlic <ted@tedpavlic.com>
+Date:   Sat Jun 7 14:09:51 2008 +0000
+
+    - Enhance forward/inverse searching, patch by Ted Pavlic
+      http://phaseportrait.blogspot.com/2007/07/vim-latex-modification-forward.html
+      http://links.tedpavlic.com/patch/VIM-LaTeX-osx-inverse-search-compiler.patch
+      http://sourceforge.net/mailarchive/message.php?msg_name=48418CD8.6060907%40tedpavlic.com
+    - Update documentation to mention several viewers that support forward searching
+    - Mention empty view rule meaning for Windows/Mac users: use system default viewer
+
+commit b7165e593b4ab1f62e2452dcf159ea7b3645862d
+Author: Till Maas <opensource@till.name>
+Date:   Sat May 31 17:13:01 2008 +0000
+
+    - typofix
+
+commit 4e2d6abf7ea21d1ed56ee9bacd44204e4527974e
+Author: Till Maas <opensource@till.name>
+Date:   Sat May 31 16:42:06 2008 +0000
+
+    - typofix
+
+commit 202189ed6cfa6a5ebb2a67e6ebf266659e4638c1
+Author: Till Maas <opensource@till.name>
+Date:   Sat May 31 16:10:30 2008 +0000
+
+    - Add new Makefile to create documentation with xsltproc
+    - Update xsl imports to use the public http uris for the docbook xsl files.
+      This makes it use the system xsl files when they are installed or
+      downloads them otherwise when using xsltproc.
+      This breaks currently breaks the creation of documentation with saxon,
+      because it does not use system xsl files by default,
+      http://sagehill.net/docbookxsl/UseCatalog.html explains how to probably fix
+      this, i.e. make it use a catalog file
+    - Add a catalog file to easily use a locally copy of the docbook xsl files
+
+commit 1a078bc53cf9a191ef7a5ee6ad73e97e2f0cffb9
+Author: Till Maas <opensource@till.name>
+Date:   Sat May 31 16:04:12 2008 +0000
+
+    - recreated from xml
+
+commit 5652f27d015e4844f062db714173b04d7c7e7db6
+Author: Till Maas <opensource@till.name>
+Date:   Sat May 31 16:02:34 2008 +0000
+
+    - Recreated quickstart guide from XMl
+
+commit 78df4eae55c4ab86a3d66e76e7c61eb1bd9b95a3
+Author: Till Maas <opensource@till.name>
+Date:   Thu May 29 22:16:45 2008 +0000
+
+    - no space before the colon in the fold text after label text
+
+commit 864031b0c5ada552ee588d8be85095b3807f9606
+Author: Till Maas <opensource@till.name>
+Date:   Thu May 29 21:16:58 2008 +0000
+
+    - merge foldingfix.dpatch from
+      http://ftp.de.debian.org/debian/pool/main/v/vim-latexsuite/vim-latexsuite_20060325-5.dsc
+      NOTE: The patch was modified, because line 14 in the patch should be a
+      removed line in folding.vim
+    - Make the extracting of the contents of \label a little better, i.e. work when
+      there exists a }-character in the same line after the \label
+    - Debian Bugreport with an example that breaks:
+      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=246798
+
+commit 6eccfbd8edaea879159931bff39c6cabdc8f115c
+Author: Till Maas <opensource@till.name>
+Date:   Thu May 29 20:19:06 2008 +0000
+
+    - new simple Makefile for snapshot.tgz creation and usage in distributions
+
+commit 884cc8421da6cae9f218af305a1f668bcac378c3
+Author: Till Maas <opensource@till.name>
+Date:   Thu May 29 19:16:29 2008 +0000
+
+    - remove brackets.vim texviewer.vim, they are not used anymore and
+      should have removed themselves on any user system by now
+
+commit 5b9256f75a5aa15669afc3bd53bc3642208b3529
+Author: Till Maas <opensource@till.name>
+Date:   Thu May 29 19:09:02 2008 +0000
+
+    set svn:executable for executables
+
+commit 319596aecee76e0119ca19f7100f3660f7e83407
+Author: Jarek Miszczak <jarekadam@users.sourceforge.net>
+Date:   Tue May 6 09:47:54 2008 +0000
+
+    - Use \bibitem instead of \item in thebibliography environments, patch
+      by Jarek Miszczak, submitted at
+      http://sourceforge.net/tracker/index.php?func=detail&aid=1859626&group_id=52322&atid=466456
+
+commit e5f799d0636aaa0a9c0d4cfdc2bf6beff846e0b7
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon May 1 21:29:40 2006 +0000
+
+    Bug: sloppybar should be sloppypar (Bernhard Walle)
+    Fix: Change ESB->\begin{sloppybar} to ESP->\begin{sloppypar}
+         It looks like lots of people might complain because of this because
+         ESP is quite a common acronym...
+
+commit b7df9bf6b401cca385baa41bde08cada08e0905b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon May 1 04:32:11 2006 +0000
+
+    Bug: There is a complaint on mac when the view rule is not specified,
+         although it should be allowed on the mac to not have any view rule
+         specified. (Chen Long)
+    Fix: Specifically check for has('macunix') when the view rule has to be set
+         and relax in this case.
+
+commit c2a2c04c654057ee35a433054be5bdbf42f8a855
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Apr 29 02:36:23 2006 +0000
+
+    Bug: In vim7, 'exe pos' doesn't seem to always work. Sometimes it leads to
+         a spurious double-quote being inserted into the text. I have no idea
+         why this happens. However, using vim's native setpos() when available
+         seems to not have this problem.
+    Fix: When setpos/getpos() are available use them instead. Two new utility
+         functions Tex_(Set|Get)Pos() have been provided. Use these henceforth
+         to record/restore cursor position.
+
+    New: Expand ... to \dots also when the package ellipsis is detected.
+
+commit aa6d72d75133cd8b3cdef7ed23708c3a9abb4183
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Apr 28 16:48:12 2006 +0000
+
+    Bug: When a file is included as
+         \input{file.tex}
+         then there is an error in \ref completion (Matthias Rosenkranz)
+    Why: outline.py always appends .tex to the filename so that we try to
+         include file.tex.tex which does not exist.
+    Fix: Try opening file and then file.tex and use the first one which is OK.
+         This avoids problems with having to guess. (modified version of patch
+         submitted by Franz Pletz)
+
+commit a556485bb63c5726e3aa6631809e1ab9217936c9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Apr 28 16:41:47 2006 +0000
+
+    Bug: when 'filetype indent off' then pressing <M-i> at the beginning of a
+         line inserts the \item one character to the right of the first
+         character on the line. (Joachim Breitner)
+    Why: We had mapped the insert item thing to <Esc>a... which doesn't get the
+         cursor back to the same position at the beginning of a line.
+    Fix: Just avoid going into normal mode in the first place (Franz Pletz)
+
+commit ffa9b5e46580119a701f31ab19ac164df45ee1b9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Apr 17 23:50:10 2006 +0000
+
+    Bug: In Vim6, there is an error on startup.
+    Why: Apparently, you cannot use
+         :if v:version >= 700
+            :for something
+                ...
+            :endfor
+         :endif
+         the :endfor and :for trigger errors.
+    Fix: For now, just remove this code from latex-suite since there is a new
+         release purely for vim7 coming up.
+
+commit ab2b87be0fc0d7291c087421a90ccbd59be2bed9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Apr 4 18:39:03 2006 +0000
+
+    Bug: The contents of the unnamed register get over-written while switching
+         buffers. (Andreas Lagemann)
+    Why: I assumed (wrongly) that doing "ay would not affect the unnamed
+         register. Appparently it does.
+    Fix: Also remember and restore @" in Tex_pack_updateall().
+
+commit 382e180fb359608b2bd7471fbcd9b15818bb512e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Mar 29 06:15:08 2006 +0000
+
+    New: Support the Tex_ImageDir setting more fully. Now when Tex_ImageDir
+         is found, then pressing <F9> to complete \includegraphics will open up
+         the file-browser on the directory pointed to by Tex_ImageDir. When a
+         file is chosen, the filename is completed relative to Tex_ImageDir.
+
+commit b9d4c3777e08c7588348d49be0a1337cef247ad7
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Mar 29 06:11:01 2006 +0000
+
+    Bug: Using <S-F5> to change
+            \begin{eqnarray}
+                2 = 3 \label{first} \\
+                4 = 5
+            \end{eqnarray}
+         to an \begin{align}...\end{align} inserts \nonumber's.
+    Why: It was assumed that we will only change starred environments (i.e,
+         ones which will not be numbered) into unstarred environments.
+    Fix: Only insert \nonumber if the original environment was starred and the
+         new environment is not.
+
+         Ofcourse, its not obvious that this is the right thing to do. It feels
+         that someone would convert a previously starred environment into a
+         starred one precisely to give it a label or something similar. Why
+         increase the work required by inserting \nonumber? More feedback
+         needed. For now, I'm just fixing the obvious bug.
+
+commit cd184726e722d03fd185f1299d776386ff0cab28
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 28 19:15:18 2006 +0000
+
+    New: Significant speedup for the FB_DisplayFiles() function. Instead of
+         using FB_Strntok() to get the i^th line of glob('*'), iterate using
+         stridx(). This makes the time required by FB_OpenFileBrowser() to list
+         the files in C:/WINDOWS/system32 reduce from 104 seconds to 1 second.
+         If v:version >= 700, then we can directly use Vim's inbuilt list and
+         split() functions. This makes the time go to 0.6 seconds.
+
+commit 452ac05ef0d8d1a2f012af2bbdae7d94e3fdffee
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 28 04:32:11 2006 +0000
+
+    New: Latex-suite (once again) honors Tex_ImageDir.  This setting is
+         supposed to be the name of a _single_ directory. Its used when <F9> is
+         pressed to complete an \includegraphics command. In this situation,
+         the file browser is opened on the directory pointed to by Tex_ImageDir
+         rather than the current directory.
+
+commit a01b46d904f94d9eca767a387b3df40135611f7a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Mar 25 08:40:15 2006 +0000
+
+    Bug: After applying a filter to the bibtex results, pressing 'a' to get
+         back the full list gives an error (Fabian Braennstroem)
+    Why: Tex_HandleBibShortcuts() did not correctly create the prefix filter
+         when it removed the rest of the filters.
+    Fix: do ze right thing.
+
+    New: Handle the case when a bibtex file is not found more elegantly.
+
+    New: Catch a wrong specification of the filter more elegantly.
+
+commit 36a9c731f620922c81fcb0fa96395e31a7bab5e8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Mar 25 05:41:09 2006 +0000
+
+    Bug: Parsing bib files fails in certain situations, for example with fields
+         like "number = 3," (a single number)
+    Why: too many assumptions about how the bibtex file is structured.
+    Fix: Relax the parsing.
+
+commit c20bc640306cb298ed677e19206c23d5b5f1c8fe
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Mar 23 04:02:21 2006 +0000
+
+    Bug: Sometimes, template expansion badly screws up (Soren Christensen)
+    Why: The package detection stuff seems to do strange things during the
+         expansion of the template. Since I didn't write this part, I do not
+         really know what exactly might be wrong.
+    Fix: Make the call to Tex_updateall() _before_ the call to
+         IMAP_PutTextWithMovement(). This seems to be much better behaved.
+
+commit 483f6c0ea898dbc729f1809d8939393d780036bc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 21 19:28:45 2006 +0000
+
+    Bug: outline.py needs executable permission set since it can also be used
+         as an external executable by latex-suite. (Javier Rojas)
+
+commit ebcb4bcf3f3874371dc63b5d0714161e0ca39bb5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 21 06:00:17 2006 +0000
+
+    Change: Now that we are going to .svn, we need to slightly change the way
+    the archives for downloading are created.
+
+commit fc2e6c7cbb53c62df2187b5822698205e610f6da
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 21 05:32:37 2006 +0000
+
+    Bug: \cite completion does not work when the bib file is included as
+            \bibliography{db.bib}
+         instead of
+            \bibliography{db}
+         (Javier Rojas)
+    Why: We used 'silent! find '.fname.'.bib'
+    Fix: Add '.bib' to 'suffixesadd' and use 'silent! find '.fname instead
+         Created a new function Tex_FindFile() to make such things easier in
+         the future.
+
+commit 059382b7db89d2480a52787b21d3a348ad5ed76f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 09:45:45 2006 +0000
+
+    New: Used one of the advantages of using svn. Liberally used the 'prop*'
+         commands to do the following:
+         1. change the EOL style of all vim files to be just LF.
+         2. changed the mime-type of all files to text/plain
+         3. removed the executable flag on all files.
+         This should hopefully make the repo look better on all platforms etc.
+
+commit 973b3928ac94fc578ebf4a678d59302cf9115472
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 09:03:50 2006 +0000
+
+    Moving makefile to Makefile.in so that users can customize it better
+    according to their prefs.
+
+commit 54fd9f2351f791c0271a64a1f500be21aac9fd3f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 09:00:55 2006 +0000
+
+    New: First stab at documenting the improved \ref and \cite completion.
+
+commit 048e26a10436acfa1ac6c68526f59979e4903eff
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 08:35:08 2006 +0000
+
+    Bug: Sourcing problems because line continuation was used here.
+    Fix: Adjust 'cpo' settings at the start of the script.
+
+commit b37e596f3766f85e8856d3846502e9c8e1e0f063
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 08:30:51 2006 +0000
+
+    New: A new command :RemoteInsert which is useful for integration with
+         Jabref.
+
+commit 53b7a0e29cd5fb993c527b7d63a315b789b020d2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 08:28:25 2006 +0000
+
+    Bug: outline.py cannot read in the contents of the main file.
+    Why: This is still unresolved. I am still very unclear about how LaTeX
+         treates \input statements. Do we always need to provide the extension
+         or is it implicitly included? This is not really "fixed". Just works
+         better in my situation.
+
+commit 4df1e853f8ce7b3213b1c05573ca6e350fe16c47
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 20 08:20:38 2006 +0000
+
+    Bug: Sometimes latex-suite does not compile even it needs to redo the
+             references.
+    Why: We depended purely on the string "Rerun to get references right" in
+             the log file. Sometimes, this message is suppressed by latex although
+             the AUX file is outdated.
+    Fix: Compare the contents of the AUX file before and after latex is run to
+             see if it changed. This is more fool-proof than relying on latex's
+             message.
+
+commit 3fff75c2a2a049a8e0ed2e7577a73f0d4f06ddbe
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Mar 19 04:29:47 2006 +0000
+
+    Bug: If there is an abbreviation like this:
+            :iab zzz whatever
+         then typing 'z<space>' triggers the abbreviation in the presence of
+         latex-suite. (Cristian Rigamonti)
+    Why: The reg-exp used to find out if a iab existed was faulty.
+    Fix: Fix the regexp to use an exact match of the previous word.
+
+commit 8421c91b4615a4307f9c3a4250e3757c105f817d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Mar 3 01:10:32 2006 +0000
+
+    New: A major new addition to latex-suite. It basically allows for
+         significantly better \cite completion:
+         - a better formatted list of all the entries instead of just dumping
+           the whole bibtex entry.
+         - allows for filtering the results.
+         - allows for sorting the results.
+
+commit 20f3ef9740e54126a742cb800aed65c1b5de9083
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Feb 5 17:53:02 2006 +0000
+
+    New: Use Vim7's readfile() function in Tex_CatFile() if available.
+
+commit 8543734c35eeec495fd5b2b179a6dc556a879668
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Feb 2 00:20:31 2006 +0000
+
+    Bug: several typos in the docs (Cristian Rigamonti)
+    Fix: Use aspell ;) (Cristian Rigamonti)
+
+commit b1a5eb6db167e23ad1ba32b88de9205c10f0b211
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 25 04:16:28 2006 +0000
+
+    Bug: Selecting a word visually and pressing <F7> does not enclose the word
+         in the selected command (Javier Rojas)
+    Why: Tex_DoCommand() never set s:isvisual.
+    Fix: Never really like s:isvisual anyway. Now, Tex_DoCommand() just conveys
+         whether its visual or not via another argument to Tex_PutCommand().
+
+    Bug: Pressing <F7> after foo* does not create \foo*{} (Javier Rojas)
+    Why: We restrict the previous string of letters to end in a 'iskeyword'
+         character.
+    Fix: Instead of requiring that users extend the 'iskeyword' setting to
+         include *, just allow for words like foo* because this is a very
+         common thing in LaTeX
+
+commit 1fc252dd87ebec20e00115b969e9d374d75cbf22
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 20 16:35:20 2006 +0000
+
+    Bug: Trying to internationalize Tex_GetErrorList() broke code because when
+         there are no errors, we get "\nE42: No Errors". Therefore needed to
+         match 'E42: '. Matching '^E42: ' does not work.
+
+    New: moved Tex_Version() into a new file called version.vim so that we do
+         not get fake commits on main.vim. It was getting hard to figure out
+         whether a change in main.vim corresponded to changed code or just a
+         version increment.
+
+commit 75e0637ea596de0b052d0ff569dcc7985f55887c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 18 09:20:53 2006 +0000
+
+    Bug: Bugs on all *nix and mac systems due to the new outline.py module
+         (Christian Ebert)
+    Why: stupidly imported stringio, which works on the windows version of
+         python, but not on any unix system which is case sensitive :(
+    Fix: use StringIO instead (Christian Ebert)
+
+commit afc301c6aaabae832028f6cae318c6ee45fc792e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 10 01:59:11 2006 +0000
+
+    Bug: Multiple compilation chain is broken without any errors for
+         non-english speaking locales (Javier Rojas)
+    Why: We try to see ``errlist =~ 'E42: No errors'`` which for non-english
+         locales fails because 'No errors' is translated to the current locale.
+    Fix: Just check for `=~ '^E42: '`. This should be robust enough.
+
+commit ef9838bfb3e992349d9f9cb92ae3976380051eee
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 3 19:30:38 2006 +0000
+
+    New: A preliminary attempt (not yet complete) at working with Jabref
+         (http://jabref.sourceforge.net). Some information is still needed from
+         Jabref developers on how to get Jabref to call external programs in a
+         customizable manner.
+
+commit 9782ceff705a07ce3ef1f2a546b9d720167454d5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 3 08:40:39 2006 +0000
+
+    Bug: latex-suite doesn't create fold text for figure captions of the form
+         \cpation[shortdesc]{fulldesc} (Boris Dusek)
+    Fix: Handle the case for \caption[shortdesc]{fulldesc} (Boris Dusek).
+
+commit 8559caccecfe10edb008b017d440325b1d758f4c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jan 2 07:20:37 2006 +0000
+
+    Change: A slightly improved algorithm for producing the outline which
+            ensures that sections which do not contain matches are never
+            printed.
+
+commit b9883f24b04ad6404e415c300f4ff02bdecd655e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jan 1 07:54:25 2006 +0000
+
+    New: Instead of using outline.py as an external script, use vim's internal
+         python interpreter if available. This makes things _much_ faster and
+         it avoids the little "flash" when an external command is called.
+
+commit 61c4a699ea39b2e3d4d2b5eded632e9abc5f23dc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jan 1 07:53:01 2006 +0000
+
+    New: Make EFI mapping honor the Tex_Env_figure setting.
+
+commit bc651ca7f5cf6a3773fdf3f583f6b1c1092de3f1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Dec 28 01:17:13 2005 +0000
+
+    New: A major new feature for making \ref completion easier. Instead of a
+         flat list of all the \label's which becomes almost impossible to use
+         in large projects, present the list of \label's in a tree form
+         according to the document sectioning. This makes it easier to
+         logically "zoom" into the relevant \labels without having to wade
+         through gobs and gobs of irrelevant results.
+
+         outline.py is a new python script which needs to run in order to get
+         this to work. The file should be an executable present in the same
+         path as outline.vim. Since the file was added on a windows machine,
+         its not clear how CVS will treat the permissions.
+
+    New: The filenames are now completed relative to the master tex file
+         location. This is how latex wants the filenames.
+
+commit f1eb335c8e35f2d3efb2fae29b2276f1e977c665
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Dec 28 00:38:04 2005 +0000
+
+    Minor clarification of code.
+
+commit ce2c39d64a626222e5392c608ad55cc9ee142b07
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Dec 24 06:23:59 2005 +0000
+
+    Further clarifications in the environment and command macro sections.
+
+commit 9cabb3868fdd80d13886411fdbfe19c615475035
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Dec 23 07:54:25 2005 +0000
+
+    Clarifying the documentation some more.
+
+commit e7b4da4d52bfb3d8b9202f79e75b66f2a57650bd
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 22 21:32:38 2005 +0000
+
+    *** empty log message ***
+
+commit 64db96c1f50fddbec69c9e6258a9f01a70857071
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 22 21:28:49 2005 +0000
+
+    New: A desciption of how Tex_ProjectSourceFiles works.
+
+commit 120cedccf63d0a5da91924a0775452748489177e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 22 21:27:20 2005 +0000
+
+    New: A setting Tex_ProjectSourceFiles which if set is used as a list of all
+         the latex source files for the project. If set, we will never try to
+         use logic to find the list of files included in the project, but
+         simply use this setting. This significantly reduces the time required
+         to build up the completion list for \ref completion for large
+         projects.
+
+commit 067e6d05396e646306b66170c457a112b7134570
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 8 22:51:29 2005 +0000
+
+    Bug: When you include the url package using <F5>, then all syntax
+         highlighting after the \url{} command is screwed up.
+    Why: packages/url contains a nasty definition of the url syntax item. I
+         beleive it was copied straight from the definition of the \verb||
+         command, but thats not how \url{} is defined. Moreover, the syn
+         command is not run at the correct time (when syntax is being loaded).
+    Fix: For now, just comment out both the syn lines till a more robust
+         solution is found.
+
+commit a78f606ec5c76b63fdd6270e61a083a5134f2947
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 27 01:20:56 2005 +0000
+
+    Bug: latex-suite maps <F1> without giving the user any option to disable
+         it. (martin f krafft)
+    Why: wizardfuncs.vim contains the erroneous mapping without doing a
+         hasmapto() check.
+
+commit 6b39197c86407f73830693c2aff0d844e34febc1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Nov 26 23:38:50 2005 +0000
+
+    New: Treat \nobibliography exactly the same as \bibliography (suggested by
+         Ryan Long).
+
+commit 75a0d0dcfa58eafaf8e804e11336a0fe0a5d9448
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Nov 19 22:35:47 2005 +0000
+
+    Bug: Pressing <F7> in insert mode does not work as advertised except in
+         rare cases. (Jorge Scandaliaris)
+    Why: Implementation bugs in Tex_DoCommand.
+    Fix: An important lesson learnt is that its important to avoid moving the
+         cursor in functions called by insert mode mappings except at the very
+         end. This prevents us from having to account for too many corner
+         cases.
+
+commit d177999476b6b89071bfa41942993c879b717ab0
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Nov 19 18:00:01 2005 +0000
+
+    Change: <M-b> no longer upper-cases the character it encloses in \mathbf.
+            Also fix documentation to say that its <M-b>, not <M-m> which
+            encloses in \mathbf. (Jorge Scandaliaris)
+
+commit b6b69be776ff96cdba77ad561eb21b9ae58d09e2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Sep 25 18:22:55 2005 +0000
+
+    minor syntax fix
+
+commit de8045c62b18626aed81f42f80602cfe30325c67
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Sep 25 09:32:28 2005 +0000
+
+    New: Using :vimgrep if v:version >= 700.
+
+         This avoids common pitfalls with correctly setting up the 'grepprg'
+         and also avoids all the quoting and calling issues on various
+         platforms. This should hopefully reduce the frequency of the most
+         commonly occuring problem which users of vim-latex face.
+
+         Doing this also uncovered a hidden bug in Tex_ScanFileForLabels().
+         Looks like cruft was carried over when code was copied over blindly
+         from Tex_ScanFileForCite().
+
+         Also distilled the :grep'ing into Tex_Grep and Tex_Grepadd which call
+         either :grep or :vimgrep depending on the vim version. A small change
+         needed to be made to Tex_SyncPreviewWindow() to account for differing
+         cwindow looks like :grep or :vimgrep is used.
+
+commit b5b4884faf23bb12eddccaf4118460ecb4cd822f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Sep 7 18:27:02 2005 +0000
+
+    Bug: Sometimes even without errors, multiple compilation doesn't work.
+    Why: Latex-suite wrongly interprets the "E42: No Errors" message as an
+         error.
+    Fix: Ignore the E42 error in Tex_GetError()
+
+commit 17670d1907b8ab14300bb3b7394d3e6524705858
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 19 20:12:02 2004 +0000
+
+    Bug: If the main file ($1 if (.*).latexmain) is opened with vim, vim
+         hangs itself up when opening other tex files in the same document.  To
+         reproduce:
+
+            $ mkdir /tmp/latexhang
+            $ cd !$
+            $ touch a.tex a.tex.latexmain b.tex
+            $ screen -dm vim a.tex
+            $ vim b.tex
+            [...]
+
+         Some times, a ctrl-c enables the editing of b.tex.
+         (Martin Krafft)
+    Why: ``screen -dm vim a.tex`` creates a .a.vim.swp file. In
+         Tex_pack_updateall(), there is a ``split a.tex`` which makes vim put
+         up the standard, "choose what to do" prompt. Unfortunately, this is
+         not seen by the user. Therefore it looks like things have hung.
+    Fix: Use ``sview a.tex`` instead of ``split a.tex``.
+
+commit edc08c84020df7bd57046b0660fcc81baf61f95d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 26 17:52:45 2004 +0000
+
+    Bug: When the open and close quote patterns contain the \ character, then
+         the qoute completion fails. Pressing " always inserts the open quote
+         string.
+    Fix: Escape the Tex_SmartQuoteOpen and Tex_SmartQuoteClose while searching
+         backwards.
+
+commit f8b320bb1edc30d37a17443bc596b5c7757133db
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 5 23:10:11 2004 +0000
+
+    *** empty log message ***
+
+commit 761f1e812302322b45c17ba63c37b07e64148158
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 5 23:06:50 2004 +0000
+
+    Description of the g:Bib_{type}_extrafields option.
+
+commit 786be74240322b8cd15e466c25114012427085cc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 5 23:05:10 2004 +0000
+
+    *** empty log message ***
+
+commit 352ab1e39721219ef41a45f8d2eb0552c96ac64f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 5 01:48:15 2004 +0000
+
+    New: Allow even more user customization of the fields for each bibliography
+         type. This is because presently the user is limited to the options
+         defined by the s:_{letter}_standsfor variables (Thomas Link).
+
+commit b0c51aa9519dedc8cb34bd2e2977a8470c677977
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 22 00:44:59 2004 +0000
+
+    *** empty log message ***
+
+commit 2927d0b6880c994476317d2318a0c0433e407fd8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 22 00:41:18 2004 +0000
+
+    New: Updated documentation of the Tex_ViewRuleComplete_format variable.
+
+commit 9882eed46cb0a12abac9c4628ed121248ab4922e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 22 00:38:07 2004 +0000
+
+    *** empty log message ***
+
+commit 168d9dd123532386a9527f125722acf6c0e340ec
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jul 21 19:01:03 2004 +0000
+
+    Bug: The bracketing maps <M-[bcl]> only worked on the first buffer which
+         triggers latex-suite.
+    Why: Initially brackets.vim resided in ftplugin/tex/, where it got sourced
+         every time, but when it was moved to ftplugin/latex-suite, where it
+         gets sourced only once.
+    Fix: Catch the LatexSuiteFileType event
+
+commit 9a5ba0cf222f15d68ad0cda96fc9d90820635cdb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 19 20:15:42 2004 +0000
+
+    Bug: On windows, viewing doesn't work because we have changed the way the
+         program is called (basically the extension is not used) (Luc Hermitte)
+    Fix: revert back to the original way of calling the external program
+
+    New: Also check for Tex_ViewRuleComplete_{format} when finding out whether
+         a given target specified in TTarget is legal.
+
+commit f11fe8d3826d5409d5ff15595575f8a37c0e8854
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 19 00:50:32 2004 +0000
+
+    Bug: The trick of
+            let &mp = Tex_ViewRuleComplete_{format}
+            silent! make
+         doesn't work for many windows programs which try to interpret the
+         trailing redirection string and therefore choke saying that the file
+         is not found.
+    Fix: Therefore following Luc Hermitte's advice, come up with an imitation
+         of Vim's 'makeprg' which just executes the string. For now, this code
+         is in Tex_ViewLaTeX, but in the future, it could be a seperate helper
+         function.
+
+commit ec7b189ef3cd7bc4928ecaa370c159b44dc0abaa
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 19 00:15:59 2004 +0000
+
+    Bug: Entering a template via the :TMacro command doesn't work.
+    Why: We use Tex_FindInRtp(fname, 'macro') which returns only the last part
+         of the full path name.
+    Fix: Use Tex_FindInRtp(fname, 'macro', ':p') instead.
+
+commit e320c8f2443209d7b53e242573d77f7d1b0117cb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 18 23:59:48 2004 +0000
+
+    New: A new setting Tex_ShowErrorContext which if set to 0, will not show
+         the preview window beneath the list of errors.
+
+commit 75d4f0154488e2c1df320dfd9846839d3830f050
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 18 23:13:23 2004 +0000
+
+    New: An option Tex_ViewRuleComplete_{format} which allows more complete
+         control for the user to customize the viewer program.
+         Tex_ViewRule_{format} only worked if the program accepted the file to
+         be viewed as the last argument.
+
+         Suppose you have a latex->html converter which converts a file say
+         foo.tex to a file foo/index.html. Then you would use:
+
+             let g:Tex_ViewRuleComplete_html = 'MozillaFirebird $*/index.html &'
+
+         Doing something like this would not be possible using
+         Tex_ViewRule_html
+
+commit 3f9d3ec5ebf6ca21ee8fcc14a3a8c4b6a8b72d64
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jun 17 03:32:34 2004 +0000
+
+    Bug: In windows, searching from a file which is included into the main
+         file but lies in a subdirectory under the main file doesn't work. i.e,
+         if you have
+
+            main.tex
+                \include{subdirectory/file.tex}
+
+         and you open subdirectory/file.tex and perform \ls from there, then it
+         doesn't work.
+    Why: Used the source position as expand('%:p:t') which doesn't work if the
+         file in which we are searching doesn't lie in the same directory as
+         the main file.
+    Fix: Use expand('%') instead which automatically provides a relative path.
+         TODO: Should we have used Tex_RelPath from texviewer.vim to also
+         handle cases where the included file lies above the main file? Highly
+         improbable of course...
+
+commit 3d8a5b2d43df457ba45ead9ce7b41a58fe617405
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 13 18:12:40 2004 +0000
+
+    Bug: Typing a <bs> in insert mode triggers the error:
+         >>Error detected while processing
+         >>function <SNR> 25_SmartBS:
+         >>
+         >>line 2:
+         >>
+         >>E55: Unmatched \\)
+         (Alp ATICI)
+    Why: A faulty move of code from main.vim to texrc.
+
+commit abbdbb54786a83ba9d268c1780316cb8c0332861
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 9 21:00:54 2004 +0000
+
+    *** empty log message ***
+
+commit 8a07918ade06e6c2fddcd1c07268e53c86771e4d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 9 20:47:16 2004 +0000
+
+    New: A global versioning system for Latex-suite which will be helpful in
+         making sure users have the correct version etc.
+
+commit 543515d7e4824509f25f2ad423140a6028a7e5c3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 9 17:02:11 2004 +0000
+
+    Bug: Get an error
+         E117: Unknown function: Tex_GetVarValue
+    Why: We use Tex_GetVarValue before it is defined.
+    Fix: Move the smart key functions below the "helper" functions. The helper
+         functions should always be defined before any other function which
+         might use them.
+
+commit 3bf5ad667e680d8a595d5eba392aef529f74569a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 6 23:27:37 2004 +0000
+
+    *** empty log message ***
+
+commit e8c1cd330f78a6480f37b6dbcc223c7ea6d3ef53
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 6 23:21:25 2004 +0000
+
+    New: Make the program for creating the .ind file customizable via the
+         Tex_MakeIndexFlavor. (requested by Berta Milan)
+
+    New: Make the pattern used to detect diacritics customizable via the
+         Tex_SmartBSPattern (requested by Berta Milan)
+
+commit 2de1a7127521c9ebb707e0a35383c7d7d9ed8ec5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 30 07:35:40 2004 +0000
+
+    Bug: Typing
+         >>> \begin{array}
+         >>>    \end{}
+         results in
+         >>> \begin{array}
+         >>> \end{<++>}
+         with the cursor at the end (Berta Milan)
+    Why: When the indentation of a line changes while typing the text returned
+         by IMAP_PutTextWithMovement, then IMAP_Mark('go') does not go to the
+         same location as set by IMAP_Mark('set'). This causes the cursor to be
+         located not before the first placeholder causing the first
+         placeholder to be "missed".
+    Fix: Check to see if the indentation of the line remembered by
+         IMAP_Mark('set') has changed and if so, move a little to the left or
+         right to adjust for the indentation changing.
+
+commit 2ad9b035b1487c6ca8f3a3892d56f1174d6047db
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue May 25 18:51:10 2004 +0000
+
+    Bug: <F7> for inserting commands doesn't work in Insert mode and works
+         buggily in Normal mode.
+    Why: Used <cword> to extract the word under the cursor which doesn't work
+         if the cursor is just past the end of a word. This is a common
+         occurence when <F7> is pressed just after typing a word. Also in
+         normal mode, just used the part of the word which is before the
+         cursor.
+    Fix: Use matchstr(getline('.'), '\w\+$') to extract the word before the
+         cursor. This works even after the end of a word in insert mode.
+
+commit 693f9d1b6616a453c7aa3ee58f481906f2e5057c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue May 25 01:38:35 2004 +0000
+
+    *** empty log message ***
+
+commit 09518134228c7024675efb0738e2ef7874000adf
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon May 24 23:55:17 2004 +0000
+
+    Bug: Error in viewing dvi documents using kdvi (Vaidotas Zemlys)
+
+commit bdf6c39d899d219157aa603da1ff9ceae2d585b0
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat May 22 01:31:34 2004 +0000
+
+    *** empty log message ***
+
+commit 596bcada93f0fb9058f48fbe5b8171e30b0d587c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat May 22 01:25:23 2004 +0000
+
+    New: Factory defaults for a few more variables which were introduced
+         recently.
+
+commit a2cd04c734215f7f7c49b2a7bf823fa61bea23cf
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat May 22 01:24:14 2004 +0000
+
+    New: Tex_GetVarValue now doesn't accept a second argument as the default
+         but just returns '' if no variable with the name exists. This means
+         that factory defaults for all variables _have_ to be provided in texrc
+         henceforth.
+
+commit ebe9f4362d524a4867fbd4043e76de597f62e3c3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat May 22 01:21:19 2004 +0000
+
+    Bug: The .latexmain file is only sourced on the first file which is opened.
+    Why: We did not catch the LatexSuiteFileType event
+    Fix: Catch the LatexSuiteFileType event and source the master file for
+         every file opened. Basically, the .latexmain file acts like a
+         project specific ftplugin file.
+
+    New: Removed a lot of code from old which seems to be no longer used.
+         Unless we actually change things around to once again use g:projFiles
+         etc, it looks like this is just not doing anything.
+
+commit 0b05ba4b2afeca133fdf9116945028c79a02af71
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat May 22 00:26:40 2004 +0000
+
+    New: A refactoring of code to use Tex_GetVarValue instead of using g:Tex_*
+         variables. Basically, this makes it possible for the user to more
+         finely tune the behavior of latex-suite on a per-project basis.
+         As of now, most settings of latex-suite are handled by setting
+         global variables like g:Tex_UseMakeFile. In the future, we should set
+         "factory defaults" in texrc by setting g:Tex_* variables. After that,
+         we should always use Tex_GetVarValue to query the value of the
+         variable. This allows the user to over-ride the factory default at a
+         variety of levels, for example:
+         1. If the user defines g:Tex_* in ~/.vim/ftplugin/tex.vim, then he
+            will over-ride the setting for all files.
+         2. If he defines b:Tex_* in a project master file, for instance, if he
+            sets
+                let b:Tex_UseMakeFile = 0
+            in one .latexmain file, then only .tex files which source that
+            .latexmain file will not use the makefile. Other files will
+            continue to use the makefile.
+
+commit 79bc01bd5a35f3d617e6affe24872bcaf0e28dae
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu May 20 01:09:33 2004 +0000
+
+    New: Instead of always using the complex logic of searching for \\label's
+         in the main file and all \input'ed file, provide a setting which
+         enables the user to simply search all the .tex files in the current
+         directory as before.
+
+commit be53735eb301e6c0183ebe1c00fecc895399ca01
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue May 18 22:23:14 2004 +0000
+
+    Bug: When the format dependency chain is interrupted in the middle, then
+         the default target format is changed the next time we compile, i.e, if
+            g:Tex_DefaultTargetFormat = 'ps'
+            g:Tex_FormatDependency_ps = 'dvi,ps'
+         and there is an error in the ->dvi step, then the next time, if the
+         error is removed, Tex_RunLaTeX stops after the ->dvi step.
+    Why: s:target is changed when Tex_RunLaTeX interrupts the build process.
+    Fix: When there are errors and the build process needs to be interrupted,
+         then reset the default target format.
+
+commit 37f35d3ecf13a81e0107529d93e5631343e6f987
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon May 17 00:48:59 2004 +0000
+
+    *** empty log message ***
+
+commit 5b6280eae28542d59bc5c586882297aa6735d135
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 21:35:51 2004 +0000
+
+    *** empty log message ***
+
+commit 1f4319e081c9c0f05299189c9249b32114817c41
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 18:42:48 2004 +0000
+
+    *** empty log message ***
+
+commit 06aa42e15f593dc0835cb34d949b7badd14078fa
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 18:42:26 2004 +0000
+
+    New: documentation for the new functionality of completing \ref's.
+
+commit 5c5c7876c7b2330dba696e6ba600b18501c08d31
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 17:43:11 2004 +0000
+
+    *** empty log message ***
+
+commit 7edec34266a8f258dc694edea57c38dfc54ccba4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 17:41:49 2004 +0000
+
+    Bug: Part compilation doesn't work because the temporary file created does
+         not include the preamble of the original main file.
+    Why: We used Tex_GetMainFileName(':p:r') from before the time
+         Tex_GetMainFileName was changed.
+    Fix: Use Tex_GetMainFileName(':p') instead.
+
+commit 14f0a5f4d5e329148c48548b3ebc53f416ce8920
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 16 17:38:41 2004 +0000
+
+    New: Instead of searching for \\label's in all the .tex files in the
+         present directory, only search in the mainfile and all the included
+         files.
+
+commit 52267bc145b439aa032079a1a8ea42f2e92c0cf4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri May 14 17:37:29 2004 +0000
+
+    Bug: Sometimes, even if there are errors in compiling the .tex file,
+         Tex_RunLaTeX proceeds to convert to ps, etc.
+    Why: The pattern used to check whether there is an error lin the :clist is
+         very restrictive. If there are errors which do not have an associated
+         line number, then the pattern doesn't match and we fail to detect that
+         there is an error.
+    Fix: Just use very simple patterns.
+
+commit 8bad763adc86ac0da672af640243997e5bf71243
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri May 14 17:33:20 2004 +0000
+
+    Bug: If an error is of the form
+         >> ! Missing $ inserted.
+         >> <inserted text>
+         >>                 $
+         >> l.9
+         >>
+         >> I've inserted a begin-math/end-math symbol since I think
+         >> you left one out. Proceed, with fingers crossed.
+         (there's a single <space> after l.9), then the line number is not
+         recognized.
+    Why: The 'efm' setting contains only '%+Cl.%l\ %m', which means that the
+         line number is recognized only when the "l.<number><space>" is
+         followed by a message.
+    Fix: Append '%+Cl.%l\ ' to the 'efm'.
+
+commit ff1f3717d61a3fd042036b06f230396764cf1174
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 9 22:43:00 2004 +0000
+
+    Bug: The <F9> mapping only works on the first .tex file which triggers
+         latex-suite. (Julien)
+    Why: When we were moving texviewer.vim from ../tex/texviewer.vim to here,
+         we didn't bother to catch the LatexSuiteFileTypeEvent which is the
+         mechanism to ensure the maps get set for every .tex file opened.
+    Fix: Catch the LatexSuiteFileTypeEvent event (SA)
+
+commit 8b6fd4dd11aad5a752a217423a0341d6312407df
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun May 9 22:11:49 2004 +0000
+
+    New: Description of the <M-i> mapping to insert \item commands.
+
+commit 88d15e913da35dbcb0c66a715b5dfbd3cce031a1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue May 4 20:50:11 2004 +0000
+
+    Bug: when 'ignorecase' is set, then typing 'etB' triggers an error.
+    Why: With 'ignorecase' set, 'etB' matches 'ETB', therefore, LookupCharacter
+         assumes that a map exists for 'etB' and tries to find the value of
+         s:Map_Tex_etB which doesn't exist.
+    Fix: Force matching case with the \C pattern.
+
+commit 549cf8c3e9dce6fcda02dd01978660071e4438d4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 15 19:40:48 2004 +0000
+
+    New: A more precise behavior of the Tex_InsertItem function to account for
+         the fact that the previous \\begin might not be the environment in
+         which the cursor is enclosed. (Alan Schmitt)
+
+commit dceabf2b35967d5133797e7eadcf0b315d964986
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Mar 14 19:39:29 2004 +0000
+
+    Bug: RemoteOpen does not work with file names with spaces.
+    Why: The following vim command
+            :drop File Name with spaces
+         opens up multiple files.
+    Fix: escape() the file name before issuing the drop command.
+         NOTE: There is a vim bug where
+            exec "drop ".escape(filename, '\ ')
+         hangs GVIM.
+
+commit 87018761f763bc7d7854bc937d361e5103745546
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Mar 14 06:25:44 2004 +0000
+
+    Bug: <M-i> is mapped to <Plug>Tex_InsertItemOnThisLine even when there is
+         some other key sequence which is mapped to
+         <Plug>Tex_InsertItemOnThisLine.
+    Why: hasmapto() uses "nvo" as the default. Therefore, checking for the
+         existence of an insert mode mapping without supplying the mode
+         argument is faulty.
+    Fix: Supply "i" as the mode argument.
+
+commit dca49edb1a9a214a6865860d759f8cd05d07d75e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Mar 11 06:41:05 2004 +0000
+
+    placeholder brackets.vim file
+
+commit 98d6029893fbb5f908c247951f2be6c5059fedf6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Mar 11 06:38:18 2004 +0000
+
+    placeholder texviewer.vim file
+
+commit 310f0215fa1999890db3894f4ad5b577fcf82f0f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Mar 4 06:15:25 2004 +0000
+
+    Fix: removing outdated comments.
+
+commit 036597dd6d7eb5d1aca8faa755c16b5803207a94
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Mar 3 00:32:43 2004 +0000
+
+    Bug: Viewing .dvi files with spaces in names doesn't work.
+         (Panagiotis Louridas)
+    Why: We don't enclose the file name in double-quotes.
+    Fix: Enclose file-name in double-quotes. As of now, only bother with spaces
+         in win32.
+
+commit 63938286bacfd1d0241641c4ddccc309254f2852
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Mar 3 00:19:29 2004 +0000
+
+    Bug: <F9> completion for \cite does not work
+    Why: Tex_GrepForBibItems uses the mainfile name without extension.
+    Fix: get the whole file name including extension.
+
+commit 39556cfeb3b4652bea1096d7ac249c334eafbcc4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Feb 29 17:19:11 2004 +0000
+
+    New: Some additions to the thebibliography environment and item
+         descriptions and the description item.  (Dave Murray-Rust)
+
+commit c1ee594281389695f2a6b53d05eb717d4eec7ed2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Feb 29 07:26:22 2004 +0000
+
+    Bug: Opening a file via the :RemoteOpen command does not work (Xin Yin)
+    Why: Vim eats up all but the last remote_send call when multiple
+         invokations to this function are made (Vim bug)
+    Fix: Collapse the entire set of keys into a single string and make a single
+         remote_send call.
+
+commit 3967689aecf031e3c7a716610de73a59562994df
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Feb 11 10:04:06 2004 +0000
+
+    Give LaTeX dictionaries priority by adding them to the dict option with ^ not +
+
+commit b257f949c55c3039a739a3c4a34428c7db5813e3
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Feb 1 21:54:13 2004 +0000
+
+    Bug: when using a latex masterfile with included files (also in
+         subdirectories), forward searches in dvi files do not work
+         correctly because the name of the masterfile is used in the
+         source-specials-call instead of the current file. (Volker
+         Gaibler)
+    Fix: Use expand('%') instead of mainfname (Volker Gaibler)
+
+commit 12a0b0e108c44ed5c0db9ff9673d135f1dddaf6b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Jan 26 12:58:15 2004 +0000
+
+    Add sourcing of texviewer.vim
+
+commit c0fe2e5fe0a703c81ea6b35ccef93a290a3cefb4
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Jan 26 12:56:49 2004 +0000
+
+    Move texviewer.vim into latex-suite directory. It will end cleaning of tex dir
+
+commit ee092de07a58f08ed5af3a6406b4a9ef1e5b1371
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jan 25 21:50:32 2004 +0000
+
+    Misnamed package file, remove moreverbatim
+
+commit 583202b2296963e5c56dfcb31968e0bbb6fbf757
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jan 25 21:49:00 2004 +0000
+
+    Sourcing and configuration of brackets.vim and smartspace.vim
+
+commit 10298b260c44669f781b9af63114a5b8005460d4
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jan 25 21:48:17 2004 +0000
+
+    Move smartspace.vim and brackets.vim to ftplugin/latex-suite. I will make easier to switch them off through texrc and to disable <M-> mappings which conflicts with some European encodings
+
+commit b6ddfc0c72111d70251316a780f8d92fe0f2badb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 23 21:30:54 2003 +0000
+
+    *** empty log message ***
+
+commit f1cdf65a33fedfe1ebd9dda60f44b176c896bdf2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 23 21:26:50 2003 +0000
+
+    Bug: EEA inserted something different than "eqnarray<F5>".
+    Why: Tex_EnvMacros() used its own logic for forming the environment string.
+    Fix: make Tex_EnvMacros() call Tex_PutEnvironment() instead.
+
+commit 9a4aecca8c642471ef737c9bd736da33436c5020
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 23 21:08:42 2003 +0000
+
+    Bug: When some text is visually selected, then <F7> surrounds the selection
+         in an environment created from the last word of the selection instead
+         of prompting for an environment.
+    Why: Tex_DoCommand ignores the value of s:isvisual.
+    Fix: Make Tex_DoCommand honor s:isvisual.
+
+commit e6ca72bad76f1a534a1e699da6f801b928ca7ed5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Dec 19 03:06:26 2003 +0000
+
+    Bug: When the user's 'fo' setting had 'ro' included in it, then inserting
+         templates would result in strange leading indentation (it would be
+         doubled etc).
+    Why: IMAP_PutTextWithMovement simulates key-presses. Therefore if 2
+         successive lines in the template begin with ``%`` and ``'fo'`` has
+         ``ro``, then the second line will have an extra ``%`` character.
+    Fix: Set ``'fo'`` temporarily to an empty string.
+
+commit 27b76e83855f9de7b684007fef61e010f2edf3c8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Dec 17 06:24:19 2003 +0000
+
+    Bug: A very restrictive RE sometimes did not match the bib-key which was
+         being completed.
+
+commit 4414e335b6a0e0ec36f6c7cc7cca578933ed72f3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Dec 17 03:12:31 2003 +0000
+
+    Bug: loading templates no longer works.
+    Why: Apparently if one is editing a file, say file.tex which is modified,
+         then one cannot do ":split file.tex"
+    Fix: Only split a window if the main file name is not the current file.
+         TODO: What happens if the main file is being opened in a seperate
+               window and is modified?
+
+commit 9d3b3d23eb5638c9191596cf224c4cacd52a9cf7
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 23:41:10 2003 +0000
+
+    Bug: \cite completion did not work. The prefix was not honored and
+         therefore all the matches would be shown and moreover the text would
+         not be inserted properly.
+    Cause: We had used the pattern::
+                            let s:prefix = matchstr(s:prefix, '\([^,]\+,\)\+\zs\([^,]\+\)\ze$')
+           to modify the prefix. However, this only succeeds when there are
+           more than 1 items in the \cite. i.e, \cite{key1,pre. s:prefix
+           becomes empty if we do try to complete just \cite{pre
+    Fix: Change the prefix to::
+                            let s:prefix = matchstr(s:prefix, '\([^,]\+,\)*\zs\([^,]\+\)\ze$')
+
+commit 6465921b3ab8dca2b8673719649a365d4a01dc0e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 21:27:20 2003 +0000
+
+    Bug: IEEEtran.tex template inserted needless indentation. There was also an
+         extra ``\begin{document}`` and some mismatched curly braces.
+
+    Please follow the following guidelines henceforth in creating templates:
+
+    1. The first placeholder in the template should be an empty placeholder
+       As of now, vim does not provide the equivalent of a "startinsert"
+       command for leaving in visual mode.
+
+    2. There should not be any indentation in the file. For example, if the
+       template contains a ``\begin{eqnarray}``, it should be written as::
+
+            \begin{eqnarray}
+            <+write equation here+>
+            \end{eqnarray}
+
+       instead of::
+
+            \begin{eqnarray}
+                <+write equation here+>
+            \end{eqnarray}
+
+       ``IMAP_PutTextWithMovement`` automatically inserts the correct
+       indentation according to the user's ``'sw'`` and other indent settings.
+
+    3. No trailing empty lines after the ``\end{document}``.
+
+commit 3e5a1974797c556ca382c7b54534121aee3af28d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 20:29:25 2003 +0000
+
+    Bug: When g:Imap_PlaceHolderStart and/or g:Imap_PlaceHolderEnd settings
+         were not ascii and encoding=utf8, then reading in a template did not
+         work as advertised (placeholders are shown as <ab><bb> etc)
+    Why: templates.vim still used simple pattern substitution to replace the
+         placeholder characters, which does not work in the above setting.
+    Fix: Use IMAP_PutTextWithMovement which handles the above situation.
+
+commit b8fd354ded55924b8c61e74b0eabe1912acfdb4a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 19:43:22 2003 +0000
+
+    Recently, I had to fix a bug in packages.vim which made vim quit as soon as
+    it was open. Since I couldn't use the Tex_PrintDebug() function, I made a
+    little change which created a log file in the /tmp directory. This might be
+    a useful thing to have in the future, but ofcourse, it should definitely be
+    off by default.
+
+commit 71f7adefd76f6c5cec479c3bbc505217bb33844f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 04:40:38 2003 +0000
+
+    *** empty log message ***
+
+commit 24167cf43cb89ad487b3ac0c5053c2a9c7615448
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 04:21:21 2003 +0000
+
+    Replacing sum() with a reduce() to make things compatible with python
+    2.2 (which didn't have a global sum or a sum in the math module!)
+
+commit b2fa1e95f9be9652b52a0387a0d8ef0ecf92116c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 16 04:04:45 2003 +0000
+
+    adding quick-start tutorial files
+
+commit 30233990121846206dcd0d2c92c9070081f83049
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 15 03:33:52 2003 +0000
+
+    Yet more changes in the effort to make latex-suite support file names with
+    spaces. A new function ``Tex_EscapeSpaces`` which escapes spaces *only if
+    necessary*. This function should henceforth be used whenever we want to
+    split a new file, save a file etc etc. Example::
+
+        exec 'split '.Tex_EscapeSpaces(filename)
+
+commit f6a145284fdfbc54918bfc241ac85d15b91f19fb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 15 00:55:26 2003 +0000
+
+    modifications to account for the changes in Tex_EscapeForGrep().
+
+commit 830b562caabddaa8814886f3fb52ed8e255cccaf
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 15 00:53:27 2003 +0000
+
+    Change: Initially, Tex_EscapeForGrep would always double backslashes at
+            least once to account for the fact that the user means the external
+            grep command to see the string ``\\label`` when he passes
+            ``\label`` to this function. But making such guesses is bad for
+            cases when we want to pass a single ``\`` to the external grep
+            command (for instance when we want to pass ``\<word\>`` to the
+            external grep command). Therefore, stop this function from making
+            any guesses about what the user might have wanted the external
+            command to see.  This function now expects the user to pass the
+            exact string which he wants the external grep command to see.
+
+commit c26f6616aa803490fe4b632891f2b8fd9c594eb6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 23:31:10 2003 +0000
+
+    Change: Making Tex_EscapeForGrep more cross-platform. Use this henceforth
+            whenever a :grep command needs to be issued.
+
+commit ab0a9336cd404b825624bcf0e11899119edf067d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 22:08:48 2003 +0000
+
+    *** empty log message ***
+
+commit 7a0b99aed86f170da6661851359c45f491d2250e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:25:04 2003 +0000
+
+    *** empty log message ***
+
+commit ea36a2f34813b10081a4a263f16ac9f43921fd28
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:23:55 2003 +0000
+
+    Changes to account for the changes in Tex_GetMainFileName()
+
+commit 42e53edfe31f0144dfb6cbfe0bf89731747c4895
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:22:16 2003 +0000
+
+    A few small updates to account for the change in Tex_GetMainFileName()
+
+commit 017e11e928a8566e307c052535792dbfbe61bc17
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:20:26 2003 +0000
+
+    New: The fold text is now also "indented". in other words, the fold text is
+         now prepended with the whitespace of the current line so that
+         nested-ness is more apparent.
+
+commit 52075691b18d9b46e5d55a717cd2d15ae9308a02
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:17:58 2003 +0000
+
+    *** empty log message ***
+
+commit 77a995a34076cc7df6ea1c4ed4f757ae984f8438
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:17:16 2003 +0000
+
+    Attempting to fix the filenames with spaces problem. Also since
+    Tex_GetMainFileName() _always_ returns a file name now, (even if a
+    .latexmain file does not exist), lots of redundant logic is now removed.
+
+commit cd61de86a9e1677e4ed6847f66e1587232ca71de
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:13:44 2003 +0000
+
+    A serious attempt at fixing the file names with spaces problems across
+    various platforms.
+
+    Change: Tex_GetMainFileName now applies the file name modifier to the
+            filename after removing the trailing .latexmain part if it exists.
+
+    Bug: Tex_FindInRtp would return a non-empty string even if a filename is
+         not found in the &rtp.
+
+    New: A trivial function Tex_CD() which just escapes spaces in the directory
+         name before cd'ing to it.
+         Use this function henceforth whenever you want to cd to another
+         directory instead of the
+            exec 'cd '.dirname
+         routine.
+
+         TODO: Maybe make this robust to detect previous attempts at escaping
+               spaces and if so, /not/ escape it again.
+
+commit d5c9656cf6c481f070508cc931319423752269d2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Dec 14 07:05:15 2003 +0000
+
+    typo in latexhelp.txt caused some broken links (Alex Jakushev)
+
+commit df36fe7477e1d3337fbfa133449495006751f443
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Dec 6 02:45:57 2003 +0000
+
+    Bug: Tex_FoldedSections no longer contains slide (Zhang Linbo)
+
+commit c0b78d43f92cd6d42158d834ff41825ef61360f1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 4 00:10:18 2003 +0000
+
+    Fix: Patch to restrict runaway folding with commands... (Zhang Linbo)
+
+commit 8911aa61ca938a8a3cad3881fc9256707f5e3c29
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Dec 4 00:06:06 2003 +0000
+
+    Meta-bug! A bug in the debugging function.
+
+commit 6e225dfb5f7a2409e889389de85e62c8fbe90151
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 12:00:22 2003 +0000
+
+    *** empty log message ***
+
+commit 3521187d577573a153e692e4935bed00cc1fdb18
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 11:42:41 2003 +0000
+
+    *** empty log message ***
+
+commit 818a82f3d33f656174544dea3e5568e5e2b19df3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 11:38:19 2003 +0000
+
+    Bug: Yet another place where string concatentation was not using dots.
+
+commit a6244389f1086d3e16450f428821e03c6fdc173f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 11:36:14 2003 +0000
+
+    Bug: Viewing did not work on certain platforms because string
+         concatenation wthout using a dot does not work on all platforms.
+         (Alex Jakushev)
+
+commit 500846f92e1fc8698b48e60b2e2089730a9936a3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 11:16:04 2003 +0000
+
+    Change: By default do not fold any commands at all. This is because the
+            start pattern for a command requires a regexp which will match
+            unbalanced parentheses of arbitrary depth. Apparently it can be
+            proved that this cannot be done with regexps.
+
+            Just to be on the safe side, change the start pattern for a command
+            to '^\s*\\'.name.'{[^{}]*$'. This will at least ensure that no
+            illegal folds are created. The limitation is that some legal folds
+            might also not be created.
+
+commit 2fe081ec4d84f99d092b957e7e8928b8f18f89b5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 11:04:17 2003 +0000
+
+    Bug: \ls does not trigger search
+    Why: tried to create the \ls mapping for the 'ls' mode. It should ofcourse
+         be the normal ('n') mode. (Alex Jakushev)
+
+commit cab4e077f8328db0d123acf89529cbc185b1f071
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 10:56:20 2003 +0000
+
+    Change: remove slide from the section setting. (Zhang Lin-bo)
+
+    Change: add the \\begin{slide} pattern to the end pattern of the section
+            environments. (Zhang Lin-bo)
+
+commit f6a8b30a4e2258d54b80bc4dcfb73c7d29ae61b8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Dec 2 10:50:54 2003 +0000
+
+    Change: rename FoldSections to Tex_FoldSections
+
+    Fix: Tex_FoldSections creates a pattern like '^\s*\\'.name
+         as the start fold pattern for a section. This is wrong when
+         name == '%%fakesection'
+
+commit 88fe4c8790b2f3e78418349a9d562931165558a0
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 1 08:36:59 2003 +0000
+
+    New: Describe the various new settings for customizing the folding scheme.
+
+commit 402400cc495a313231dde52944e149e1893b0008
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 1 06:42:43 2003 +0000
+
+    Bug: calculateColumnWidthsDoublePass treated maxwidths as a
+         list rather than dictionary leading to a faulty check.
+
+commit 7bbab5b892e30a0760cb02a0a22f08e29d3c44f2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Dec 1 05:17:32 2003 +0000
+
+    Bug: a small bug in initializing g:Tex_FoldedCommands, and adds a few lines
+         to setup g:Tex_FoldedMisc (Zhang Linbo)
+
+commit a937461c9fe04d2a054ea3ac419dafe78fad6bdd
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 12:05:19 2003 +0000
+
+    Change: Fold \item's first. They are usually nested within environments.
+            (Zhang Linbo)
+
+commit 20284be37953c8a64434f9fb6b4da605bcf8f796
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 10:36:57 2003 +0000
+
+    Change: Remove the comment folding from the default folding scheme.
+
+    Change: The TexFoldTextFunction had a few problems with creating fold text
+            for comments with the : character in them. The best way seems to be
+            to just substitute the first : character with ': %'.
+
+commit b18408929f20573a6d26a606f35a541f9777a0e1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 10:05:35 2003 +0000
+
+    The new changelog: target which utilizes cvs2cl to automatically generate
+    the Changelog.
+
+commit 956b65d32c0ba0a425078733997c2e200b7c4c55
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 10:02:38 2003 +0000
+
+    The first Changelog generated automatically via cvs2cl. Simply use the
+    changelog target in the makefile to generate it again.
+
+commit 84c5093cbb7e75955111d249a1b13e41741be796
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 09:52:15 2003 +0000
+
+    Use the new Tex_MakeMap function in main.vim
+
+commit cec979b374f14a47acdd5876d1d43aebb2b89075
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 09:51:24 2003 +0000
+
+    Change: Use the new Tex_MakeMap function from main.vim to simplify the code
+            a little.
+
+commit 711a78eb679cd8e41024e11e10da6a429b2be6c9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 09:49:51 2003 +0000
+
+    New: Provide <Plug> mappings for the various compiler maps so the user can
+         remap to other keys if they feel like it.
+
+commit 538962af2b1afdb869de1321b4a9a3ab89672808
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 09:48:08 2003 +0000
+
+    New: A function Tex_MakeMap (not meant to be used by the end-user), which
+         is used to create mappings from an LHS to RHS if a mapping does not
+         exist already for RHS. basically a way to simplify writing the::
+             if !hasmapto(...)
+                nmap ...
+             endif
+         stuff over and over again.
+
+commit a2b54e89199384e5324fb51adc2ae2e2480d3a3c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 03:41:46 2003 +0000
+
+    Change: A little more debugging statements thrown in.
+
+commit 26e3e8138ce5e783076985054dcd5f8221f20da8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 30 02:43:01 2003 +0000
+
+    Change: delete title from the default g:Tex_FoldMisc setting.
+            (Zhang Linbo)
+
+    Change: moved the processing of the 'title' command before other
+            standard commands/environments, otherwise it might be obsoleted
+            by the 'titlepage' environment
+            (Zhang Linbo)
+
+commit 6f75ed585389be2125b41ca2a30c89aa84245428
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Nov 29 09:53:50 2003 +0000
+
+    New: Some cool new additions by Zhang Linbo:
+         + add fold definitions for certain environments.
+         + add fold description for fold markers, title, preamble etc which
+           were not there previously.
+         All these fold definitions are now customizable to a large degree by
+         using various global settings of the form
+            g:Tex_FoldedCommands
+            g:Tex_FoldedEnvironments
+            g:Tex_FoldedSections
+            g:Tex_FoldedMisc
+
+commit 88f71fe0756f8363bcc85fcabe7a59df4d76490a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Nov 26 11:19:01 2003 +0000
+
+    Bug: Folds in preview window are closed (Alan Schmitt)
+    Solution: Use nofoldenable, foldlevel=10 wasn't enough (MM)
+
+commit 7401953921a2187c9fe32b857d01ab4958c5a03f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Nov 26 05:45:46 2003 +0000
+
+    Bug: When &enc==utf8 and g:Imap_PlaceHolder* settings are not lower-ascii,
+         then we would get an error when we used any of the IMAP functions!
+    Why: A silly little bug. An extra quote
+
+commit 29707bfa96db87a231598feb5a86899453ea1899
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Nov 25 06:56:42 2003 +0000
+
+    Bug fix in termination condition for %fakesection was buggy
+    (Zhang Lin-bo)
+
+commit f81d92e729d8f24425001f9f144c940fec9d2873
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 21 03:34:49 2003 +0000
+
+    The location of the required .xsl and .dtd files is changed slightly to
+    make it easier to use existing tools on debian/cygwin etc. These changes
+    reflect this. See the updated README on the small changes you might need to
+    make.
+
+commit 949a702d36901c937089ccd7b8857a2f11dd614d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 21 03:27:44 2003 +0000
+
+    Oops. There was a mistake in doc about the location of the xsl directory.
+
+commit ab156df4b4d14e0113b3eb11c0cfc6137f4f66de
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 21 03:25:26 2003 +0000
+
+    Rewrote this README in restructuredtext (fun!). Also made some changes to
+    reflect the new directory structure of the various xsl, xml files.
+
+commit b8ba1107411864411839af35979d05c7fb7146b8
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Nov 16 15:12:31 2003 +0000
+
+    Bug: Reading in template didn't work.
+    Why: Name of file given to function is now full (with extension)
+            but in function is created with filename = a:1.'.*'
+    Solution: Don't add anything to name passed to file
+            let filename = a:1
+
+commit bda980123598601bf06cc413c67cb8eabc21e987
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 16 09:28:00 2003 +0000
+
+    A couple of new things.
+
+commit 106284a93c828e6145d9f5b7c5c203bd0e01fdcb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 16 03:37:00 2003 +0000
+
+    Readding Mikolaj's correction to latex-suite.xml
+
+commit c660b9b8984c85258b6d107189469a5177edcc14
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Nov 16 03:19:03 2003 +0000
+
+    Bug: Sometimes, even when there are no errors or warnings, Tex_RunLaTeX
+         still quits after compiling the .tex file into dvi.
+    Why: :clist is sometimes not empty even without errors.
+    Fix: Look for the presence of strings like ":13 error:" in :clist, not just
+         whether it is empty or not.
+
+commit 86fb6cddeb85130fccb0a3a0907d1014b718771d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 14 10:37:56 2003 +0000
+
+    New: the g:Imap_FreezeImap function temporarily pauses any macro expansion.
+
+commit cc543ed55d37e55a8cd1d6007c139acefe11ec37
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 14 10:36:01 2003 +0000
+
+    update from latest latex-suite.xml (forgot to commit at the same time)
+
+commit 09c1de33a6b7cb3914799c9d08e57d61b54f329c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 14 10:29:29 2003 +0000
+
+    New: A description of the g:Imap_FreezeImap setting
+
+commit 61821ad5e83ab715baec799b198b957408e2f4eb
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Nov 14 09:11:17 2003 +0000
+
+    Add package and option variables to german package file (Artur R. Czechowicki)
+
+commit 64113825430190e294a36ffba6798a38f4572d23
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Nov 13 08:53:43 2003 +0000
+
+    Bug: Sometimes a Tex_LastSearchPattern not found error is generated (Eugene
+    Minkovskii)
+
+commit 4e9c848c9c737363fbdb6da96b0fd741c3e82d25
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Nov 11 15:37:11 2003 +0000
+
+    Tex_DoEnvironment: If in current line is more than one word or in visual mode ignore contents of line and prompt for environment
+
+commit b9eddf48ff2f497e36ced5ab6c0da5a0f2056237
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Nov 7 02:11:50 2003 +0000
+
+    A kind of big rearrangement of latex-suite is in order now that a stable
+    release (1.5) has been made.
+
+    main.vim, packages.vim, templates.vim
+    Change: Tex_FindInRtp() used some pattern substitution to convert from
+            files returned by globpath to the required format. This is
+            unreliable and _very_ platform dependent. Attempting to use
+            fnamemodify() instead which takes care of such issues internally.
+            This change fixed a couple of bugs on my windows machine.
+
+    multicompile.vim, main.vim
+    Change: Functions like Tex_CatFile() etc which originally were located in
+            multicompile.vim have been moved here. The python equivalents of
+            the functions have been placed in pytools.py. multicompile.vim is
+            now effectively "empty". In the future, this file might be removed
+            from CVS. For now, I have a single "finish" in the file. This is to
+            enable a problem-free transition when this file is finally removed.
+
+    pytools.py
+    New: This file contains certain python functions to work around limitations
+         in vim scripting language. For example, there is no way in vim to read
+         the contents of a file without opening a buffer on it.
+
+    main.vim
+    New: A function Tex_GetTempName() which returns the name of a termporary
+         file in a given directory. Ideally, when compiling a fragment of a
+         file, we should create the temporary file in the same directory as the
+         original file. This function enables this to be done. The temporary
+         files thus created are removed when vim exits.
+
+    texrc:
+    New: A new setting g:Tex_RemoveTempFiles which when set to 1 (default),
+         removes temporary files created during part compilation.
+
+    texmenuconf.vim, compiler.vim:
+    Change: Add the leading Tex_ prefix to certain functions in compiler.vim to
+            make things more consistent. There are still some functions without
+            the prefix. I will make those changes gradually.
+
+commit fe7c2e531b014f706841b2baa07b8cd112ffeb01
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Nov 3 01:45:43 2003 +0000
+
+    - make lsq-txt over-writes latex-suite.txt.
+
+commit f4955253486db33d78cf32a7a87a86c27155fc2c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Oct 30 22:49:47 2003 +0000
+
+    Correct conflicting statements about texrc file (thanks to Ari Pollak)
+
+commit 2ced56ee0e867a22766f848e73de527219e687ed
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Oct 30 22:49:13 2003 +0000
+
+    Fixed problem with Tex_FindInRtp not properly returning first name of template/macro name - whole path, not only core name (reported by Lin-bo Zhang)
+
+commit 470b51b693fa025430e91bfba056d79227cae848
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 23 01:52:20 2003 +0000
+
+    \lp is no longer used.
+
+commit 98f786348a0a446f4c213e227d967e27794163ad
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 23 01:51:00 2003 +0000
+
+    New: suggestions and fixes from Aditya Mahajan
+
+commit c2c7c97df8b992630b7722ec5c6bdcf323312054
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 23 01:47:20 2003 +0000
+
+    Removed Tex_InsertItem from this file to be put into envmacros.vim
+
+commit abcf0c9a888540d7f422556d1a9b9cf7cc532771
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 23 01:45:39 2003 +0000
+
+    Fix: Tex_thebibliography did not use the Tex_UseMenuWizard setting.
+         Thus <F5> completion would always ask some questions.
+
+    Change: A little change to the Tex_InsertItem() function and the way the
+            styles for the various environments are done. In the present way,
+            we define global variables of the form:
+                g:Tex_ItemStyle_thebibliography =
+                    \ '\item[<+biblabel+>]{<+bibkey+>} '
+            This is more flexible than the old approach because this way, the
+            item style can be arbitrarily complex instead of being limited to
+            one of four styles.
+
+commit 05fcb83ca297aa2987134bbe6825f4e34fc224ec
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Oct 10 07:16:36 2003 +0000
+
+    Johannes Tanzlers InsertItem function - insert item depending on environment
+
+commit fc22367c4473fcafdba8ef0ae89df43edd1191ce
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Oct 10 00:14:04 2003 +0000
+
+    New: Description of Johannes Tanzler's Tex_InsertItem functionality.
+
+commit f51600d7292711e660727a90332a81d3c6339e21
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 23:58:13 2003 +0000
+
+    New: Johannes Tanzler's Tex_InsertItem function to insert an \item command
+         with extra options depending on the surrounding environment.
+
+commit 6a257738018831d5a2d09dfd41f3d4eec7ca3449
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 21:53:47 2003 +0000
+
+    New: If we use :TTarget to set the target format to ps, then initially,
+         errors from the compilation to dvi would not be shown. Now if there
+         are errors in the latex compilation step, we stop the process and show
+         the errors.
+
+commit 1fe5ee611e2d60cbf4bf1b773d9cd6a16e21d517
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 21:52:06 2003 +0000
+
+    New: A function Tex_GetErrorList which extracts the errors from vim's
+         :clist
+
+commit db5acc57e5cc9b157c11d4a733820e074fb27b64
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 21:21:01 2003 +0000
+
+    New: brief description of Tex_GotoError
+
+commit 67e9ec115da3e043fe6b734e362d5265349b5192
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 20:59:13 2003 +0000
+
+    Fix: The original way of just doing "wincmd k" when going back to the file
+         being edited (when g:Tex_GotoError is unset) does not look robust
+         enough because we could be editing two buffers in split windows.
+         Remember the window from where we issue the RunLaTeX() function.
+
+    Bug: Sometimes, the preview window is not properly synced.
+    Why: Used 'l.'.linenum as the regexp which catches things like "l 20" as
+         well as "l.20".
+    Fix: Use 'l\.'.linenum as the regexp.
+
+commit 7f803a9edf89548741b9efa390964ddb448c2dd1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Oct 9 20:42:03 2003 +0000
+
+    Bug: If none of the columns in the table are large to begin with, then
+         there was a bug which resized all columns to a very small width
+    Fix: If in the first pass of the column width calculation, the total width
+         <= allocated width, then do not do the second pass.
+
+commit 995ea7dc0e7e1c13127c8fb0a6e70cfa815a6a57
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Oct 3 10:35:28 2003 +0000
+
+    Big BibTeX databases and some packages supporting BibTeX need bibtex8 or switches. Use new g:Tex_BibtexFlavor variable, default of course just bibtex
+
+commit b7692a78f32e88ef36b413d7bd0c73a24af5f378
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Oct 3 07:43:24 2003 +0000
+
+    Fix bug with TexLet g:Tex_GotoError ==
+
+commit 2811b36b39f6823ea29fc75ce1f72573c905c915
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Oct 3 07:43:14 2003 +0000
+
+    update docs
+
+commit 8ab88ba80ac77b74da751323aae61d707388b602
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Sep 29 03:55:24 2003 +0000
+
+    More polishing and catching bugs with combination of opening, writing, overwriting, etc. of local and system macros.
+
+commit 48bbafc20fdd163cafaff3748f6d526729f4a920
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Sep 29 02:23:49 2003 +0000
+
+    s/FileInRtp/FindInRtp/ and small optimizations in templates.vim and custommacros.vim
+
+commit 9ece846abb4f718566a556a9a061762f8cd62016
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Sep 29 00:43:44 2003 +0000
+
+    Polishing if custommacros.vim system-local implementation.
+    No need for "Argument required" error:
+    Handling of menu call (fake argument FFFromMMMenu).
+    Better handling of possible error situations - prompt for name.
+
+commit c9dee45e1136523130eee96f149779ed9478efba
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Sep 28 22:54:07 2003 +0000
+
+    update
+
+commit 0b07a38e47bb46f42bfba837537a9ebc6649c786
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Sep 28 22:54:04 2003 +0000
+
+    Make configurable going to error/message after compilation.
+    Default is going.
+
+commit 45c8e65ad1470f29fd70382f7eb929894b804201
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Sep 28 22:53:38 2003 +0000
+
+    This is big commit.
+    In main.vim new function Tex_FileInRtp. Now we can find files for
+    packages, templates and macros in all runtime directories.
+    Results are different for all types. For package files it source all of
+    them in order according to &rtp. In this way package files are treated
+    as normal Vim plugin files and behaviour for each package can be
+    modified as for ftplugin files in .vim, /usr/.../vim, and .vim/after
+    directories.
+    For templates it allows to see files in system-wide and local
+    directories. File in the local directory with the same name as in system
+    dir will overshadow system template.
+    For macros basic behaviour is the same but if someone will try to
+    TMacroEdit system-wide macro file will be copied to local version of
+    macros dir with suffix to name '-local'. Awkward but avoids situation
+    when user removes local copy of system macro and still see this macro in
+    menu (and in completion of : command).
+    If user choose to remove file latexSuite refuse to remove system file.
+
+    Completion of : commands relating for packages, templates, macros. Looks
+    in all &rtp directories.
+
+commit 40f067882c58fc88ff5fcdeec1ec1b92b2addcec
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Sep 28 22:52:45 2003 +0000
+
+    Add to main.vim definitions of tags for ctags and for texrc additional
+    settings allowing for disabling this feature partially.
+    Tags like TABLE OF CONTENTS, FRONTMATTER etc. allows for seeing
+    structure of file. But I will not cry for it if somebody removes it :)
+
+commit a77128676b03d99541d3e6dffda70f069ae9fbbb
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Sep 28 22:52:37 2003 +0000
+
+    Add plugin header (|write-plugin|) to package files.
+
+commit dcba30616e755aeb00701872c0900d1f43c103b6
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Sep 16 22:50:30 2003 +0000
+
+    add new environments to folding (gather, align, abstract
+
+commit 4202e6d7440d8a8922a5acffcfb1536a21b1d90c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Sep 13 07:54:17 2003 +0000
+
+    Description of Tex_Com_name
+
+commit b88088c93b1b78fd409bee99fb27491c2a0c1a50
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Sep 13 07:06:41 2003 +0000
+
+    New: For the fast command insertion, if the cursor is on a <cword> then use
+         that to construct a command. Otherwise, as before, prompt for a
+         command.
+    New: Utilize a new setting g:Tex_Com_{name} where name is a command name to
+         enable user customizable command completion.
+
+commit 9fa1643ed72af348873fa53af095fbb055384276
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Sep 13 07:03:13 2003 +0000
+
+    - make s:SmartDots() insert \dots instead of \cdots or \ldots if the
+      amsmath package is detected.
+
+commit 2a22a3008d53ad09b8960ad9a2ddb46f21fb952c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Sep 12 10:44:19 2003 +0000
+
+    - slightly more robust handling of programlistings.
+
+commit 4bee11364d2afd7b9763848aa8906e64555d7f5a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Sep 12 10:29:33 2003 +0000
+
+    New: customization of environments via new variables of the form
+         g:Tex_Env_name as described in the manual. As of now, the
+         customization only works with the first three methods (press <F5> on
+         an empty line or with a word and the <S-F1> through <S-F4> keys).
+         Making it work with things like EMA etc will take quite a bit of work
+         because there is a lot of different ways in which the 3 letter macros
+         are setup. Most of them do not use Tex_DoEnvironment.
+
+commit 837aff7b277432fb1ceab7da1daf0ca3dbf38d9e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Sep 12 10:25:20 2003 +0000
+
+    - documentation about the new Tex_Env_name settings to customize
+      environment expansions.
+
+commit 8ffb156b6f438a679e737e9a77b15cc16d491c64
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Sep 7 17:23:33 2003 +0000
+
+    Comment on Tex_UseMakefile usage (Alan Schmitt)
+
+commit b0c8c28bee4f11d123c42011a2da7cd6b4e66ee1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Sep 7 17:22:09 2003 +0000
+
+    Bug: Use of g:Tex_UseMakefile was broken. (Alan Schmitt)
+    Fix: Test for Tex_UseMakefile before checking for makefile etc. (Alan
+         Schmitt)
+
+commit 7d2bd15843f792a17e315a5a694aed4ac8cd5879
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Sep 6 20:07:25 2003 +0000
+
+    Bug: @/ would sometimes change from its previous value when using
+         IMAP_Jumpfunc().
+    Why: s:RemoveLastHistoryItem sets @/ to the last search item in the @/
+         history, but @/ is not necessarily always the last item in the @/
+         history.
+    Fix: Remember @/ in Tex_LastSearchPattern and then restore it.
+
+commit 87ce90ae313dca86a8edea7df1ac6c9ea0c5356c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Sep 6 06:34:05 2003 +0000
+
+    Bug: Syntax error in Tex_ForwardSearchLaTeX()
+         elseif after else (Bart Kastermans)
+    Fix: guess.
+
+commit 5faf52f0e7fac907377b3d60b83a913ca7a7fe2c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Sep 4 23:02:36 2003 +0000
+
+    - Warning and handling case when user uses empty urls.
+    - Also handle the case when the user does not supply a filename.
+
+commit 5890316ecfcc7affef889dacb073594a744ec62e
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Sep 3 20:51:24 2003 +0000
+
+    update about Tshortcuts - math
+
+commit c1dc58a867d4e0a397449d86c1bb1003cb181689
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Sep 3 20:50:54 2003 +0000
+
+    add m argument to Tshortcuts - show mathc shortcuts
+
+commit 4ec34975d196b34100dd23844f31252b6abd2312
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Sep 3 07:19:13 2003 +0000
+
+    Fixed typo which caused makeindex not be run
+
+commit 74f3af449bf859e6ed921ea61522a4c0f53080f6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Sep 3 07:00:33 2003 +0000
+
+    removing explorer.vim and adding filebrowser.vim in the archives
+
+commit 08a535fbf045c03130588012d3920e39de69ed2f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Sep 3 06:49:12 2003 +0000
+
+    - descriptions of the new g:Tex_UseMakefile and also g:Tex_UsePython and
+      g:Tex_Debug options.
+
+commit 04ae7f456f0ce4e34396e2378e22d4da6a24d855
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Sep 3 05:56:22 2003 +0000
+
+    - implement Alan Schmitt's idea of a Tex_UseMakefile option. Setting this
+      to zero means that latex-suite will completeley ignore the presence of a
+      makefile in the current directory.
+
+commit 6b97ea10e602d49cd8ad604af0c71c908d9535c0
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:15:30 2003 +0000
+
+    - merge from the file-browser branch. restructuring to get the correct
+      style and also to use filebrowser.vim instead of explorer.vim
+
+commit e2759b1bcb06f4f7df51bf2c92cbe4652971414d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:13:44 2003 +0000
+
+    - new lightweight replacement for explorer.vim
+
+commit fc5ff7355a6615b8bb081d1ea731a0903889ad60
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:13:10 2003 +0000
+
+    no longer need explorer.vim in latex-suite
+
+commit 4180df738583f5e6f5e029d336b25616ee9b9455
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:08:28 2003 +0000
+
+    - Some minore outstanding changes.
+
+commit 2f143d9cd147c45f4865527ea83e049dbd40562e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:07:23 2003 +0000
+
+    - A little rearrangement to make some functions faster.
+
+commit 821f95b4dc7dd54e387c267218fac30952a50bec
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 07:05:59 2003 +0000
+
+    - Do not use the :silent! in \ll etc even if has('gui') because
+      1. seeing all the "will rerun because .bbl file changed" etc is very
+         helpful.
+      2. More often that not, it prevents the user from being able to see bugs
+         which he can report.
+      I will go back to the original way if I receive comments otherwise.
+    - remove the <F10> map because latex-suite doesn't use it anymore.
+
+commit fd14e2f252d1cc51d44b37222cbf7f3a7161351f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Sep 2 01:56:47 2003 +0000
+
+    - Improved behavior: If there is an error in any of the compilation steps,
+      return without rerunning anything else.
+
+commit a14674b79c05b30677b9e3656a49bf036e909fbe
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Aug 31 09:20:36 2003 +0000
+
+    - resync the multiple compilation documentation with the current algorithm.
+
+commit 9a56c87830c505cf5a82281f6fe3d26cf69ea80f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Aug 31 09:04:41 2003 +0000
+
+    Bug: If compiling latex causes an error and bibtex/makeindex is run
+         afterwards, the errors dissapear from the clist, causing us to think
+         there were no errors in the document.
+    Fix: Always re-parse the .log file after all compilers have been called to
+         ensure that we will always be able to find problems with the latex
+         compilation.
+
+commit 0c4aecb74eb3bf51c1447f03411a7a904913176e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Aug 31 08:25:15 2003 +0000
+
+    - Refactored code to only have one copy of the main function
+      Tex_CompileMultipleTimes() instead of maintaining a duplicate. Just
+      duplicate the helper functions.
+
+    - Also removed a bug in the original version where a change in the index
+      terms was not causing latex to be rerun.
+
+commit 38aedf5bbd4118b6e70ede49d4c3abd5352a114b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 29 03:44:34 2003 +0000
+
+    added description of <F9> for commands such as \bibliographystyle
+
+commit 8e36add113b0287869948056c46720611b155fe1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 29 02:55:48 2003 +0000
+
+    commit from the latex-multi-compile branch.
+
+commit 92d0a765ae05f0ba963ad4dfcb05bca60e622569
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 29 02:32:51 2003 +0000
+
+    New file from the latex-multi-compile branch.
+
+commit bdd1d5e2b1b54f1ca0bc6bdd832efe234774b711
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 29 02:29:35 2003 +0000
+
+    merging from the latex-multi-compile branch.
+
+commit f4f6378d256d37cd658c543cd5adf2d23df38b7f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 29 01:37:02 2003 +0000
+
+    - Some minor outstanding diffs committed so I can release the next version
+      today.
+
+commit a4a320884280410ae0e652ab5fb5504d1a3ace61
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 28 23:12:52 2003 +0000
+
+    description of 2 new features:
+    1. automatically compiling multiple times.
+    2. handling format dependencies.
+
+commit 48fc2e5a1b1c639150e0cee69173729310ae7bc9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 28 19:17:48 2003 +0000
+
+    Botch up with the previous addition. It got added in the main branch. I am
+    removing it from there and adding it into the branch as promised.
+
+commit 1c87aa9b9c06b8c0db22af3579370edc37799f6c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Aug 28 19:16:28 2003 +0000
+
+    A lightweight replacement for explorer.vim so we can remove that.
+
+    NOTE: This is a commit on a branch. Do not use this for any production
+    purposes.
+
+commit b31219d4110ef54133cbe1b7088a0719863a533b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Aug 22 22:09:58 2003 +0000
+
+    - added the bit about how to over-ride macros set by latex-suite.
+    - the latest version of db2vim also folds up subsections within sections.
+
+commit e3842a14cb99b28566cfb898f1fdcb60cba60f55
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Aug 11 01:08:37 2003 +0000
+
+    *** empty log message ***
+
+commit e74bda4a0fca16efa0f0dfcc643f03bcf1419334
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Aug 4 20:18:53 2003 +0000
+
+    Removing variant of Tex_CompletePackageName. It doesn't work because of
+    bug in Vim and this bug won't be fixed soon.
+
+commit 9176afe71a88652bcdd700032b0ada87ec45c837
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jul 27 00:46:53 2003 +0000
+
+    Bug in description of folding...
+
+commit 9a23ad66f23513e9c4940987f8d5737645f52ec9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 26 19:52:18 2003 +0000
+
+    Bug-fix: Some menu items did not work
+
+commit 6917353a3422bb7d86ac2638b6bc58d8ce7347f9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 26 19:15:55 2003 +0000
+
+    Bug: When latex-suite is packaged as a system wide utility installed in
+         /usr/share/vim/vim61, then the local texrc file in
+         ~/.vim/ftplugin/tex/texrc does not get sourced as claimed in the
+         documentation. (Chris Greenwood)
+    Why: latex-suite tries to source ../tex/texrc from where main.vim resides,
+         which in the case of system wide installations is not
+         ~/.vim/ftplugin/tex/texrc
+    Fix: Just use :runtimepath instead of using s:up_path etc.
+
+commit 3b775a38c735a7901143093001fd4e88858a6419
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 26 19:10:10 2003 +0000
+
+    - documentation bug fix about location of local texrc.
+
+commit 59de9b08421d6c895998b27c8e02a553127301e3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jul 25 01:22:27 2003 +0000
+
+    make Tex_GetMainFileName return filename with ' ' escaped.
+
+commit 69e86f2b797e89999c063b9753b57e16f5edc3de
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jul 25 01:21:26 2003 +0000
+
+    escape filename while saving etc (Diego Carafini).
+
+    Also only source mainfilename if its .latexmain. This change is in
+    anticipation of future changes when Tex_GetMainFileName() will return
+    expand('%:p') when a .latexmain does not exist. In this case, we do not
+    want to source the .tex file...
+
+commit cf760e12967ec6a9fb6192cb89274b1cf9ce5a25
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jul 25 01:13:21 2003 +0000
+
+    Change: Escape ' ' in file names when passing the filename to an external
+            command (Diego Carafini).
+
+commit 371189c21c83885c9538583f6f93fb3b577d995c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 24 03:03:51 2003 +0000
+
+    Change: Use "\n" instead of the inverted ! character to delimit strings in
+            g:Tex_IgnoredWarnings. (Pan Shizhu).
+            Also a slight improvement in the infile documentation about
+            installation.
+
+commit 47be0a8dce989519ca62c5f945d6f6417d9a3f47
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 24 02:52:35 2003 +0000
+
+    Bug: Pan Shizhu writes:
+        You defined a character which looks like a reversed `!' as the
+        delimeter of global var g:Tex_IgnoredWarnings, but this character will
+        definetely cause problem on many systems (mainly non-latin systems such
+        as Chinese, Japanese and Korean).
+    Fix: Replace the inverted '!' with "\n". This might cause some backwards
+         compatibility problems.
+
+commit d7dc0b24d0f3803ec58b54a9db7fa08aa5088efe
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 19 07:12:59 2003 +0000
+
+    - utilize the g:Tex_MainMenuLocation in mathmacros.vim
+
+commit 78812b2ba70ddcb31015a2ad39d74d32ebc1e98a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 19 07:05:47 2003 +0000
+
+    - the new macro menu did not work because we did not use <SID>
+
+commit 8817bb8c5282be211856f0a780df9b7e16b43887
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jul 19 07:03:08 2003 +0000
+
+    - In preperation for the next stable release, I am trimming away unwanted
+      and unused things. We should I think, no longer insist on the texrc
+      architechture like before, but advise any customization to directly into
+      the user's ~/.vim/ftplugin/tex.vim.
+
+    - also removing the menus for project stuff because they are not used right
+      now.
+
+commit 886831270e9d9cd7ba83c48f67684e89529022e2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jul 18 02:21:00 2003 +0000
+
+    - creating targets
+        release: for making temporary dated releases of the form
+            latexSuite20030618.zip etc.
+        updoc: for updating the documentation to the latest cvs.
+        uphtdocs: for updating the htdocs directory (the web-page) with the
+            latest cvs. Will also update the package and template list. Will
+            also update the ChangeLog which is linked from the download page.
+
+      I have tried to setup the webpage in such a way that the entire
+      maintainence can be done via make remotely. Please do it this way. For
+      example, when making changes to the web-page, make changes in a locally
+      checked out copy and do "make uphtdocs". If you make some changes to the
+      user manual, do "make updoc". If you wish to make a dated release to fix
+      a temporary bug-fix etc, do "make release".
+
+commit 0ba2ca62552d8db541860bdc816b10bf5ab75faf
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Jul 17 11:19:14 2003 +0000
+
+    ChangeLog
+
+commit 452f10e3b8e174e9c610ae41654f1177093be7fa
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 17 07:30:43 2003 +0000
+
+    Change: new function Tex_GetVarValue().
+
+    Change: support g:Tex_MainFileExpression. (Luc Hermitte)
+
+commit c4a4d4c0bacdd8ed3205d2850a5f56bf24a6d79b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 17 07:25:49 2003 +0000
+
+    including documentation about Tex_MainFileExpression.
+
+commit 9dff25b7c8f2d39cf413342ea44aa48dcc2348b4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jul 16 16:44:41 2003 +0000
+
+    Bug: If g:Tex_SmartQuoteOpen/Close contain the '~' character (french quotes
+         are "�~" and "~�", then we get an error in quotations (Mathieu
+         Clabaut).
+    Fix: escape ~ in the search() function (Mathieu Clabaut).
+
+    Change: make Tex_GetMainFile() recursively search upwards for a *.latexmain
+            file.
+
+commit ff912a3f1d9250a575d2142133c8d2aed60edea9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jul 16 16:42:10 2003 +0000
+
+    Bug: Sometimes moving up and down in the error list window causes a regexp
+         error.
+    Fix: properly escape backslashes in the regexp.
+
+commit ff47b8132e5d61957682b6e22c6827d49a15971e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jul 16 05:27:14 2003 +0000
+
+    A couple of additions/grammatical corrections.
+
+commit 9a5468496ee3d376c501edf0d157807a77c9f198
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jul 16 05:17:05 2003 +0000
+
+    Change: Peter Heslin (maintaining the cream port of latex-suite says that
+            the Windows menu from cream appears in the middle of the
+            latex-suite menus). A new variable g:Tex_MainMenuLocation is used
+            to find the location of the latex-suite menus.
+
+commit 939079b578fd690552a137f9fe3c8a6b9e6ca42e
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jul 15 21:33:23 2003 +0000
+
+    Make Tcommand completion working on all systems and only in version 6.2 and above
+
+commit a64acc5fca789eb8f29f36de017d326d2825686b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jul 15 21:33:05 2003 +0000
+
+    Add info about completion of TPackage command
+
+commit b3aafee8584b05f4051fb6bf9be5cf9547100d30
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Jul 11 22:47:35 2003 +0000
+
+    completion of TPackage command
+
+commit ff10e51356c05ea25eec964544b09fc154292ed9
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Jul 11 22:47:23 2003 +0000
+
+    Lack of . - concatenation char in g:TeX_package_polski
+
+commit fbb3e405e496c5ac6f56e4569a364711f4665b5f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jul 10 09:52:11 2003 +0000
+
+    Trying to robustify the grep commands which are used to search for \labels
+    etc using a new function Tex_EscapeForGrep. Use this henceforth whenever we
+    :grep for something from within vim.
+
+commit df0735340cf3fa08919e227f2879855f298e38ba
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Jul 9 22:36:10 2003 +0000
+
+    update for platex 1.3
+
+commit a25e743fc8c401c1699239ad874431722fd840e7
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Jul 7 08:06:21 2003 +0000
+
+    mispell in Tshortcuts tables - EPI for figure
+
+commit 017235daf2d710e353934e533ac2c75220d81986
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:33:34 2003 +0000
+
+    do not change indentation of commented lines
+
+commit 558de813febffe0d3087fe7d2cf8e82f29c03f42
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:28:39 2003 +0000
+
+    default g:Tex_RememberCiteSearch to zero. This means that the \cite list is
+    renewed every time as documented in the manual.
+
+commit 755d5d8b6a3700a8b06359e727d4ca5f92987d9f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:27:19 2003 +0000
+
+    Corrected an obvious syntax error. I dont know what was being attempted
+    here though. Mikolaj: Please document this file better! It would be really
+    nice if you could send out an email to the vim-latex-devel list outlining
+    the feature you are going to implement and how you plant to do it before
+    actually doing it. This way we all have a say in whats going on... Also
+    better documentation is a must! There is no mention anywhere what this
+    "plugintype" thing is supposed to be.
+
+commit 42082b0af80ece5014614ebf7ac1d72d49eaaa45
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:21:38 2003 +0000
+
+    include targets for quickstart guide. Also use the --prefix argument for
+    the latest db2vim to avoid conflics between tags in various help files.
+
+commit fab3e785d94fd5e73e057b0e9bb695ba0eba1aac
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:20:00 2003 +0000
+
+    *** empty log message ***
+
+commit 2ba8e39a26829472985cc22a23824957fd28b79a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 30 01:18:52 2003 +0000
+
+    First attempt at trying to make explorer.vim not conflict with the default
+    explorer.vim which ships with vim. It would have been _really_ nice to have
+    first discussed the implementation of this feature so I could have avoided
+    this problem beforehand. :(
+
+commit 3470e65781c8060cb7dd2edf1c5f2b5f460d6f7e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 29 08:31:04 2003 +0000
+
+    Bug: Using completion in the following situation: \cite{something,<F9>
+         does not work properly because "something" is considered the prefix.
+    Fix: change the s:prefix variable when we have a \cite command to support
+         multiple citations seperated by commas (SA)
+
+commit 4e620049365d409cdcf32912e678538adf1dd229
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 29 06:15:44 2003 +0000
+
+    Bug: \bibitems were not being scanned properly.
+    Why: Used grepadd \\bibitem{ instead of just grepadd \bibitem{
+    Fix: Use 'grep \bibitem{'
+
+commit 377cacec97c45e6a8896c8b855feba87f0994bfc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 29 02:18:39 2003 +0000
+
+    *** empty log message ***
+
+commit 05728fb7fba403fa056866a4d76c143c68edc607
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 28 02:16:50 2003 +0000
+
+    *** empty log message ***
+
+commit 160a366e2372e42430a5ebb83a31f130f026bacb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 28 01:46:34 2003 +0000
+
+    *** empty log message ***
+
+commit 27176e96257c6ba5a8372a90bd2a15d32e4ea1cc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 27 22:20:16 2003 +0000
+
+    - changed ETR to insert a more complete template using Tex_SpecialMacros
+      (Mathieu CLABAUT)
+
+commit 8bebda8f9d142ba821492c66641128e4d81a8b05
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 23 09:13:51 2003 +0000
+
+    *** empty log message ***
+
+commit 7deb87ff922d548581ec917f0edcf6ff23a8b91c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 22 23:33:07 2003 +0000
+
+    - More code cleanup.
+
+    - A few short and long options to control prefix, debugging, strictness.
+
+commit 63ffe5de17eb2ac5e6b3322de152b370b2591498
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 22 17:57:16 2003 +0000
+
+    Bug: On windows gvim +cygwin, \cite completion does not work when the bib
+         file is in a completeley different location.
+    Cause: gvim calls grep as "grep -nH @.*{ /path/to/file"
+           which does not work because grep thinks / corresponds to something
+           like c:/cygwin, so it looks for the file in the wrong place.
+    Fix: Always lcd to the current directory of the bib file being searched.
+         This avoids any path issues.
+
+commit 072f990f0ff0095010f8b3ec910cfebc791a21e7
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 22 00:24:57 2003 +0000
+
+    Some code cleanup. Also give more information about db2vim in the "About
+    this file" section at the end.
+
+commit 77323d59cf9db5337691beb6b81e711bbc12c34e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 21 22:24:04 2003 +0000
+
+    1. Put a message after the TOC telling the user about the folds in the
+       current file.
+
+    2. Bug: Table column widths were incorrectly allocated.
+
+    3. Improve the modeline (its pretty complex now) to also fold subsections
+       within sections
+
+commit 1b31c54c65931ea0a35399411d62a9b47b37c608
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 21 22:19:54 2003 +0000
+
+    The compiled files got into the CVS tree by mistake.
+
+commit 03068ac6cf7642693599fa82c50e9ca940470f62
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 21 22:16:15 2003 +0000
+
+    Oops! Some debugging statements got into latex-suite.txt. Have modified
+    db2vim so it doesn't happen again.
+
+commit 62f3cd991fbc719e80624544465e062ebf79c3d0
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 21 22:13:07 2003 +0000
+
+    More documentation. more fixed typos...
+    Still a lot more to go...
+
+commit 08c2437f0511ac174c2febe39977442481b4d30a
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 20 06:11:54 2003 +0000
+
+    Bug: A recent change made in order to recognize strings such as
+         \psfig{file=} for completion resulted in not completing
+         \ref{eqn: ! (Sorry)
+    Fix: Change the regexp again.
+
+    Change: Use redraw! for helping terminal users. and also do not use
+            <silent> unless we have gui running.
+
+commit 9b0702460ec5656ca2eab71b9b8532dc234fc453
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 20 06:02:39 2003 +0000
+
+    A bit more explanation about how to change the maps from default settings.
+
+commit 3b3fa0ceb11bb77f49c42b92463b2c0c9f6bb6d7
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jun 19 01:21:33 2003 +0000
+
+    Bug: IMAP_Jumpfunc() and VEnclose() do not work with &selection =
+         'exclusive' (Jannie Hofmeyr, Pierre Antoine Champin)
+    Fix: Select one more character in 'exclusive' mode. (suggested by Pierre
+         Antoine Champin).
+
+commit dc206ba7d4eff644fcc04b727a6c0b91adc821fb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 18:58:53 2003 +0000
+
+    Instructions on how to build the various output formats from the XML
+    source.
+
+commit abc712b5750fbfc5b32ecb003049e38506760771
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 18:54:30 2003 +0000
+
+    Oops. snipped Tex_TEXINPUTS section from wrong place.
+
+commit 846a7b657cd533568f05eb11057dbdb8adba2a25
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 17:28:35 2003 +0000
+
+    Remove duplicate section on g:Tex_TEXINPUTS.
+
+commit 5fd47c882063f42ecb0fa6db0ec0bdd0a197067b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 06:17:15 2003 +0000
+
+    Also include the remoteOpen and bib_latexSuite files for the release.
+
+commit 44f989d5a3489788655c433baa904d426b00dc0e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 05:12:38 2003 +0000
+
+    New documentation files in the doc directory contain all the xml and xsl
+    stuff needed to build the help files in various formats.
+
+    From now on, only latex-suite.xml will be directly modified.
+
+    latex-suite.txt, latex-suite.html and latex-suite/*.html will all be
+    automatically generated from the master .xml file.
+
+    The new method of making a release:
+
+    1. From the vimfiles/ directory issue a :make command.
+    2. From this directory issue a :make ls-txt command.
+    3. From the vimfiles/ directory issue a :make upload command.
+
+    These three steps will be gathered into a single :make release target for
+    the future.
+
+commit 3d53d3128e6ea8fa108ea31ad8a8e551d927aadc
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 04:49:48 2003 +0000
+
+    *** empty log message ***
+
+commit 7e0f001404704d1248c7485f8fb3c2976e7bd49c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 01:09:30 2003 +0000
+
+    Bug: Use Tex_GetMainFileName(':p:r') to find the complete path-name of the
+         master file, not Tex_GetMainFileName(':p').
+
+    Change: Do not use the v:errmsg mechanism for finding out if an error
+            occured in opening a custom package. Sometimes, other errors could
+            occur _after_ the file is opened, causing v:errmsg to be corrupted.
+            Instead check to see using bufnr(), which should be more robust.
+
+    Change: Use silent! while opening and closing folds, otherwise we get
+            errors on terminal.
+
+commit f43d8e9437765f7aa2f43857a940fc7a9756010d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 01:03:42 2003 +0000
+
+    In the viewer rules for windows, do not use full paths. Ask the user to
+    set the $PATH variable to include the directories containing the programs.
+    This is more portable than before.
+
+    Set default value for g:Tex_RememberCiteSearch, Tex_BIBINPUTS and
+    Tex_TEXINPUTS
+
+commit ce5bcd3141a34a801ad9fe359408b403cd97a400
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jun 18 00:57:24 2003 +0000
+
+    Bug: If we used :TTarget ps, then the compiler would be called as:
+            dvips -o file.tex.ps file.tex.dvi
+         instead of
+            dvips -o file.ps file.dvi
+    Why: In a recent change, we made RunLaTeX() use filenames with extension.
+         However, some compilation rules might require filenames w/o extensions
+         (such as Tex_CompileRule_ps which is 'dvips -o $*.ps $*.dvi')
+    Fix: Try to guess if the &makeprg requires files w/o extensions by seeing
+         if it matches '\$\*\.\w\+'. If so, use file-name w/o extension.
+         Otherwise, retain extension in 'make '.fname
+
+commit 6b0f480869a93ca12977a5b7afcd4a98fbbf1ed6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 17:26:46 2003 +0000
+
+    More bug fixes!
+    Bug: Pressing <F9> at the end of a line like
+         This is a \ref{eqn:something} and this is a comp
+         would cause errors.
+    Why: The substitute() command returns the original string if the pattern
+         does not match causing us to wrongly infer a match.
+    Fix: Therefore first check if there is a match.
+
+    Bug: Once we complete an equation, we can never complete a word.
+    Why: s:type is never unlet
+    Fix: unlet! s:type if there is no match on current line to any known
+         command.
+
+    Bug: Pressing <CR> during word completion does not take us to the location
+         of the match, as claimed.
+    Why: <CR> does "cc <num> | pclose! | cclose!". Because the preview window
+         with the match is open, therefore cc will take us to the match in
+         the preview window, after which pclose closes it up!
+    Fix: Do 'pclose! cc <num> | cclose' instead...
+
+commit 467a4e146b1e112773304c84d5c7d66e4175997f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 16:22:57 2003 +0000
+
+    New: Also support '\psfig{figure=' for completion.
+
+commit f1fc8b0b0b54266fe920dfa287f14a66eba047ad
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 09:35:25 2003 +0000
+
+    New: Bibliography searching was pretty delicate before where only a few
+         select situations succeeded in producing a match. Make this much more
+         robust using :find. This has the advantage of letting us use vim's
+         native file-searching capability to find out bibliography file etc.
+    New: Capability to retain the \cite search in memory so we do not have to
+         make searches with every <F9> pressed. This is useful because quite
+         often the bibliography is a _huge_ file which is not changed very
+         seldom and we might want add a lot of \cite's between changes to the
+         bibliography file.
+
+commit f6b52638caae072b623f253ecf11aa42d30a429d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 04:01:53 2003 +0000
+
+    Initial revision
+
+commit b045ca23581af6160bf1f12df7312dd937884b8d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 02:12:29 2003 +0000
+
+    A small change to include every debug statement in the default string.
+
+commit 9bbfe5ed7262cf0c300cc719b2f19a898d900da2
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 02:07:47 2003 +0000
+
+    Change: Instead of using very complicated logic to find out the locations
+            of package files, just use vim's native :find command. This easily
+            avoids problems of not being able to search more than 1 level deep
+            etc. Ofcourse, this means that the users have to specify
+            g:Tex_TEXINPUTS in the format given in :help file-searching, but
+            that seems a very acceptable thing to do.
+            Why was globpath() and all that used previously?
+
+commit 4e6f3ee0ffbb5c5c92bf9093d52cf6898c32fc9e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 17 02:00:13 2003 +0000
+
+    Bug: <F5> does not work if we type in the name of a package latex-suite
+         doesn't recognize. a 0 is inserted.
+    Cause: In the recent feature where Tex_PutEnvironment also tried to scan
+           environments added by packages, there is no fail-safe at the end of
+           all the if statements.
+    Solution: if all else fails remember to at least insert a bare-bones
+              environment.
+
+commit e619dc73b72572bf43d7a377ee064d092ca0248e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 16 06:40:00 2003 +0000
+
+    Bug: When a \usepackage{} line is inside a fold, then we go into an
+         infinite loop. (Lin-bo Zhang)
+    Cause: Due to an apparent vim bug, when if we issue the command
+           /somepattern
+           in a closed fold, then we always goto the first match in the fold.
+    Solution: A temporary hack of first opening up all folds before scanning
+              and then closing them. This needs to be robustified in the future
+              using mkview.vim
+
+commit 885813f38402189100341182b4c5ca8821606bb1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 08:44:54 2003 +0000
+
+    Change: ViewLaTeX() no longer uses a:size input argument. instead using the
+            b:fragmentFile buffer variable.
+
+commit 6774f1d66a9c5a36d9c2e6a9be517356d7c9e892
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 08:43:17 2003 +0000
+
+    issue a debug call when catching the latexSuite autocommand.
+
+commit 1378c5ee78f8a59caed8d6cf8c23d424533f7d1b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 08:42:11 2003 +0000
+
+    Use the more standard TexLet way to set default options instead of exists()
+    and stuff.
+
+commit 335aa3ddb807a7bbdd87da03c1cb7bda1b471945
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 08:23:14 2003 +0000
+
+    Changed structure of bibtex.vim to look more ``modular''. Still don't know
+    if this is a good idea. Might revert to older revision in the future.
+
+    Feature: added way to customize the fields which are applied via the
+             mappings.
+
+commit d62af6a20be757eb54fdfd99177f4d2f8ee2582b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 08:09:28 2003 +0000
+
+    create a bib_latexSuite.vim file to be able to also support bib files. This
+    file basically sources bibtex.vim, which contains maps to insert
+    bibliographic entries easily.
+
+commit c871347676e601d0f9fe5ccd9e0eff5b1b85ca27
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 15 05:23:31 2003 +0000
+
+    Bug: Sometimes Tex_FindBblFiles() would return a bunch of files with
+         new-lines in them.
+    Cause: substitue(text, '\n', ' ', 'ge')
+           doesn't remove newlines (at least in vanilla vim 6.1).
+    Solution: Use substitute(text, "\n", ' ', 'ge')
+              instead. NOTE: use double quotes when using special characters in
+              replacement string in substitute().
+
+    Bug: Sometimes the latex file would get the maps from Tex_c_window_setup().
+    Cause: The maps would be created even when s:UpdateViewerWindow() closed
+           off the quickfix and preview window because of error E32 and focus
+           returned to the latex window.
+    Solution: Check if &ft == 'qf' before setting maps.
+
+    Bug: If the tex file used a '\bibliography' command to include a .bib file,
+         it would not be found. (on windows)
+    Cause: Used ':' as a path seperator. which crashes on windows, because a
+           path is of the form c:/path/to/something (i.e ':' is a character in
+           every path!!)
+    Solution: Use "\n" as a path seperator on windows.
+              TODO: Should we be using "\n" for other OSs too?
+
+commit 231f372bbfb7d30ab0e26d65a37abcca20adb9bd
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 14 05:09:10 2003 +0000
+
+    *** empty log message ***
+
+commit 7ce5ea92e91f49879f4d1cbd03036d95fb111869
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 14 04:43:07 2003 +0000
+
+    Change: Previously, if a file was not opened in any other session, then it
+            would open it in a new session. But for projects with lots of
+            files, this can become painful. Therefore, instead of opening in
+            new sessions each time, open files in the same session we used the
+            first time we had to create a session.
+
+commit f903fcb079c301fa40674270cf64985f06e0613f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jun 13 21:41:27 2003 +0000
+
+    Bug: When a \usepackage line is found, then a spurious { is inserted into
+         the search history. (A. S. Budden, Mpiktas)
+    Cause: a "normal! /{\<CR>" command is executed.
+    Solution: call histdel at the end of the function.
+
+commit 61d5195e4f72b9fc7e3a46d42e659409a36cc628
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jun 12 08:16:25 2003 +0000
+
+    Bug: 'scrolloff' remains at 100 even after we complete the reference (Jakub
+         Turski)
+    Cause: 'scrolloff' is a global setting, not local
+    Solution: Preserve the value of &scrolloff and reset it just before
+              quitting any of the windows.
+
+commit 951cce44ca1f4c102cbd2c6f1bcd52d5252bdc37
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jun 9 03:34:26 2003 +0000
+
+    Bug: More stupid windows issues. Sometimes,
+        getcwd() = 'c:\path\to\file' and expand('%:p:h') = 'c:/path/to/file'
+        which causes s:searchdirectory to become '' causing Tex_completion to
+        search as
+            fgrep \label /*.tex
+    Solution:
+        s:searchdirectory = expand('%:p:h') instead of expand('%:h')
+
+commit a5cb90541d0567091d8b595b214148c05199e5f6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 8 23:42:44 2003 +0000
+
+    This script provides a command :RemoteOpen which is supposed to be used
+    from the command line as follows:
+
+    gvim -c ":RemoteOpen +<lnum> <filename>"
+
+    where <lnum> is the line-number you wish <filename> to open to.  What will
+    happen is that a new gvim will start up and enquire from all previous
+    sessions if <filename> is already open in any of them. If it is, then it
+    will edit the file in that session and bring it to the foreground and itself
+    quit. Otherwise, it will not quit and instead open up the file for editing
+    at <lnum>.
+
+    This was mainly created to be used with Yap (the dvi previewer in miktex),
+    so you can specify the program for "inverse search" as specified above.
+    This ensures that the inverse search uses the correct gvim each time.
+
+commit 3e9de75267a1d903bb0c5da5b4b37fe23a737ffd
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 8 22:30:39 2003 +0000
+
+    Bug: <F9> only worked the first time.
+
+commit 27583ab622faeba34b6b9452f41295bd0e92477c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 8 22:14:55 2003 +0000
+
+    Bug: compiling parts of a document did not open up the preview of the .log
+         file.
+    Cause: mainfname was not defined in part compilation
+
+    A lot of restructuring in compiler.vim and wizardfuncs.vim. See the
+    accompanying e-mail to vim-latex-devel. Will also note this in Changelog.
+
+commit a0b539da027429aa7239e15879f87a711218cb21
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Jun 8 20:25:50 2003 +0000
+
+    Bug: syntax error made the maps in envmacros.vim get triggered only for the
+         first buffer which latex-suite triggered on.
+
+commit 0c05b16d99ead9a00bd000f43074b3f5be912fa1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 7 21:02:23 2003 +0000
+
+    Bug: <F9> did not work with the following
+            \includegraphics[0.8\columnwidth]{}
+         because the regexp thought that s:type = '\columnwidth]'
+         Improved the regexp to account for commands within options. Still not
+         tested extensively, but should be better than before.
+
+    Bug: "wincmd q" does not always seem to work from within the script (this
+        is a vim bug). replace with q which seems more reliable.
+
+commit b83551a44353ecabb287a59cd3b5021214b9bec6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jun 7 10:39:24 2003 +0000
+
+    Bug: <F9> for inserting references does not work in standard vim + cygwin
+         combination for windows.
+    Cause: Vim issues commands via the vimrun.exe program which calls the
+        cygwin bash shell in the following manner:
+            bash -c "command"
+        when we do ":!command" from within vim. With the current setup we issue
+        the command
+            !fgrep "\\label{" *.tex > c:/TEMP/VIe12.tmp
+        This gets converted into
+            bash -c "fgrep "\\label{" *.tex > c:/TEMP/VIe12.tmp"
+        by vimrun.exe. This causes all sorts of confusion.
+    Solution: Avoid issuing commands which contain double quotes otherwise
+        vimrun.exe screws up. Convert the grep commands to
+            grep '\label{' *.tex
+        from
+            grep "\\label{" *.tex
+        NOTE: the backslash escaping still needs to be done due to the outer
+        double quotes in the exec statement.
+
+commit 666fa838ef83f92655ae5a8e13f1204e4b39173a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Jun 6 22:53:52 2003 +0000
+
+    omitted g: before one test for g:Tex_UseMenuWizard in inserting of environments
+
+commit d8844b8bdf130ae602fc3a60411d1ccf62213664
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jun 5 18:16:28 2003 +0000
+
+    Bug: The recent change with "escaping" the special characters in
+         PositionPreviewWindow messes up movement in the Error list window.
+
+commit da7ae05f0af515a34d9298177d35754d7911b5ee
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Jun 4 09:52:41 2003 +0000
+
+    add slashes te escape special characters in UpdateWindow
+
+commit 0f7c2641b6f012a86f7769f737bc4c85a66c844d
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jun 3 11:17:18 2003 +0000
+
+    endif was missed
+
+commit 5bd4d934e403543bc78b4364453de33bac98c118
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jun 3 09:45:32 2003 +0000
+
+    Bug:
+    Srinath: but your patch makes impossible to distinguish between various
+            extenstions of LaTeX files - .tex, .ltx and so on
+
+    Solution: use not :r files for compiling but remove extension when
+            dealing with quickfix window
+
+    But with both versions I have serious bug: when walking with j, k and
+    <cr> through list of errors I am getting message:
+
+    PositionPreviewWindow:
+    Line 62:
+    E486: Pattern not found: ((f|[|])*myfile.tex
+
+commit fc949d90d28b3040a2041f81fbb6c5af9c81bdd4
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jun 3 05:58:21 2003 +0000
+
+    Bug: the preview window with the .log window was not being opened on
+         compilation error.
+    Cause: We used to depend on the file's suffix being removed for a lot of
+           processing. A recent change seems to have reversed this.
+
+commit 4613c5ecdc52b43b5b00094e6e5dbc6135ddfece
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Jun 2 13:39:35 2003 +0000
+
+    Remove hardcoded .tex extension in CompilerRule_pdf - after removing :r in RunLatex it was doubling extension to myfile.tex.tex. NOTE: update of personal texrc is required! (Animesh N Nerurkar)
+
+commit e67989d078dcf73a2c10ea7669ac08addc985d37
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Jun 2 13:39:26 2003 +0000
+
+    update
+
+commit 01190f29578ed7e5d3b685153f13c5d5deae690a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jun 1 23:23:43 2003 +0000
+
+    refresh screen after View and Compile -redraw! - suggestion from Jess Thrysoee
+
+commit 2886854921638bb839449bed24c5c310fa084fa0
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jun 1 23:23:30 2003 +0000
+
+    updates
+
+commit 18e1aa72036d0dff90f0b90743d08bfeb362d04e
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 31 17:51:15 2003 +0000
+
+    Replace g:Tex_Leader with <Leader>
+
+commit cffcccfab511c12a837c21caa8dfe2d6342cea7f
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 31 17:47:31 2003 +0000
+
+    remove temporary catalog for creating tar.gz - there can be garbage which can be inserted in next latexSuite*
+
+commit d4f7cb3d1d4494eb9652afa6fc45368bddcb4205
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri May 30 04:30:52 2003 +0000
+
+    Bug: undefined mapleader variable causes crashes.
+    Solution: Instead use s:mapleader which defaults to '\' if mapleader does
+              not exist.
+
+commit e8f63600c8c20fd400e99499a0e02e50c3732807
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 12:48:15 2003 +0000
+
+    update
+
+commit de3ac91223f235f56e0de44042852ba8fcfe08e8
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 12:48:13 2003 +0000
+
+    allow TTarget accept no arguments and show possible choices with default enclosed in []
+
+commit 199ebe704dbdd62893abe4ab3728e97fea555469
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 10:43:31 2003 +0000
+
+    show value of g:Tex_DefaultTargetFormat if not one of: dvi,ps,pdf
+
+commit 5d517b44e557d7864274b783bb3f42b56b8c2114
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 08:19:46 2003 +0000
+
+    correct mispell which caused bug: s/mapleaer/mapleader/
+
+commit 189fba68f4e1b7849fae2449a4d671299912c2d0
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 08:19:41 2003 +0000
+
+    TCTarget from menu show now correct value of DefaultTarget enclosed in []
+
+commit 9fb7bc744867a9e77cdeb4fef84bf15306765bca
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 29 08:19:26 2003 +0000
+
+    update
+
+commit 962f6a91fe14b09c7d6cbf07bb6977d8d28c79c7
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 11:11:22 2003 +0000
+
+    check if s:type exists in UpdateViewerWindow
+
+commit 79ee8f18918f0b1ca35eac3d105bbd2389d1c058
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 11:11:16 2003 +0000
+
+    replace \\ in TeX-Suite menu with mapleader value - it often cause problems if someone change it in other places
+
+commit e5c802bf650712c97b48510c860d4a3a5c5b8efc
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 11:11:09 2003 +0000
+
+    update
+
+commit e53f32e8a914e4a86d92de1e0c1c0684c97088fe
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 11:11:08 2003 +0000
+
+    replace g:Tex_Leader with mapleader in General shortcuts section
+
+commit edbad26018de7d67c54647a1fd8869cc4daca0a4
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 09:15:48 2003 +0000
+
+    check in package variables for templates for environments inserted in line with <F5>
+
+commit 708ce3b625cafe99efbf8296de4e5b28d8ecc1a6
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 09:15:07 2003 +0000
+
+    New file: ChangeLog
+
+    Why? As I wrote previously latexSuite will be packaged for Debian.
+    Packager asked me if something like this exists because it would be
+    great help for him. But I think it will help regular users - they should
+    know why it is worth to download new version. Maybe link from site?
+    Please add ChangeLog entries parallel to CVS commit comments
+
+    Format (new entries should go to top of the file):
+
+    After `date of last release`
+
+            Features
+            * file1.vim:
+                    new added features (MM) <- initials of author of the patch if from
+                                           Team
+            * file2.vim:
+                    new feature (John Smith) <- full name if outside
+            * file3.vim, latex-suite.txt:
+                    new feature (John Smith, SA) <- if corrected; add
+                                                                                    latex-suite.txt if change was
+                                                                                    documented
+            Bugfixes
+            * file1.vim:
+                    fixed bugs (SA)
+
+commit 23fabf72d6096d44372d7436bff00680512e8650
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 28 09:13:59 2003 +0000
+
+    add templates for alignat envs
+
+commit 515585daa71a6aee9ee831938323cd3cab47fffd
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon May 26 08:56:22 2003 +0000
+
+    make clean was removing latexSuite.* files, change to latexSuite200* - it will be valid 6 years :)
+
+commit 85a9a248c589dc225d1813c65a08393825e8d205
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 22:21:55 2003 +0000
+
+    File with utf-8 menus, edit it in GUI or terminal which support Unicode
+
+commit 3f8b11c03a03ea2a9b8264ca487703c8577156c6
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 22:20:31 2003 +0000
+
+    Add support for utf-8 menus
+
+commit cc6c44d46db4a57266510e5091b869b286d8a053
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 22:20:10 2003 +0000
+
+    Explanation how to enable utf menus
+
+commit ab5cd717f870a9ddb4e1a4d44eec55794deb53d8
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 17:40:52 2003 +0000
+
+    explanation of :Tshortcuts command
+
+commit 7e30bd9dff6dd31357b2a43e9c7b5a3a0c203426
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 17:40:42 2003 +0000
+
+    Add Tshortcuts command, detailed description in latex-suite.txt - annoying trailing characters E488 :/
+
+commit 9cffd028a1619c880dc0566c3e4ab84591591b2d
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 24 14:37:09 2003 +0000
+
+    Add support for kdvi for regular viewing and forward searching; fixed problem with always compiling .tex files (at least partially)
+
+commit 57ca48d7e0e08444dcff5017bf602c6a3f6c71a8
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 22 18:40:56 2003 +0000
+
+    add timestamp to name of new created archives in format 20032205
+
+commit 770cebedb966346b53faa0f5ad2d42d2e41f8563
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 22 18:40:48 2003 +0000
+
+    replace <<>> with <++> in description of package file
+
+commit bb188a23412625a377a61d245fe471a286fd0f5c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon May 19 14:51:19 2003 +0000
+
+    Added accels for Suite, Elements and Environments menus.
+    Changed accel in Math (from t to M). (Animesh Nerurkar)
+
+commit 791c1657fe648a0c88cd508e54c9c5f7396900bc
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon May 19 14:51:16 2003 +0000
+
+    Added reference to modes in doc, one mispell.
+
+commit df39c3233f87c452a6d2688094c26a17edc128ce
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon May 19 14:50:44 2003 +0000
+
+    Include $BIBINPUTS variable while looking for bib files.
+    (Soren Debois)
+
+commit bbd2e31b63e74fca83be4decf4fb78fdfc1bc49c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 8 20:50:33 2003 +0000
+
+    mispell in triangleq command; remove \implies - this command does not exist
+
+commit e3e9d9fd5bc23f0c586d68bd1c5df242f9d4e02d
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu May 8 08:17:01 2003 +0000
+
+    lack of <SID> before PromptForCompletion call
+
+commit 95dff5e907d09f80c246645da93c5856dbfcf63c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed May 7 19:42:13 2003 +0000
+
+    fixed mispells; moved brackets and dollars section to IMAP; more arrows
+
+commit 991338f062c3a2ad0b50f38a6e87373c509a5652
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun May 4 19:21:23 2003 +0000
+
+    add imaps.txt and explorer.vim to tarballs
+
+commit b54060193e7a6eebdb61bea711e9b1d966e92101
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat May 3 18:05:57 2003 +0000
+
+    cnp
+    fault: && at the end of if condition make Forward Searching impossible
+
+commit e45d947591abe94148691fc3004fc1038fbc7407
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri May 2 20:00:45 2003 +0000
+
+    Merging x action from main explorer.vim
+
+commit 9a369850c0cf44e46ce3811c0e71c242e653fbc8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Apr 25 20:41:26 2003 +0000
+
+    Bug: Multiple \ref's in a single line would cause completion problems.
+    Cause: s:prefix in s:Tex_complete() was improperly calculated.
+    Fix: improve regexp for calculating s:prefix. Still a bit of a hack.
+
+commit cc4605241da1be0006a6be7ef499346e5ad21854
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Apr 23 17:28:32 2003 +0000
+
+    Included project features
+
+commit faff3c03767c99212711d95606a7c45d3452aa3c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Apr 15 10:26:23 2003 +0000
+
+    - use makefile always if exists, .latexmain only if makefile
+      doesn't exist.
+
+commit 3feaff87d48e71758849509eab6765809d052678
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 14 17:14:55 2003 +0000
+
+    - proper handling of <Plug> thing, remove hard map to F10
+    - temporary file has .tex extension
+
+commit 6e24c9ffbf678d8e153bc3aef28d77a236829729
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 14 17:14:46 2003 +0000
+
+    - proper handling various compilation situations - partial, makefile (Alan Schmitt)
+    - mappings of partial compilation
+
+commit cd315c2c09e194e78bfa309610d40833da849cbf
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 14 17:14:38 2003 +0000
+
+    Partial compilation menu element didn't work. Change element to visual
+    only.
+
+commit 3151ab8092abf800b63add9026070ba40ba05c76
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 14 11:23:24 2003 +0000
+
+    proper calling partial compilation from menu, forgotten commit :/
+
+commit 01595c02784fb6d387ba90b2435b224b5e824b4c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sun Apr 13 02:03:53 2003 +0000
+
+    improvements in the newly added "Latex Completion" section.
+
+commit 38e150f1f0ebb405627d8950da46e603197f2086
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 23:31:10 2003 +0000
+
+    bad use of matchstr() with s:type, use substitute() instead
+
+commit afccd0ffbbfdaf1c9b3dd0f2c89f3bc0e5b62b72
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 21:21:58 2003 +0000
+
+    make explorer completion pluginable; small cleaning of the code
+
+commit af976c23645656649428392410ecde2453540efb
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 21:21:50 2003 +0000
+
+    add variable g:Tex_completion_explorer, necessary to whole thing work
+
+commit c92eb51bf5941178c18c2f83bcf58325f8b4de9a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 21:21:39 2003 +0000
+
+    first example of pluginable explorer completion - verbatimtabinput command
+
+commit 62025478c2d3b3efe8aaa53b0ceccc96156b4dc7
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 16:41:50 2003 +0000
+
+    completion is now pluginable through PromptFor mechanism, added completion for addcontentsline, addtocontents, bibliographystyle
+
+commit 2ff0fea1c360c6d31f16699e362737d259f9a0d9
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 11:27:25 2003 +0000
+
+    add completion for include, includeonly, input; remove unnecessary g:variables; localization of Tex_Find functions
+
+commit 3a650a85b1866214eb681d74725df31d5f0ea87c
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 11 11:27:16 2003 +0000
+
+    SmartQuotes for polski (Jakub Turski)
+
+commit d71e6eaa15a57069b8b97c1f746f29113962c11b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 10 22:03:31 2003 +0000
+
+    more robust bib finder - not only scans current directory for .bib files but uses \bibliography commands in current and, if exists main file
+
+commit 543210c358e5f0ee8ab654727645d0d00888609f
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Apr 8 08:45:01 2003 +0000
+
+    replaced endwhile and endif. I dont know how it passed :(
+
+commit ff9ca23990c21dcc487cf5e085d47e5f95dbc97f
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 7 20:53:31 2003 +0000
+
+    new variable g:Tex_TEXINPUTS
+
+commit 54e3a3c3f137bfbe2c049f787ae65a3e64ee4801
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 7 20:53:27 2003 +0000
+
+    info about improved scanning features
+
+commit b49a80b5a9fabc1ae764353f06b40e273cb97554
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 7 20:53:03 2003 +0000
+
+    Dealing with TEXINPUTS and packages.
+    Unfortunately relations of Vim with shell are not
+    straightforwart. We cannot assume that always we
+    will know its value. Much simplier (although not
+    so elegant) is g:Tex_TEXINPUTS variable.
+    This should be equal to real $TEXINPUTS. More info
+    in latex-suite.txt - |latex-package-scanning|
+
+commit a0b58a41dc53a4169e7e8bbe1bcbb4c3fc51a4a0
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Apr 7 10:52:11 2003 +0000
+
+    include fix by Soren Debois and make possible inverse searching with xdvi instation from forward searching
+
+commit a02f89285a7e7a7b852f956917f1849eeb995edf
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Apr 6 22:59:50 2003 +0000
+
+    check if in current directory exists user package and scan it for usepackage, newcommand etc. TODO - TEXINPUTS, use glob or globpath
+
+commit bdb19ed2289fb9b356c95cede68c04f87c70014a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Apr 6 22:59:37 2003 +0000
+
+    improved F1 wrapper: proper error message (thanks Benji), checks for environment names
+
+commit e6e5f9607fb4fef1e5f6d1cea89c2d9b8b689048
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat Apr 5 21:35:50 2003 +0000
+
+    Relative path under Windows was given with wrong file delimiter
+
+commit 08d5ec38d24cb77de815f65b40e5de3468b57860
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 23:27:45 2003 +0000
+
+    This is almost standard version of explorer plugin. This addition to lS
+    is necessary for things like explorer-completion.
+
+    Change is to make EditEntry function global available. It makes possible
+    to remap standard explorer shortcuts for better interaction with lS.
+    I signalized this on vim@vim.org and hope it will be standard behaviour
+    of explorer.vim in next Vim editions thus we won't need this file. But
+    for today pros are much more than contras I think.
+
+    (sorry for my english today, please correct my faults in latex-suite.txt
+    if you find few minutes)
+
+commit c946eed579d7805b5f1dc58d1d8d3f38130d66eb
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 23:25:11 2003 +0000
+
+    new variables for latex completion description in file and latex-suite.txt
+
+commit ac2e7a0cf8509d3d1a71625154b37a5ce8bd65f8
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 23:25:03 2003 +0000
+
+    comments, fixing bugs for partial compilation, using <Plug> for mapping
+
+commit 1b935315fd63e34c6313230175c41b238abae57a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 23:24:46 2003 +0000
+
+    handling of includegraphics, bibliography commands; introduction of explorer-completion; more info in latex-suite.txt - latex-completion
+
+commit 27640211399b7f50c430c8a1bfb44988a8f0b862
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 23:24:39 2003 +0000
+
+    info about partial compilation and changed info from latex viewer to latex completion and updated. New term IMO better describes what is this for
+
+commit f3d2dd19fffadd0b8ecb21ba808394504821e45b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 00:55:57 2003 +0000
+
+    menus for partial compiling and viewing
+
+commit 39d6706bcef0b92fca79ab8ef813f34102afe168
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 00:55:57 2003 +0000
+
+    partial compilation, rules for compiling and viewing output of writing to temporary file created from wizardfuncs.vim
+
+commit 5da44fd9e90f65231aa6c4826dffe194eb520906
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Apr 4 00:55:46 2003 +0000
+
+    main function of partial compiling
+
+commit 19f60f0ac805abf2c77280638eb8330feaad6fda
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 17:37:38 2003 +0000
+
+    support inserting cite/ref from menu. Is it robust enough? Without redesigning menu part no more can be done
+
+commit e3d556436223517c360bb6e79131947a1f72d150
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 14:29:17 2003 +0000
+
+    configuration of windows heights in viewer
+
+commit 6dde3ef6641b728e670ed5b772ab400360cfbcd0
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 14:29:05 2003 +0000
+
+    some info about grep and viewer on MS-Windows
+
+commit 17d60115a72b2dc26d61c70de76343f0514906d4
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 14:28:30 2003 +0000
+
+    full customization of cwindow and preview window height, vanilla 6.1 has bug which resizes cwindow - fixed with additional wincmd _ command
+
+commit 9c8854a370cf5ccc6478d1088d8c96f36a95e56d
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 11:54:10 2003 +0000
+
+    info about first hightlighted line
+    in cwindow for cite/ref completion
+
+commit 965f816c0fb735a4831bc5b2700365578399c170
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 11:54:09 2003 +0000
+
+    customization of preview window
+
+commit d272d543159de266a5c7100383d14126e1bbad6a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 11:53:54 2003 +0000
+
+            label line in preview window in the middle
+            higher preview window (height defined in texrc)
+            support for .bbl files
+            support for \thebibliography environment
+            use grep! instead grep (no need for 'bot 1 split')
+
+commit ab1e8767dfd6ca2dccbb1278ddccec517f5e333b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Apr 3 11:53:39 2003 +0000
+
+    menu Complete Ref/Cite
+
+commit 3dd49f8458c0da8adf7095efa9cd131acb93a185
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Apr 2 20:59:21 2003 +0000
+
+    add info abour F1 wrapper, few mispells, misformats and item in toc about texviewer.vim
+
+commit f293acc0ac4d2c2dff326b317fc23b6caad755e7
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Apr 2 20:58:59 2003 +0000
+
+    F1 help for LaTeX items, docs in latex-suite.txt commit
+
+commit edb13bea5742308389abbf63abcf46230951ee3a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Apr 1 16:47:51 2003 +0000
+
+    completion of \ref and \cite commands, more in latex-suite.txt commit
+
+commit 254168766efa56949da376906b0b25d3a9b33911
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Apr 1 16:47:26 2003 +0000
+
+    description of texviewer.vim module
+
+commit 4eac530584399534a669923ed75445766ae5834e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 25 19:11:40 2003 +0000
+
+    Bug: If an abbreviatin contains \ or " characters, then the abbreviation is
+         not expanded properly. (D. MacAlpine)
+    Fix: Those characters need to be escaped before the quoting.
+
+commit 66b86d3fbcf80634bfdbb4fdc4b800d5aa853ecb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 25 08:20:11 2003 +0000
+
+    Bug: Incorrect detection of abbreviations. If there was (were)
+         abbreviations starting with the letter 'a', then typing 'a<space>'
+         would trigger an expansion.
+    Cause: The :iab command also echoes for partial completions.
+    Solution: Check more thoroughly whether a word is an abbreviation LHS or
+              not.
+
+commit e8d45d0018269f67c8ea29a2c9c7408abbee862a
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Mon Mar 17 12:46:52 2003 +0000
+
+    new package files
+
+commit 191bc2ea950ddb6500f665010937d772303193b6
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Mar 16 18:16:45 2003 +0000
+
+    new package files
+
+commit 5f88adc80f02cbf4d7d352f6967635b71a1da7b8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Mar 4 22:58:13 2003 +0000
+
+    Bug: When there are 2 vertically split windows, compiling causes window
+         layout to get messed up. (Alan Schmitt)
+    Cause: UpdatePreviewWindow() was taking focus from the preview window to
+           the window _above_ it, not the window previously visited. This was
+           sometimes causing focus to go to one of the edited tex files.
+    Fix: Goto previous window, not window above.
+
+commit c3709d39d6fd5fda1eff05b2fbb3d45c67978978
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Mar 3 20:57:27 2003 +0000
+
+    Bug: Fold for slide ends with beginning of next slide. (Shawn L Young).
+    Cause/Fix: syntax fold description for slide used '\end{slide' to terminate fold
+               beginning with '\begin{slide'
+
+commit eb070779d9d6a6dd681d38a01612364416fbd9ba
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Fri Feb 28 20:21:51 2003 +0000
+
+    New command to extract package name from within {}.
+            exec "normal! /{\<CR>\"ayi}"
+
+    Old version was cutting last char under Windows.
+
+commit 7b5feffb4d4d0794b7758d8d2071fefc3eee4cdb
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Feb 5 23:29:04 2003 +0000
+
+    Bug: iabs break when latex-suite is triggered.
+         (Preben Randhol, Sanip P Deshmukh)
+    Cause: If a mapping ends in a letter (say '\'), then abbreviations are not
+        triggered by that letter. For example, if we have
+            imap \ <C-r>='\'<CR>
+            iab 12 twelve
+        Then typing 12\ doesn't expand to twelve\.
+        (Strangely enough "imap \ ?" doesn't have this problem and we get
+        twelve?. Vim bug?)
+        This problem is aggravated by the fact that latex-suite "protects"
+        most letters to avoid expansions such as ``2 -> `\sqrt{}
+    Solution: After checking for mappings ending in a letter, if that letter is
+        not in 'iskeyword', then also check whether the previous word has
+        an abbreviation. Since vim does not have the equivalent of
+        mapcheck() for abbreviations, this is complicated (maybe even hacky).
+
+commit fae6eb53cfea2e829453285068a4d05275322131
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Feb 5 04:12:28 2003 +0000
+
+    - Bug: imaps do not work on default win32 installations of vim because
+            :behave mswin
+           is set, which in turn sets &selection=inclusive. This makes
+           IMAP_Jumpfunc() skip selecting the last character of
+           Imap_PlaceHolderEnd. (Sumit Bhardwaj)
+      Solution: Temporarily set &selection = exclusive in IMAP_Jumpfunc().
+
+commit 9f044b6607d84c49b9a0f547c330b769d66e9079
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 29 03:17:20 2003 +0000
+
+    Sumit Bhardwaj <b.sumit@ieee.org> contributed an template file to be used
+    for IEEE transactions.
+
+commit aa0c500d4c41ca5c378f1693d18049bca92f9509
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 21 22:23:08 2003 +0000
+
+    - change syntax for the \includegraphics command. (Diego Caraffini)
+
+commit 14d4c3395f72f91431d267df608ee1cf0261fa3f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 21 22:15:40 2003 +0000
+
+    - use the updated syntax of Tex_pack_updateall
+
+commit b085afa753565a086a1d308409e626794b79aff9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 21 22:15:05 2003 +0000
+
+    - make Tex_pack_check() also update g:Tex_package_detected.
+    - Make Tex_pack_updateall() use another argument force. A recent commit
+      added some intelligence to Tex_pack_updateall which made it do nothing if
+      it had scanned this file the last time... Sometimes we might want to
+      force it to rescan the same file again.
+
+commit 26a5661feca9add2f0ad19fbd7462bc96ce88a3e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 21 22:10:46 2003 +0000
+
+    - If g:Tex_package_detected contains 'graphicx' then use \includegraphics
+      instead of \psfig in the EFI mapping.
+
+commit 009ee209f5f13240990469a441a20772800fa41c
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Mon Jan 20 19:59:00 2003 +0000
+
+    - a tentative attempt to make including the graphicx package change the
+      behavior of EFI from \psfig to \includegraphics. Note that this is far
+      from ideal. For example, as of now, once the user opens a file with
+      \usepackage{graphicx}, then EFI will begin using \includegraphics even if
+      he switches back to a file without \usepackage{graphicx}.
+
+      Doing that will require extensive changes to the envmacros.vim file, I
+      think... (I haven't thought about it enough to find out if a simpler
+      workaround is possible).
+
+commit 21a9c7c2d048c68870703138fba6aa94834e8279
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat Jan 18 18:36:43 2003 +0000
+
+    added regular latex commands to babel package file
+
+commit 5053a82aef2830fd908c8dfa63710e4c39949475
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 18:43:20 2003 +0000
+
+    - make things silent... Otherwise cvs errors, shell errors etc scroll off
+      the screen making things difficult to see.
+
+commit 50d93ad586921d6fe8bd646bd664dc1849e35ca9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 18:41:44 2003 +0000
+
+    - Bug: When makefile is found,then latex-suite shifts focus to the quicfix
+           window. (Ulrich Spoerlein)
+      Fix: mainfname was not being initialized when makefile is found.
+
+      TODO: Should we change 'silent!' to 'silent'? RunLaTeX() was actually
+            throwing vim errors which were supressed.
+
+commit ca3f137f4a6aeb043b8e0f740e6669c4944a2aa6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 10:05:36 2003 +0000
+
+    - A first go at the babel file. This file is sourced exactly once when it
+      is first detected by Tex_pack_updateall(). It then sets up an au to catch
+      the LatexSuiteScannedPackages event which gets thrown by
+      Tex_pack_updateall(). This enables it to set buffer local smart quote
+      characters each time \usepackage{babel} is seen.
+
+commit 83e61a1cc114ad3aba987e735f78807e684155ac
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:49:34 2003 +0000
+
+    Oops! Syntax error. Talking about commiting "tested" code!
+
+commit 3145e13ee0c8afae8f616755a862d69b1f4d13da
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:24:15 2003 +0000
+
+    - catch the LatexSuiteFileType event to update the package menu whenever we
+      switch buffers. This will enable us to reliably use package files which
+      set buffer variables.
+
+commit f383b1afd07d39343f9fa1de50e141faf79276f8
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:20:35 2003 +0000
+
+    - catch the LatexSuiteFileType event to set up buffer local maps.
+
+commit 9b761ca064029ad6109f1cf0162270d2af37dd71
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:18:15 2003 +0000
+
+    - catch the LatexSuiteFileType event thrown by tex_latexSuite.vim to set up
+      buffer local maps for each tex file.
+
+commit 23d7d7ade422181e0b2a8abe6ba82dbc87e73bd6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:13:31 2003 +0000
+
+    - main.vim used to help various other components set up mappings etc. This
+      was becoming ugly because it caused some unecessary dependencies... The
+      new tex_latexSuite.vim file enables us to remove these dependencies.
+      SetTeXOptions() now just sets options local to main.vim. Each of the
+      other components do their own stuff.
+
+      SetTeXOptions() is called by catching the LatexSuiteFileType event thrown
+      by tex_latexSuite.vim.
+
+commit 9179ec209dd783892a48ce4923e250cc63df154d
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 09:09:43 2003 +0000
+
+    - In the initial way of calling latex-suite, main.vim and correspondingly
+      every file through it would be source'd only once for every buffer. This
+      means that if a file needs to be called every time a filetype event
+      occurs (not just the first time), it wasn't possible. This limitation was
+      making adding a feature such as updating the packages menu when we switch
+      buffers very ugly to implement.
+
+      Adopt a much more elegant apprach. Throw a LatexSuiteFileType event every
+      time tex_latexSuite is sourced... This enables each component of
+      latex-suite to function independently without having to depend of
+      main.vim in the heavy manner they did previously. Components which need
+      to be sourced only once will ignore this event. Components which need to
+      set buffer local maps will catch this event and set the maps with some
+      reinclusion avoiding logic... and so on and so forth...
+      See the next few commits of main.vim, compiler.vim etc for details.
+
+commit 00b19d0887d7db3f51c736491f27f6e63287a627
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 06:37:58 2003 +0000
+
+    - Use Tex_ChooseFromPrompt instead of Tex_ChooseFile
+
+commit 3cd1657d876d1c03ce82e3c1c98cc7686a94c2e5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 06:37:08 2003 +0000
+
+    - Use Tex_ChooseFromPrompt instead of Tex_ChooseFile
+    - Use Tex_pack_updateall instead of Tex_pack_all
+
+commit 4d11d36cb835cde3051aa51d5cfc81f681807103
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 06:36:17 2003 +0000
+
+    - Transfer intelligence from Tex_pack_all to Tex_pack_updateall. Because we
+      want to scan every file, therefore do some optimization to speed things
+      up. Basically, try not to repeat "supporting" packages.
+
+    - Also throw a LatexSuiteScannedPackages event at the end of
+      Tex_pack_updateall... This will be caught by the babel package.
+
+commit e78b0a7eaea0ae9f9e7b9ab2759bd81bd5efc5a3
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 17 05:26:34 2003 +0000
+
+    - Use Tex_ChooseFromPrompt instead of Tex_ChooseFile
+    - Also create global variables of the form
+        g:Tex_{packname}_options
+      which contains options corresponding to \usepackage{packname}.
+
+commit 9dc558fc433ae8b5b3aa3e7891be3ccc3bfb5170
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jan 16 17:49:08 2003 +0000
+
+    - Previously if a file which didn't have \usepackage{german} triggered
+      latex-suite and then the user opened a file which did have
+      \usepackage{german}, then b:Tex_SmartQuote* would not change. We want to
+      process the \usepackage lines for every file... A first pass at
+      implementing this.
+      Make Tex_pack_updateall() get called every time SetTeXOptions() is called
+      by catching the LatexSuiteInit event thrown by SetTeXOptions().
+      TODO: This makes things slow, because Tex_pack_updateall is kind of dumb
+            updating the menu list... Often times, multiple files in the same
+            vim session use the same main file. In this case, it doesn't make
+            sense to "uncheck" all the menus and recreate them again. I'll
+            optimize it later to use such information...
+
+commit 797b816edfdf8b25fbf4fa815bd0caff362addb1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jan 16 17:42:09 2003 +0000
+
+    - Previously if a file which didn't have \usepackage{german} triggered
+      latex-suite and then the user opened a file which did have
+      \usepackage{german}, then b:Tex_SmartQuote* would not change. We want to
+      process the \usepackage lines for every file... A first pass at
+      implementing this.
+      As a long term solution, make SetTeXOptions() trigger a user autocommand
+      called LatexSuiteInit. This is caught by everyone who so wishes. This
+      enables us to not have to modify main.vim everytime...
+
+commit 3ac0dac6b0bae9aab37aaf2c89ca59ce9d0a5770
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Thu Jan 16 11:09:22 2003 +0000
+
+    localized to buffer SmartQuotes
+
+commit d34ae70be397c6e20e008185f1fcf4716d0619d1
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Thu Jan 16 02:49:57 2003 +0000
+
+    - made greek letter expansions also use g:Tex_Leader. This provides another
+      way in which users can avoid unexpected expansions... (I dont know why
+      this was not the case till now...)
+      TODO: make greek letters optional.
+
+    - Bug fix: Tex_CreatePrompt was not using a:sep throughout, causing it to
+      be broken for lists which were not , seperated.
+
+    - New function Tex_ChooseFromPrompt. This function will in the future
+      replace the Tex_ChooseFile function...
+
+commit b4ab8416eb638f95a9f45a20cdb1e463425620ff
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Wed Jan 15 23:14:51 2003 +0000
+
+    new package file
+
+commit 9d131f95965fb51e2e023491dcd920c6174bdd61
+Author: Benji Fisher <macvimx@users.sourceforge.net>
+Date:   Wed Jan 15 16:24:56 2003 +0000
+
+         Make the Tex_SmartQuote* variables buffer-local, and change the
+    close-quote string from '" to "' .
+
+commit 14625803ec6bf47e59486e980d52b0c0b313bef0
+Author: Benji Fisher <macvimx@users.sourceforge.net>
+Date:   Wed Jan 15 16:23:13 2003 +0000
+
+         I updated the comments above the Tex_SmartQuoteOpen and
+    Tex_SmartQuoteClose variables.
+
+commit 25089270ae8040aeaa7dc5f44b92e87798c5863c
+Author: Benji Fisher <macvimx@users.sourceforge.net>
+Date:   Wed Jan 15 16:16:27 2003 +0000
+
+    Several changes to the s:TexQuotes() function:
+
+    * more comments
+    * fix a bug, introduced in the previous patch, when inserting " in math mode
+    or after \ .
+    * Do not assume that the open- and close-quote strings can be distinguished by
+    their first characters.  (German uses "` and "'.)
+    * Look for buffer-local versions of Tex_SmartQuoteOpen and Tex_SmartQuoteClose
+    before using the global versions.
+
+commit 1bde8c1738f926af0d762ceff066d61895e3fda5
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 15 02:54:28 2003 +0000
+
+    - new function Tex_CreatePrompt.
+      " Description:
+      " Arguments:
+      "     promptList: This is a string of the form:
+      "         'item1,item2,item3,item4'
+      "     cols: the number of columns in the resultant prompt
+      "     sep: the list seperator token
+      "
+      " Example:
+      " Tex_CreatePrompt('item1,item2,item3,item4', 2, ',')
+      " returns
+      " "(1) item1\t(2)item2\n(3)item3\t(4)item4"
+      "
+      " This string can be used in the input() function.
+
+commit 9387a5c5234d26860d5a4d8459652371cb50213f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 15 02:53:34 2003 +0000
+
+    - moved g:Tex_PromptedEnvironmentsDefault and g:Tex_PromptedCommandsDefault
+      from envmacros.vim to here.
+
+commit 933c8adf72cf7445d611dd4a1ba24c00e524376e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Wed Jan 15 02:52:47 2003 +0000
+
+    - instead of custom functions for creating prompt strings of
+      environments/commands/templates/packages etc, use a function
+      Tex_CreatePrompt() everywhere. See main.vim for usage details.
+      It turns out the bug Mikolaj reported with the prompt not changing was
+      becuause of a buggy SetUpCommandPrompt() function.
+      TODO: There are many globally visible functions not starting with the
+            Tex_ prefix. Will have to fix that soon.
+
+    - Code cleanup: bugs where introduced in previous versions when
+      Tex_ChangeEnvironments() was called with an argument. Will have to ask
+      Mikolaj to be a bit more careful in adding new features...
+
+    - More cleanup: Also changed some script local variables to function local
+      variables...  Should ask Mikolaj not to use script local variables
+      unecessarily.  They make the code very unreadable. I always keep
+      wondering why this variable needs to be visible outside this function...
+
+    - Code cleanup: g:Tex_PromptedEnvironmentsDefault and
+      g:Tex_PromptedCommandsDefault moved from here to packages.vim, which is a
+      more natural place for them.
+
+commit d85929c466b890bca63e84977980f6b2705ceb71
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 23:56:52 2003 +0000
+
+    - fixed bug ^[0-9][0-9]$ in ....
+    - Removed "loose ends" for handling $...$ and \(...\) commands
+
+commit 2d56565d586f82a4837e790c4c92f81346006d6b
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 14 23:00:08 2003 +0000
+
+    - defining the german quotes here... This makes any file in which
+      \usepackage{german} is detected use "` and '" as the quote characters...
+
+commit 92b05810a418bfad6350afa019086a19b2153317
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 14 22:51:19 2003 +0000
+
+    - Problem with last commit.
+
+commit e4015d66a4f144b85196a673ce628de5f7d27449
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Tue Jan 14 22:46:56 2003 +0000
+
+    - expansion of `g to \gamma makes writing german quotes difficult because
+      correct german quotes are "` and '". Protect this expansion as well...
+      TODO: This seems to getting wierd. A better way would have been to check
+      for math mode. But how to do that? Checking for synIDattr() =~? 'math' is
+      not good enough because \cite and \sum are both 'texStatement's.
+      TODO: Is this getting too annoying to be left enabled by default? Benji
+            suggests disabling this by default.
+
+commit 0b9337155e25d02c57a53f94eb08e58a55b2b430
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 22:02:42 2003 +0000
+
+    - previously created g:Tex_package_detected had a form:
+      inputencgeometrypolski
+      Not declared: inputenc,geometry,polski. Fixed.
+    - Last command in package file (without , at the end) was losing last
+      letter. Fixed by adding , to commandList
+    - Don't create separator if command and option lists in package file are
+      empty. Rare but possible.
+
+commit 912248ebd933b3f4cd3d75d4b2791bc390fee812
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 22:01:23 2003 +0000
+
+    new package file
+
+commit c848230e7eea6817bec522a4a04627e08d6dc8ae
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 22:01:05 2003 +0000
+
+    change in layout of file to make it compatible with the rest of package files
+
+commit 5edbe94f6546a6ca330ff81fe2ab4caebac666a2
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 22:00:22 2003 +0000
+
+    critical bugs - missing dot contacenating (WTH is spelling of this word?) string
+
+commit ca2675a422a29e59c31ca556d5dd84fa0560296b
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 13:41:26 2003 +0000
+
+    - Added section in SetTeXOptions about TexPromptedCommands
+
+commit a1f951f35f28d0d3f1c1eb8c6b86c2f337af9176
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 13:40:56 2003 +0000
+
+    - Added short description of g:Tex_PromptedCommands and basic TexLet value
+
+commit 15a4db66beaa6d7296bdbc1c61acfc625b68f8af
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 13:40:44 2003 +0000
+
+    - Implementation of Fast Environment set of macros for LaTeX commands
+    - Basically these are the same functions but rewritten to work for
+      commands - there are some oddities thus I decided to separate it
+      functionality from env macro - it is easier to read code. Maybe
+      integrate it later.
+    - New mapping <F7> and <S-F7> to insert and change command name from
+      menu. It works properly only for \com{} style commands (not for $ and
+      \( )
+    - There is one strange thing about updating
+      g:Tex_PromptedCommands/Environments (more about updating in log for
+      packages.vim).
+
+      When I run UpdateAll string g:Tex_PromptedCommands is corrected, but
+      it looks like SetUpCommandPrompt still use old value of variable.
+
+    - Now you can use two-digit values in SetUpPrompt menus '^[0-9][0-9]$'
+
+commit 98b56384edc54250e2242a86389e9dfa176a5123
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Tue Jan 14 13:40:39 2003 +0000
+
+    - Added to Tex_pack_all() scanning for \newenvironment and \newcommand
+      lines and adds new names to g:Tex_Prompted variables.
+    - Updating is based on g:Tex_...Default, whole scanning is done from
+      nil, thus it should work for removing \new..., but it doesn't work :(
+      It looks like SetUp...Prompt uses some cached values.
+
+commit 480d756036e2d3413fc648e76923c2beba2b6bfa
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sun Jan 12 22:02:40 2003 +0000
+
+    unification of modelines (especially ff=unix) and removing Last Change lines
+
+commit 7f6a07885fb144c7745327a1b772c0ab7fc41d1f
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jan 11 20:42:02 2003 +0000
+
+    bug - s:visual was not unset after the call to Tex_PutEnvironment. This
+          cased successive menu items to all regard s:isvisual = 'yes', causing
+          stuff to break.
+
+commit 8fa4c58c60b258f5868368fa3c336a27ebf0f189
+Author: Mikolaj Machowski <mikmach@users.sourceforge.net>
+Date:   Sat Jan 11 20:09:40 2003 +0000
+
+    Fixed problem with undefined s:isvisual in Tex_PutEnvironment by testing with exists()
+
+commit 2b814b1adf9c7122b570576fe98e2b5e0408d7b6
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jan 11 09:05:39 2003 +0000
+
+    - temporary commit.
+
+commit 021172a35877ebb574dc4d1775697d9afd331ff9
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jan 11 08:42:27 2003 +0000
+
+    - New file: newlatex-suite.txt
+      This is a temporary file for reworking the documentation. I noticed that
+      the original documentation read too much like a story... In particular,
+      the table of contents was too wordy and the user didn't get a nice
+      overview at a glance. This is an attempt to rework mainly the TOC and
+      maybe some of the sections too...
+      In particular:
+      - add sections for how to customize. A section containing all the
+        available options.
+      - a section containing all available <Plug>'d maps and again how to
+        override the default maps.
+      - add documentation for bibtex.vim, which provides nice support for
+        editing .bbl files. (Alan G Isaac promised some docs for this long ago,
+        but hasn't yet given any).
+
+    Once we get this file incorporated into the main latex-suite.txt, I will
+    push this into the attic. I could have started a new branch for this, but
+    it felt like too much work...
+
+commit bff02b6aaa46bc172602e3b9fa84d90e764f796e
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Sat Jan 11 08:25:12 2003 +0000
+
+    - Protect all printable ascii characters in the range 32-127 from
+      accidental expansion at the beginning of a tex double quote. (Felt a need
+      for this when I realized that ``* and such were still trouble causers).
+      Is this way too agressive?
+
+commit 5b822aca94a910f88aab89b18308f1023ed5fa41
+Author: Srinath Avadhanula <srinathava@gmail.com>
+Date:   Fri Jan 10 05:33:42 2003 +0000
+
+    - removing a few lines which do not seem to be used anywhere.
+    - corrected the placeholder description for the \list command.
+    - adding 'description' to the Lists menu (macro in insert mode is EDE)
+    - changing paragraph macro from SPR to SPG as documented.
+
+commit 0b36924c53d0fdae368a660cd6c5c843435723a6
